2019-08-08  Per Cederqvist  <cederp@opera.com>

	Insert links to jskom when an image cannot be displayed.
	* lyskom-rest.el (lyskom-format-image): Link to jskom when an
	image cannot be displayed.
	* swedish-strings.el, english-strings.el (image-no-show): Now
	takes two additional arguments (two links to display).

2018-04-10  Christer Ekholm  <che@chrekh.se>

	* commands2.el (lyskom-list-news): Remove Duplicate &optional

2016-07-07  Christer Ekholm  <che@chrekh.se>

	* parse.el: Remove unused function lyskom-parse-coded-string

	* compatibility.el: Fix condition for redefine kbd.

2016-05-25  Christer Ekholm  <che@chrekh.se>

	* commands1.el (lyskom-times): Added Towel Day.

2015-01-31  Per Cederqvist  <ceder@lysator.liu.se>

	Minor spelling error fixed.
	* flags.el (kom-copy-options): Fixed spelling error in docstring.

2015-12-11  Peter Liljenberg  <peter.liljenberg@gmail.com>
	* commands2.el: Terminate keep-alive with kill-buffer-hook, as
	lyskom-keep-alive-callback can't do it once the buffer is killed.
	Also improve error logging in the callback.

2014-10-30  Christer Ekholm  <che@chrekh.se>

	* Makefile: Use cp -f to copy files to build-directory for target
	release, to avoid failure for the write protected files.

2014-10-26  Christer Ekholm  <che@chrekh.se>

	* Makefile: Changed target release. If HEAD is not a tagged
	commit then construct lyskom-clientversion the same way as wen
	building default target (lyskom.elc), also use comit-id in
	filenames instead of only 0.48.

2014-09-04  Christer Ekholm  <che@chrekh.se>

	* Makefile: Removed comment about (the removed) target fast, and
	removed fast from .PHONY

2014-09-02  Christer Ekholm  <che@chrekh.se>

	* Makefile: Added back the chmod 444 of version.el, and also chmod
	444 some more generated files. The reason to write-protect
	generated files is to make it harder to accidentally edit them by
	mistake.

2014-08-26  Christer Ekholm  <che@chrekh.se>

	* Makefile (version.el): Don't chmod 444 version.el. There is no
	need to. And if it's writable we don't need to have rm -f too.

2014-08-25  Christer Ekholm  <che@chrekh.se>

	* Makefile: Removed target fast:  make fast doesn't work anymore,
	and hasn't for quite some time.
	* Makefile: Avoid generating version.el multiple times by removing
	uncontitional "$(MAKE) $(VERSION-EL)" from recipe for
	$(TARGET-EL), and depend on sources for version.el
	* distribution-Makefile.in: Adapted for the change i Makefile.

2014-08-16  Christer Ekholm  <che@chrekh.se>

	* defvar.el (def-kom-var): Remove (dont-compile), to silence
	warnings in emacs-24.4

2014-08-14  Joel Rosdahl  <joel@rosdahl.net>

	* help-compile.el (lyskom-help-compile-to-el): Set
	buffer-file-coding-system to 'iso-8859-1 instead of 'iso-latin-1
	to make XEmacs 21.4 happy.

2014-08-10  Christer Ekholm  <che@chrekh.se>

	Fix bug 1703 kom-edit-show-commented inserts images in the wrong
	buffer.
	* lyskom-rest.el (lyskom-do-format): Don't (set-buffer
	lyskom-buffer) unless kom-deferred-printing is t. It's not needed
	then, and kom-edit-show-commented sets it to nil when inserting
	the commented text in *Commented*

2014-08-08  Per Cederqvist  <ceder@lysator.liu.se>

	Fix "void-variable elib-newtext" error message when viewing
	images.  (Bug introduced in a4b103283.)
	* elib-string.el (string-replace-match): Track the renamed
	variables elib-string and elib-newtext.
	(elib-string-expand-newtext): Fixed the documentation now that the
	variables are renamed.

2014-08-05  Christer Ekholm  <che@chrekh.se>

	* compatibility.el: Fixed misspelling of set-face-strikethru-p.

2014-08-02  Christer Ekholm  <che@chrekh.se>

	* compatibility.el (set-face-underline): Fixed misspelling of
	set-face-underline-p

2014-07-23  Christer Ekholm  <che@chrekh.se>

	* view-text.el (lyskom-mx-date-to-time): Fix bug introduced with
	last commit.  The "(decode-time (encode-time" combination must not
	be used unless kom-show-mx-date-as-local and must be used on
	"safe" values, not directly on the result from parse-time-string.

2014-07-22  Christer Ekholm  <che@chrekh.se>

	Fix bug 1701:
	* view-text.el (lyskom-mx-date-to-time): Removed the use of
	calendar-iso-from-absolute and calendar-absolute-from-gregorian
	from calendar. Use instead decode-time and encode-time to complete
	the result from parse-time-string to include weekday.

2014-07-13  Christer Ekholm  <che@chrekh.se>

	* help-compile.el (lyskom-help-compile-to-el): set
	buffer-file-coding-system in the generated file to 'iso-latin-1.
	The content currently needs to be latin1 or else the help system
	displays strings with åäö badly. The setting is done here so that
	we don't depend on the environment when building.

	* help-swedish.xml: Added xml declaration of encoding used in the
	file (ISO-8859-1).

	* help-compile.el (lyskom-help-parse-buffer): Added regex to
	strip the added xml-declaration in help-swedish.xml


2014-07-04  Christer Ekholm  <che@chrekh.se>

	* option-edit.el, swedish-strings.el, english-strings.el: Added
	kom-show-mx-date-as-local to "Customize Lyskom".

2014-07-02  Christer Ekholm  <che@chrekh.se>

	* commands1.el (kom-list-clients): Fixed the handling of prefix
	argument to match the doc-string.

2014-06-26  Christer Ekholm  <che@chrekh.se>

	* buffers.el (lyskom-remove-buffer-from-lists): Use
	save-match-data around code that does regexp matching, since this
	get's called from kill-buffer-hook.

	This function caused evaluation of python code from org-mode to
	fail. Reported by Pär Kurlberg in text 2023386.

2014-06-22  Christer Ekholm  <che@chrekh.se>

	* compatibility.el: Added compatibility-macro for read-only-mode.

	* compatibility.el: Added compatibility-macro for
	set-face-underline.

	* commands2.el (kom-apropos): Use lyskom-read-only-mode.

2014-06-21  Christer Ekholm  <che@chrekh.se>

	* vars.el: Removed unused variable 'output'.

	* commands2.el (kom-apropos): Use save-selected-window instead of
	save-window-excursion, to make the buffer *LysKOM-Apropos*
	visible.
	(kom-apropos): Move to (point-min) before (display-buffer), or
	else the buffer shows the cursor at the end when the buffer
	becomes visible.

	* elib-string.el (elib-string-expand-newtext): Renamed variables
	newtext and string to elib-newtext and elib-string, to silence
	warnings about "var `xxx' lacks a prefix" in emacs-24.

2014-06-19  Christer Ekholm  <che@chrekh.se>

	* lyskom-rest.el (lyskom-doc-view-text): Use with-current-buffer
	instead of save-excursion+set-buffer to silence warnings in
	emacs-24. This change is not compatible with emacs older than
	version 20.1

	* utilities.el: Removed unused function lyskom-buffer-display-message.

2014-06-17  Christer Ekholm  <che@chrekh.se>

	* vars.el: Removed unused function lyskom-inherited-variable.

2014-06-15  Christer Ekholm  <che@chrekh.se>

	Replaced "'(lambda" with "(function (lambda" to avoid warnings about
	"(lambda (x) ...) quoted with ' rather than with #'" in emacs-24

	* lyskom-rest.el (lyskom-known-texts): Replaced "'(lambda (x)"
	* macros.el (lyskom-end-of-compilation): Replaced "'(lambda (sym)"

	Added compatibility macro for called-interactively-p, with a lot
	of help from David Byers.

	* compatibility.el (lyskom-called-interactively-p): Added
	compatibility macro lyskom-called-interactively-p

	* commands1.el (kom-status-session, kom-review-presentation)
	(kom-unread-presentation): Use lyskom-called-interactively-p

	* commands2.el (kom-status-person, lyskom-help): Use
	lyskom-called-interactively-p

2014-06-07  Christer Ekholm  <che@chrekh.se>

	Fixed docstrings for "Customize LysKOM".
	* swedish-strings.el (lyskom-custom-strings): Added helptext for
	apply. 
	* english-strings.el (lyskom-custom-strings): Removed duplicated
	helptext for save-and-quit, and added helptext for apply.
	* option-edit.el (lyskom-customize-mode): Removed duplicated
	helptext for save-and-quit, and added helptext for apply.

2014-06-05  Per Cederqvist  <ceder@lysator.liu.se>

	Fixed "Customize LysKOM" compat in Emacs 24.3.
	* option-edit.el (lyskom-file-widget): Set the widget size to 1 to
	avoid an "Overlapping fields" error.  Reported by Mirar, fixed by
	Christer Ekholm, with help from David Byers.  I just verified and
	committed the fix.

2013-12-31  Per Cederqvist  <ceder@lysator.liu.se>

	Use utf-8 in menus on Mac.
	* menus.el (lyskom-menu-encoding-rules): Use utf-8 if
	window-system is eq to 'ns.  This fixes a crash on MacOS X 10.9.
	It might possibly cause issues on older MacOS X releases and/or
	GNUstep.  If so, please report the issue!

2013-05-11  Per Cederqvist  <cederp@opera.com>

	* <all files>: Removed $Id$ and lyskom-clientversion-long.

2013-05-07  Per Cederqvist  <ceder@lysator.liu.se>

	Include more info in the version string.
	* Makefile (version.el): Include the git ref in the version, and
	add a trailing asterisk to indicate that the working tree has
	uncommitted changes.
	* commands1.el (lyskom-list-clients-collect): Handle the new form
	of the version number.

2013-05-06  Per Cederqvist  <ceder@lysator.liu.se>

	Don't process vars.el.in with sed. At least on MacOS X, sed fails
	with "sed: RE error: illegal byte sequence" if LC_CTYPE is set to
	an UTF-8 encoding, probably due to the Latin-1 characters in the
	definition of lyskom-mule-compiled.  Since the substitution of the
	version number was the only reason to process vars.el.in, stop
	doing so to avoid this problem.  Thanks to Calle Dybedahl for
	reporting this problem.
	* vars.el.in: Renamed to vars.el.
	* .gitignore: Don't ignore vars.el.
	* Makefile (HEADER): Include vars.el instead of $(VARS-EL).  Don't
	set $(VARS-EL).
	(vars.el): Target removed. This is a regular file now.
	(vars.el-release): Target removed. This file is no longer used.
	($(TARGET-EL) lyskom-all-$(CLIENTVERSION).el): Don't handle
	$(VARS-EL).
	(release): Don't depend on $(VARS-EL).
	(clean): Don't remove vars.el or vars.el-release.

	Move the version number from vars.el.in to a separate file.
	* version.el.in: New file.
	(lyskom-clientversion): Moved from vars.el.in.
	* vars.el.in (lyskom-clientversion): Moved to version.el.in.
	* Makefile (HEADER): Added $(VERSION-EL).
	(VERSION-EL): Set to version.el or version.el-release.
	(version.el): New target.
	(version.el-release): New target.
	($(TARGET-EL) lyskom-all-$(CLIENTVERSION).el): Rebuild version.el.
	(release): Depend on $(VERSION-EL).
	(clean): Remove version.el and version.el-release.
	* .gitignore: Ignore version.el

2013-05-04  Per Cederqvist  <ceder@lysator.liu.se>

	Some basic Git adjustments.
	* commands1.el (lyskom-list-clients-collect): Handle Git client
	versions.
	* Makefile (vars.el): Use "Git" instead of "CVS" in CLIENTVERSION.
	* .gitignore: Ignore files created by running "make".

	* Repository converted from CVS to Git.
	http://git.lysator.liu.se/lyskom-elisp-client is the new home of
	the source code.

2013-03-23  Per Cederqvist  <ceder@lysator.liu.se>

	Emacs 24.3 compatibility.

	* compatibility.el: Fix the definition of
	lyskom-set-process-query-on-exit-flag, which had an extra set of
	parentheses that caused a compile-failure with emacs-24.3_rc3.
	Patch by Christer Ekholm <che@chrekh.se>.

	Make the kom-status-session output easier to read when multiple
	sessions are found.

	* commands1.el (kom-status-session, lyskom-status-session-9):
	Print a separator between the sessions.

2012-10-27  David Byers  <david.byers@liu.se>

	* lyskom-rest.el (lyskom-unity-text): Rewrote without "some"
	because the code did not require cl, which results in a
	compilation warning. Note that cl is not loaded by default in Gnu
	Emacs, and this is the only function that needed cl. Can't test,
	because I don't have XEmacs.
	(lyskom-format-pdf): New function to show PDF texts.
	(lyskom-doc-view-end): New function.
	(lyskom-doc-view-text): New function that displays PDF texts in
	doc-view-mode.

2012-10-01  Per Cederqvist  <cederp@opera.com>

	Fix user-area parsing.

	* flags.el (lyskom-get-holerith): Only strip *initial*
	whitespace. (When given the string "3Hfoo 7Hx\n asdf" as input, it
	would treat "3Hfoo 7Hx\n " as initial whitespace, and fail when it
	attempted to parse "asdf" as a Hollerith string.)

2011-01-06  David Byers  <davby@ida.liu.se>

	Compatibility with Emacs 24:
	* compatibility.el (function-obsolete-p): Count functions as
	obsolete if they are undefined (for Emacs 24).
	(process-kill-without-query): Handle case where
	set-process-query-on-exit-flag is undefined.

2012-05-24  Per Cederqvist  <cederp@opera.com>

	Fixed typo in doc-string.

	* vars.el.in (kom-www-proxy): Fixed typo ("POSRT"->"PORT").

2011-06-09  Ulrik Haugen  <ulrik@haugen.se>

	Tuned patch from Marcus Comstedt.

	* edit-text.el (lyskom-edit-send): Only bother with
	lyskom-unity-text if latin-unity-remap-region is defined as a
	function.

2011-06-06  Ulrik Haugen  <ulrik@haugen.se>

	Patch from Marcus Comstedt to select charsets latin-x more often.

	"Buggarna var:

	1) kom-edit-send gjorde (lyskom-mime-charset-for-text) på texten
	utan att köra (lyskom-unity-text) på den först. Det var detta som
	fick UTF-8 att okynnesväljas så snart det fanns mer än ett
	teckenset, även om de kunde unifieras.

	2) lyskom-unity-text provade inte alla preferred-coding-system i
	listan, utan bara det första."

	* edit-text.el (lyskom-edit-send): Call lyskom-unity-text before
	selecting charset.

	* lyskom-rest.el (lyskom-unity-text): Try all elements in
	preferred-coding-system.

2010-05-14  David Byers  <davby@ida.liu.se>

	Fix bug 1679:
	* view-text.el (lyskom-format-mx-date): New function.
	(lyskom-view-text): Use it.
	(lyskom-mx-date-to-time): New implementation.

	* utilities.el (lyskom-replace-in-list): New function.

	* komtypes.el (def-komtype): Support :write-only keyword.
	(time): Make yday and isdst read-only and write-only (we don't use
	them and don't always set them correctly).

2010-05-13  David Byers  <davby@ida.liu.se>

	Emacs 24 compatibility
	* all: replaces many save-excursion with save-current-buffer in
	order to avoid meaningless warnings in Gnu Emacs 24.1.

	Menus on Macintosh:
	* menus.el (lyskom-menu-encoding-rules): Applied patch from Mårten
	Svensson for bug 1655.

	Handle root review of root texts:
	* view-text.el (lyskom-get-root-text-belongs-to): In node
	transform, explicitly look in the cache (it's faster), and pass
	text-no, not text-stat to lyskom-find-dag-roots.

	* review.el (lyskom-find-root): In node transform, explicitly look
	in the cache (it's faster), and pass text-no, not text-stat to
	lyskom-find-dag-roots. 

	Improve handing of startup compatbility check:
	* utilities.el (lyskom-check-configuration): Also look at
	mime-charset.
	(lyskom-magic-minibuffer-post-command): Check that
	lyskom-minibuffer-point is bound before trying to use it.
	(lyskom-find-dag-roots): Apply node-transform to start node.

	* startup.el (lyskom-setup-ssh-relay): Removed hard-coded relay
	port.

	* menus.el (lyskom-menu-encoding-rules): Inserted menu coding
	rules for mac (blindly, I can't test).

2010-05-08  David Byers  <davby@ida.liu.se>

	* utilities.el (lyskom-check-configuration): Check
	coding-system-aliases for the server coding system too.

2009-05-09  Pontus Freyhult  <pont@soua.net>

	* vars.el.in (lyskom-default-password): Fixed typo.

	* startup.el (kom-start-anew): Only store password in
	lyskom-default-password if requested (kom-remember-password),
	instead of keeping it there and clearing it if not desired..

2009-05-08  Pontus Freyhult  <pont@soua.net>

	* command.el (lyskom-start-of-command): No longer protect obsolete
	variable lyskom-default-username.

	* vars.el.in (kom-default-password): Removed lyskom-default-username.

	* startup.el (lyskom): Get rid of lyskom-default-username. Pass
	username and password to kom-start-anew instead.

	* startup.el (kom-start-anew): Use parameter username instead
	of lyskom-default-username. Use password for input password (if
	any).

2009-03-08  David Byers  <davby@ida.liu.se>

	Add access to command descriptions:
	* help.el (lyskom-help-on-command): New function.

	XEmacs compatibility:
	* compatibility.el (detect-coding-string): Compatibility
	definition for XEmacs.

	Defensive coding for bug 1660:
	* edit-text.el (lyskom-create-text-handler): New parameter
	callback-buffer. Use instead of lyskom-buffer when calling
	callback.
	(lyskom-edit-handler-buffer): New variable.
	(lyskom-dispatch-edit-text): Initialize callback buffer to lyskom-buffer.
	(lyskom-edit-send): Pass callback buffer to create-text handler.

	Fix bug 1658 again:
	* review.el (kom-review-rot13): Rewrote to use unwind-protect to
	remove the rot13 filter rather than use let to override the hook
	variable.

	Fixed text viewing in Emacs 23:
	* komtypes.el (text->decoded-text-mass): Use detect-coding-string
	on texts with no specified charset.

	Fix compilation warnings in Emacs 23:
	* macros.el (lyskom-end-of-compilation): mapcar->mapc

	* commands2.el (lyskom-stop-keep-alive): mapcar->mapc
	(lyskom-available-language-list): mapcar->mapc

	* review.el (kom-review-more-comments): mapcar->mapc

	* edit-text.el (lyskom-edit-insert-miscs): mapcar->mapc
	(lyskom-edit-send-check-recipients): mapcar->mapc

	* option-edit.el (lyskom-custom-insert): mapcar->mapc

2009-03-04  David Byers  <davby@ida.liu.se>

	Fix compilation warnings in Emacs 23:
	* lyskom-rest.el (lyskom-limited-make-overlay): mapcar->mapc
	(kom-save-text): mapcar->mapc
	(lyskom-is-loaded): mapcar->mapc

	* talkback.el (lyskom-insert-bug-report): mapcar->mapc

	* option-edit.el (lyskom-customize-send): mapcar->mapc
	(lyskom-customize-mode): mapcar->mapc
	(lyskom-widget-kbd-macro-action): mapcar->mapc

	* menus.el (lyskom-popup-menu-template): Removed old-style backquotes.
	(lyskom-set-menus-xemacs): mapcar->mapc

	* view-text.el (lyskom-view-text): mapcar->mapc

	* filter.el (lyskom-create-filter-function-body): Removed
	old-style backquotes.

	* cache.el (clear-all-caches): mapcar->mapc

	* startup.el (kom-start-anew): mapcar->mapc

	* aux-items.el (def-aux-item): Removed last old-style backquotes

	* completing-read.el (lyskom-complete-string-next-char): mapcar->mapc

	* komtypes.el (def-komtype): mapcar->mapc

	* language.el (lyskom-language-strings-internal): mapcar->mapc

	* macros.el: Removed last old-style backquotes.

	* vars.el.in (lyskom-setup-local-variables): mapcar->mapc

2008-05-11    <David Byers@GULAG>

	Fix bug 1654:
	* edit-text.el (lyskom-edit-send): Use accessors to access parsed
	headers.

	Fix bug 1660:
	* edit-text.el (lyskom-create-text-handler): Added callback and
	callback-data parameters. Juggling buffers to get these right is
	somewhat tricky, but worst is that it is *possible* for the buffer
	containing the callback to be deleted before this is called.
	(lyskom-edit-send): Pass lyskom-edit-handler and data to
	lyskom-create-text-handler.

	Fix bug 1658:
	* review.el (kom-review-rot13): Removed local arg from add-hook.

	* commands2.el (kom-limit-import): Add support for limiting import
	by regexp.

2008-03-17  Per Cederqvist  <ceder@ingate.com>

	Make it configurable if the client should search for unread
	parents or relatives of a text before displaying it.  Also, add a
	new strategy ('oldest-ancestor) that only searches among parents.

	* vars.el.in (kom-read-related-first): New configuration
	variable.  Set this to nil to get the old-style behaviour,
	'oldest-related to get the behaviour before this commit, or
	'oldest-ancestor to get the new default behaviour.

	* lyskom-rest.el (lyskom-find-lowest-text): Moved internal
	documentation from the doc-string to an internal comment.
	(lyskom-find-unread-ancestor): New defun.  This code is based on
	lyskom-find-lowest-text, but works in a more sensible way.
	(lyskom-select-text-to-read): New defun, extracted from
	kom-view-next-text.  Handle the new oldest-ancestor strategy.
	(kom-view-next-text): Use lyskom-select-text-to-read to simplify
	the code.

	* swedish-strings.el, english-strings.el (lyskom-custom-strings):
	Added ancestor, relative, kom-read-related-first-doc and
	kom-read-related-first-tag.

	* option-edit.el (lyskom-customize-buffer-format): Added
	kom-read-related-first.
	(lyskom-custom-variables): Ditto.

2007-11-10    <David Byers@GULAG>

	* view-text.el (lyskom-follow-comments): Only look at
	kom-follow-comments-outside membership if we actually aren't a
	member of any of the recipients.

2007-07-12    <David Byers@GULAG>

	* edit-text.el (lyskom-create-text-handler): Be a bit more
	conservative when changing buffers.

	* services.el (lyskom-server-call): Changed old-style backquotes
	to new-style backquotes.

	* utilities.el: Recompute timeouts only once, not each time the
	client is loaded.

2007-11-10  David Byers  <davby@ida.liu.se>

	* mime.el (lyskom-mime-charset-for-text-xemacs): Better
	diagnostics for XEmacs. Use server charset if text is ascii.

	* edit-text.el (lyskom-edit-send): Don't even attempt to send text
	with too many charsets.

2007-08-01  Per Cederqvist  <ceder@ingate.com>

	Fixed typos in docstrings.

	* lyskom-rest.el (kom-go-to-pri-session): Fixed typo in
	docstring.

	* vars.el.in (kom-show-where-and-what): Fixed typo in docstring.
	(kom-show-since-and-when): Ditto.

2007-07-28  Per Cederqvist  <ceder@lysator.liu.se>

	New command: "View URL".

	* commands2.el (kom-view-url-in-text): New command.

	* vars.el.in (lyskom-commands): Added kom-view-url-in-text.

	* swedish-strings.el (lyskom-command): Add kom-view-url-in-text as
	"Visa URL".
	(lyskom-sv-mode-map): Bind "vu" to "Visa URL".

	* english-strings.el (lyskom-command): Add kom-view-url-in-text as
	"View URL".
	(lyskom-en-view-prefix): New prefix, bound to "v".
	(lyskom-en-mode-map): Bind "vu" to "View URL".

2007-07-20  Hans Eric Svensson  <eric+lyskom@lysator.liu.se>

	* view-text.el (lyskom-follow-comments): Adjusted to take into
	account that text-read-p doesn't know if a text *should* be read,
	it only only knows if a text *is marked* as read.

2007-07-14  Per Cederqvist  <ceder@lysator.liu.se>

	Make sure all elisp files end in a newline.
	* utilities.el: Add a newline at end of file.
	* review.el: Add a newline at end of file.
	* Makefile (check-eof): New target.  Check that all elisp files
	ends in a newline, to avoid strange code in the concatenated
	lyskom.el.
	(check): Depend on check-eof.

2007-07-11    <David Byers@GULAG>

	* async.el (lyskom-delete-old-text): Changed text-stat argument to
	text-no.
	(lyskom-async-deleted-text): Changed the caller too.
	(lyskom-parse-async): Remove text from readling lists if a
	recipient is removed.

	* commands2.el (lyskom-help-get-keylist): Changed name of variable
	list to keylist. In Emacs 22.1, map-keymap-internal (which is
	called by map-keymap) uses "list" as an internal variable.

	Fix bug 1262:
	* edit-text.el (lyskom-edit-move-recipients): Don't alter
	recipients that are letterboxes.

	Fix bug 281:
	* vars.el.in (lyskom-format-special): Cover all IANA mime type
	allocations, and include fallback for anything unknown.

	* lyskom-rest.el (lyskom-text-stat-content-type): New function.
	(lyskom-format-audio): New function.
	(lyskom-format-video): New function.
	(lyskom-format-multipart): New function.
	(lyskom-format-message): New function.
	(lyskom-format-model): New function.
	(lyskom-format-application): New function.
	(lyskom-format-image): Show content type when failing to show image.
	(lyskom-format-unknown): New function.

	* view-text.el (lyskom-format-text-footer): Allow strings as format flags.

	* vars.el.in (kom-respect-ancient-content-types): New variable.

	* lyskom-rest.el (lyskom-format-text-body): Don't get content type
	from text body unless kom-respect-ancient-content-types is
	non-nil.

	Fix bug 818:
	* startup.el (lyskom-read-server-name): Use programmed completion.
	(lyskom-complete-server-name): Programmed completion function for
	server names.

	Fix bug 1308:
	* commands1.el (lyskom-get-recipients-from-misc-list): Rewrote
	ugly code recursive code to pretty pointer manipulating code.
	Added optional GET-TYPES argument.
	(lyskom-recipient-type->): New function.
	(lyskom-recipient-type-string): New function.
	(lyskom-recipient-sender): New function.

2007-07-10    <David Byers@GULAG>

	* commands1.el (lyskom-text-stat-commented-texts): Added optional
	argument type and rewrote from scratch.
	(lyskom-move-comment): New function.
	(lyskom-compute-text-recipients): New function.
	(kom-move-comment): New command.

2007-07-08    <David Byers@GULAG>

	* edit-text.el (lyskom-edit-send-check-recipients): Use
	lyskom-compute-recipients-commented-authors.

	* utilities.el (lyskom-compute-recipients-commented-authors): New function.

2007-07-07    <David Byers@GULAG>

	* review.el (lyskom-find-root): Rewrote using
	lyskom-find-dag-roots. So much simpler! And prettier!

	* utilities.el (lyskom-find-dag-roots): New utility function.

	* view-text.el (lyskom-get-text-belongs-to): Added optional
	argument footnotes.

2007-07-07  David Byers  <davby@sysinst-gw.sysinst.ida.liu.se>

	* vars.el.in (kom-ssh-general-errors): New variable.
	(kom-ssh-forwarding-errors): New variable.

2007-07-07    <David Byers@GULAG>

	* startup.el (lyskom-setup-ssh-relay): Detect failure to set up
	local forwarding.

	* commands2.el (kom-delete-user-area): New command.

	Fix bug 1542:
	* flags.el (kom-copy-options): Pass portable-only to
	lyskom-read-options.
	(lyskom-copy-indirect-assq): New function.

	* command.el (lyskom-start-of-command): Don't mess up
	lyskom-default-user-name when reconnecting.

	* vars.el.in: Marked a bunch of non-portable variables as such.
	Marked some indirect assqs for copy-transition.

	* flags.el (lyskom-read-options): Added portable-only argument.
	(lyskom-read-options-eval): Same here.
	(lyskom-maybe-set-var-from-string): Same here, and convert
	variables when portable-only as requested.

	* defvar.el (lyskom-save-variables): Cleaned up old backquote
	syntax.
	(lyskom-with-lyskom-minibuffer): Same here.
	(def-kom-var): Same here.
	(lyskom-non-portable-server-variables): New variable.
	(def-kom-var): Support non-portable and copy-transition variable
	specs.

	Fix bug 1638:
	* review.el (lyskom-maybe-run-mouse-2): New function to run unread
	mouse-2 event under certain circumstances.
	(kom-toggle-mark-as-read-prefix): Use lyskom-maybe-run-mouse-2
	(kom-toggle-cache-prefix): Here too.

2007-07-07  David Byers  <davby@sysinst-gw.sysinst.ida.liu.se>

	* edit-text.el (lyskom-edit-insert-buglist): Don't use interactive
	functions for non-interactive work (replace-regexp).

	* compatibility.el (lyskom-pos-visible-in-window-p-22-1):
	Workaround for bug in Gnu Emacs 22.1 pos-visible-in-window-p

2007-06-30    <David Byers@GULAG>

	* lyskom-rest.el (lyskom-do-insert): Support format state directly
	within this function.
	(lyskom-format-insert-before-prompt): Support deferred insertions.
	(lyskom-format-insert-at-point): Simplified.
	(lyskom-format-insert): Simplified.

2007-06-26    <David Byers@GULAG>

	* utilities.el (lyskom-indirect-assq): If assoc-list is t, then
	return t. This is a (very) special case.

2007-06-24    <David Byers@GULAG>

	More customization:
	* lyskom-rest.el (lyskom-format-html): Use lyskom-indirect-assq to
	look stuff up in kom-format-html-authors.

	Fix settings buffer:
	* option-edit.el (lyskom-custom-variables): Updated definitions
	for kom-highlight-conferences, kom-presence-messages-in-buffer,
	kom-presence-messages-in-echo-area. Updated widget definitions so
	we don't get newlines in unexpected places (and get then where we
	really want them). Removed indent from most lists. 

	Fix bug 1143:
	* review.el (lyskom-last-review-filter): New variable.
	(kom-review-all-roots): New command.
	(kom-unread-all-roots): New command.
	(kom-review-more): Use saved filter when getting more texts.
	(kom-unread-more): Use saved filter when getting more texts.
	(kom-review-first-roots): New command.
	(kom-unread-first-roots): New command.
	(kom-review-roots-by-to): New command.
	(lyskom-review-by-to): New filter argument. Get default filter
	from global variable. Pass filter on to other functions.
	(kom-unread-roots-by-to): New command.
	(lyskom-unread-by-to): New filter argument. Get default filter
	from global variable. Pass filter on to other commands.
	(lyskom-get-texts-by-to): New filter argument. Pass to sub
	functions and use in predicate for lyskom-get-texts-by-generic.
	(lyskom-get-texts-by): New filter argument. Pass filter to
	lyskom-get-texts-by-generic.
	(lyskom-get-texts-by-and-to): New argument filter.
	(lyskom-get-texts-globally): New argument filter.
	(lyskom-get-texts-to): New argument filter.
	(lyskom-get-letters-to): New argument filter.

	* utilities.el (lyskom-set-connection-time-format): Use
	make-local-variable instead of make-variable-buffer-local.

	* view-mode.el (lyskom-view-base-mode): Use make-local-variable
	instead of make-variable-buffer-local.

	* vars.el.in (kom-unread-mode-line-type): Make this server-stored.

	* compatibility.el: Don't defvar enable-multibyte-characters
	unless it's unbound.

	* english-strings.el,swedish-strings.el (lyskom-sv-mode-map):
	Rebound åA from kom-review-all to kom-review-all-roots.

	Fix bug 673:
	* async.el (lyskom-show-personal-message): Don't run
	lyskom-personal-message-hook.
	(lyskom-default-new-recipient-hook): Don't run
	lyskom-new-recipient-hook.
	(lyskom-default-new-text-hook): Don't run lyskom-new-text-hook.
	(lyskom-default-deleted-text-hook): Don't run
	lyskom-deleted-text-hook.

	* edit-text.el (lyskom-edit-send): Don't run lyskom-send-text-hook.
	(lyskom-edit-send): Don't run lyskom-create-text-hook.

	* lyskom-rest.el (lyskom-enter-conf): Don't run
	lyskom-change-conf-hook or lyskom-after-change-conf-hook.
	(lyskom-leave-current-conf): Run kom-change-conf-hook and
	kom-after-change-conf-hook instead of the obsolete names.

	* commands1.el (lyskom-go-to-empty-conf): Don't run
	lyskom-change-conf-hook or lyskom-after-change-conf-hook.

	* commands2.el (lyskom-send-message-minibuffer-setup-hook): Don't
	run lyskom-send-message-setup-hook.
	(lyskom-send-message-minibuffer-exit-hook): Don't run
	lyskom-send-message-exit-hook.

	* view-text.el (lyskom-view-text): Don't run
	lyskom-view-text-hook.

	* vars.el.in (lyskom-view-text-hook): Removed.
	(lyskom-send-message-hook): Removed.
	(lyskom-send-message-setup-hook): Removed.
	(lyskom-send-message-exit-hook): Removed.
	(lyskom-change-conf-hook): Removed.
	(lyskom-after-change-conf-hook): Removed.
	(lyskom-create-text-hook): Removed.
	(lyskom-deleted-text-hook): Removed.
	(lyskom-new-recipient-hook): Removed.
	(lyskom-personal-message-hook): Removed.

	Prepare to print more info on logins:
	* async.el (lyskom-parse-async): Parse the session number in the
	login message. Get static session info.
	(lyskom-show-logged-in-person): Accept the session info. Added
	code (disabled) to show from where a user logged in.
	(lyskom-parse-async): Get both conf-stat and session info for new
	logins.

	Fix bug 1637:
	* lyskom-buttons.el (lyskom-generate-button): Use
	lyskom-indirect-assq to match names against
	kom-highlight-conferences.

	Add some utility lists:
	* option-edit.el (lyskom-custom-variables): Added
	kom-person-list-1, kom-person-list-2, kom-person-list-3,
	kom-person-list-4.
	(lyskom-customize-buffer-format): Same here.

	* vars.el.in (kom-person-list-4): New variable.
	(kom-person-list-3): New variable.
	(kom-person-list-2): New variable.
	(kom-person-list-1): New variable.

	Fix bug 1621:
	* async.el (lyskom-show-presence): Use lyskom-indirect-assq when
	the flag is a list.
	(lyskom-parse-async): Show presence messages for self.


	Fixed bug 1608:
	* async.el (lyskom-show-logged-in-person): Applied modified patch
	from Per Jonsson (unlike the original patch, still print the
	server name).

	Fix bug 1620:
	* commands2.el (lyskom-send-message): Applied patch from Per
	Jonsson.

2007-06-13    <David Byers@GULAG>

	Generalized support for lists like kom-highlight-conferences:
	* utilities.el (lyskom-indirect-assq): New function.
	(lyskom-indirect-assq-2): Utility function.

2007-06-12    <David Byers@GULAG>

	Fix bug 1619:
	* commands2.el (kom-diff-texts): Use lyskom-compatible insertion
	commands for the diff.

	Fix bug 1636:
	* mime.el (lyskom-mime-encode-string): Added mime-charset
	parameter.

	* edit-text.el (lyskom-edit-parse-headers): Changed the return
	value to a data type (i was going to extend it, but ended up not
	doing so, but the new version is easier to follow anyway).
	(lyskom-edit-send): Use a temporary buffer (necessary since
	transformation functions may alter the text) and
	lyskom-mime-charset-for-text to determing text encoding.

	* mime.el (lyskom-mime-charset-for-text): New function
	(lyskom-mime-charset-for-string): Removed.
	(lyskom-charset-alist): Removed. From now on, we shall rely on
	mm-util in XEmacs.

2007-06-10    <David Byers@GULAG>

	Better display of texts claiming to be us-ascii:
	* mime.el (lyskom-mime-decode-content-type): Pretend us-ascii
	texts are really latin-1.

	Fix bug 819:
	* completing-read.el (lyskom-read-conf-internal): When an exact
	match is found, return t only if the input string is equal to the
	only alternative.

	Fix bug 1277:
	* swedish-strings.el (coding-system-mismatch-warning): Added
	reference to Emacs manual.

	* utilities.el (lyskom-check-configuration): Don't warn about
	coding system if UTF-8 is supported.

	* lyskom-buttons.el (lyskom-make-button-menu): Encode menu strings
	properly.

2007-06-09    <David Byers@GULAG>

	Prefer UTF-8 over all but latin-1:
	* mime.el (lyskom-charset-alist): Never choose us-ascii. When
	us-ascii text is detected, assume latin-1 instead. For some
	reason, us-ascii is detected on some emacsen even when this is not
	the case. A more powerful charset would perhaps be a better
	choice, but chances are if charset detection is broken, then what
	are the chances that e.g. unicode conversion works?
	(lyskom-charset-alist): Include utf-8 early in the list, making it
	the preferred charset (when it works).

	Follow links with mouse-1 in Emacs 22.1:
	* language.el (lyskom-language-keymap-internal): Bind follow-links
	in the global LysKOM keymaps.

	Fix various naming issues:
	* filter.el (lyskom-copy-filter): Renamed from copy-filter.
	(lyskom-filter-p): Renamed from filter-p.
	(lyskom-make-filter): Renamed from make-filter.

	* lyskom-rest.el (kom-backward-text): Renamed backward-text to
	kom-backward-text. Renamed forward-text to kom-forward-text.
	(lyskom-silent-read): Renamed silent-read to lyskom-silent-read.

	* parse.el: Renamed apply-parser lyskom-apply-parser.

	* review.el: Replaced all calls to nfirst with lyskom-nfirst.

	* lyskom-rest.el (lyskom-startup-check-recommended-memberships):
	Use lyskom-filter-list, not filter-list.

	* faqs.el (lyskom-get-unread-faqs): Same.

	* completing-read.el (lyskom-read-conf-guess-initial): Same.

	* utilities.el (lyskom-filter-list): Renamed from filter-list.
	(lyskom-nfirst): Renamed from nfirst.

	Fix menu display in Gnu Emacs 22.1:
	* menus.el (lyskom-define-menu-gnu-title-encoding-type): New
	variable used to encode top-level menu titles differently from
	nested menus.

	* language.el (lyskom-get-menu-string): Don't encode the menu
	strings here, since encoding needs to be different in different
	places.

	* menus.el (lyskom-menu-encoding-rules): New variable.
	(lyskom-menu-encode): New function.
	(lyskom-define-menu-xemacs): Encode menu strings.
	(lyskom-define-menu-gnu): Encode menu strings.

2007-06-08    <David Byers@TAMIZDAT>

	Compatibility fixes for Gnu Emacs 22.1:
	* lyskom-rest.el (lyskom-sentinel): Check that proc is a process
	before using it as such. Call lyskom-remove-unread-buffer with the
	right argument (the buffer, not the process).
	(lyskom-session-nickname): Don't croak if the process is nil.

	* language.el (lyskom-get-menu-string): Decode menu string from
	latin-1 rather than encoding it.

	* compatibility.el (lyskom-frame-width): Dummy definition of
	lyskom-frame-width to suppress compilation warning.

	* view-text.el: Replaced string-to-int with
	lyskom-string-to-number.

	* aux-items.el: Same.

	* commands1.el: Same.

	* compatibility.el: Same.

	* completing-read.el: Same.

	* edit-text.el: Same.

	* faqs.el: Same.

	* filter-edit.el: Same.

	* flags.el: Same.

	* lyskom-buttons.el: Same.

	* lyskom-rest.el: Same.

	* option-edit.el: Same.

	* parse.el: Same.

	* regexp.el: Same.

	* review.el: Same.

	* startup.el: Same.

	* utilities.el: Same.

	* utilities.el: Fix for Emacs 22.1 (should also improve
	performance on XEmacs).
	(lyskom-string-to-int): Clarifyig comment in docstring.

2007-04-26  Hans Eric Svensson  <eric+lyskom@lysator.liu.se>

	* lyskom-rest.el (lyskom-cache-all-memberships): New function
	which loads memberships into cache, so that we can be really sure
	that we haven't read a specific text.
	(lyskom-find-best-text): Use new function to load
	passive memberships into cache.
	(lyskom-find-lowest-text): Use new function to load
	passive memberships into cache.

	* view-text.el (lyskom-follow-comments): Moved use of variable
	kom-follow-comments-outside-membership to this function from
	lyskom-text-read-p.
	(lyskom-text-read-p): Moved use of the variable
	kom-follow-comments-outside-membership to lyskom-follow-comments.

2007-02-04  Per Cederqvist  <ceder@ryttargardskyrkan.se>

	* edit-text.el (lyskom-edit-send): Document the hooks that this
	function runs.

2007-01-01  Ulrik Haugen  <qha@lysator.liu.se>

	* names.el (sv-1993): Remove empty string for 1/1.

2006-11-21  Hans Eric Svensson  <eric+lyskom@lysator.liu.se>

	* lyskom-rest.el (lyskom-view-next-text): Modified to read
	commented texts in other conferences before the texts that comment
	them in the current conference. See M-x describe-function
	lyskom-find-best-text and M-x describe-function lyskom-find-lowest
	text for more information.
	(lyskom-member-of-at-least-one-p): New helper function.
	(lyskom-member-one-priority-p): New helper function.
	(lyskom-up-to): New helper function.
	(lyskom-find-best-text): New helper function.
	(lyskom-find-lowest-text): New helper function.
	(lyskom-get-max-priority): New helper function.

	* commands1.el (kom-who-is-on-in-conference): Spelling error
	fixed.

	* view-text.el (lyskom-view-text): Fixed sudden Swedish in
	comment.
	(lyskom-text-read-p): Added optional parameter want-passive.
	(lyskom-follow-comments): Adjusted to use the new additional
	parameter in one of the calls to lyskom-text-read-p.
	
2006-06-27  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-next-paragraph): Fixed off-by-one
	error causing the last character on the last line to (sometimes)
	be put on a line of its own in XEmacs.
	(lyskom-maybe-fill-region): Fixed off-by-one error causing lines
	just under fill-column long to be wrapped.

2006-05-14  David Byers  <davby@ida.liu.se>

	* utilities.el (lyskom-text-comments): Added parameter
	skip-footnotes.

2006-04-26  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-next-paragraph): Eliminated the
	inner catch, as this seemed to cost more time than adding a
	clause to each conditional in the loop.
	(lyskom-fill-message-line-length): Make this a subst.

2006-05-03  Pontus Freyhult  <pont@soua.net>

	* option-edit.el, vars.el.in, swedish-strings.el,english-strings.el,
	commands1.el: Reverted previous bad check in.

2006-05-03  Pontus Freyhult  <pont@soua.net>

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-write-text-recipient-strategy.
	(lyskom-custom-variables): Dito.

	* vars.el.in (kom-write-text-recipient-strategy): New variable.

	* swedish-strings.el,english-strings.el (lyskom-custom-strings):
	Added current-meeting. Added kom-write-text-recipient-strategy-doc 
	and kom-write-text-recipient-strategy-tag.

	* commands1.el (lyskom-write-text): Use current-conf is 
	kom-write-text-recipient-strategy is 'current and we're called
	from kom-write-text.

2006-04-25  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-next-paragraph): Fixed off-by-one
	error in handling indented paragraphs.

2006-04-25  Per Cederqvist  <ceder@lysator.liu.se>

	Get rid of compiler warning probably introduced 2006-04-05.
	* lyskom-rest.el (lyskom-fill-message): Removed pointless
	"(buffer-substring (point-min) (point))" whose value was not
	used.

2006-04-24  Per Cederqvist  <ceder@ingate.com>

	Fixed typo in docstring.
	* vars.el.in (kom-tell-phrases): Fixed spelling error in docstring
	that tried to refer to lyskom-tell-phrases-validation-keyword-list.

2006-04-05  David Byers  <davby@ida.liu.se>

	Re-implement line breaking heuristics:
	* lyskom-rest.el (lyskom-fill-disqualifying-regexp): Broken out
	from lyskom-fill-message to make regexp easier to understand.
	(lyskom-fill-message-next-line): New macro.
	(lyskom-fill-message-return): New macro.
	(lyskom-maybe-fill-region): New macro.
	(lyskom-fill-inline-text-regexp): New regexp to prevent concating
	it every time a line was examined, and to make it handle inlined
	texts with the wrong language.
	(lyskom-fill-message): New implementation.
	(lyskom-fill-next-paragraph): Guts of new lyskom-fill-message.
	(lyskom-fill-scan-quoted-paragraph): New function.
	(lyskom-fill-scan-empty-lines): New function.

	Fix bug 766:
	* swedish-strings.el,english-strings.el (lyskom-custom-strings):
	Adjusted kom-autowrap-doc.


2006-04-03  David Byers  <davby@ida.liu.se>

	* lyskom-buttons.el (lyskom-button-befriend): New function
	(i guess jhs forgot to check it in).
	(lyskom-button-moronify): New function (i guess jhs forgot to
	check it in).

2006-03-31  David Byers  <davby@ida.liu.se>

	* menus.el (lyskom-menu-template): Added kom-review-more-comments
	to menu.

	Fix bug 1510:
	* vars.el.in (lyskom-commands): Added kom-review-more-comments.

	* swedish-strings.el,english-strings.el
	(lyskom-sv-mode-map,lyskom-en-mode-map): Added
	kom-review-more-comments.

	* review.el (lyskom-review-by-to): Set lyskom-have-review to
	indicate what kind of review.
	(lyskom-last-review-comments): New variable.
	(lyskom-review-comments): Set lyskom-last-review-comments.
	(lyskom-review-comments): Handle a list of text-stats as the input
	to this function.
	(kom-review-more-comments): New command.

	Fix bug 1535:
	* commands1.el (lyskom-write-text): Added add-self parameter.
	(kom-send-letter): Always add sender as recipient.

	Fix bug 1589:
	* mime.el (lyskom-mime-string-charset): Handle server coding
	system in found charset.

	* compatibility.el (find-charset-string): Default to server
	coding-system or latin-1 if server coding system is unknown.

	Fix bug 1602:
	* mime.el (lyskom-mime-decode-content-type): Correctly match the
	type and subtype fields of content types. Downcase all values.

	Fix bug 1391:
	* commands2.el (lyskom-help): Handle printing top-level keymap.

	* help.el (lyskom-help-format-keymap): New function.

	* help-english.xml,help-swedish.xml: Added keyboard commands
	section.

	* help-compile.el (lyskom-help-syntax): Added keymap directive.

	Probably fix bug 1570:
	* compatibility.el (lyskom-map-keymap): Do not attempt to car or
	cdr non-conses when mapping over keymap.

2006-03-30  David Byers  <davby@ida.liu.se>

	Update handling of text/enriched:
	* lyskom-rest.el (lyskom-format-enriched): Handle new-style
	enriched text, with headers in a special aux-item.

	* edit-text.el (lyskom-edit-send): Handle aborted sending without
	error message.

	* aux-items.el (elisp-client-enriched-headers): Added aux-item
	definition. 

	* edit-text.el (lyskom-edit-send): Replaced
	lyskom-send-text-transform-function with more general
	lyskom-send-text-transform-hook, which allows multiple
	transformations and changes to more than just the text.

	* vars.el.in (lyskom-send-text-transform-hook): Ditto.

2005-03-22  David Byers  <davby@ida.liu.se>

	* english-strings.el (lyskom-custom-strings): Fxied speling erorr
	in me.

2006-02-16  Johan Sundström  <jhs@lysator.liu.se>

	* vars.el.in (lyskom-default-conference-strategy): Made
	kom-filter-author, kom-moronify and kom-befriend use the new
	lyskom-default-conference-author-of-text-at-point strategy.

	* commands2.el (kom-moronify, kom-befriend): New commands to add
	persons to `kom-morons' and `kom-friends' right in the kom buffer.

	* vars.el.in (lyskom-default-conference-strategy): Associated
	default strategies.
	(lyskom-button-actions): ...and button actions for persons.

	* completing-read.el
	(lyskom-default-conference-author-of-text-at-point): New strategy
	helper function. Should be used with kom-filter-author as well,
	but I leave that for a separate commit, to make good change sets.

	* english-strings.el, swedish-strings.el (lyskom-message):
	Associated texts. Naming of these things could probably improve.

2005-10-26  Pontus Freyhult  <pont@soua.net>

	* prefetch.el (lyskom-setup-prefetch): Set lyskom-inhibit-prefetch to
	nil. Hopefully fixes bad behavior sometimes seen when using 
	kom-recover.

2005-03-15  Pontus Freyhult  <pont@soua.net>

	* perf.el (fields-new): Dispose of marker when done.

	* help.el (lyskom-help-format-p): Dito.

	* lyskom-rest.el (lyskom-do-special-inserts): Dito.
	(lyskom-insert-before-prompt): Dito.
	(lyskom-render-html-region): Dito.

	* commands2.el (lyskom-list-new-conferences): Dispose of marker when
	we're done with it.

	* edit-text.el (lyskom-edit-insert-miscs): Dito.
	(kom-edit-add-comment): Dito.
	(lyskom-edit-add-recipient/copy): Dito.
	(lyskom-edit-insert-aux-item): Added FIXME about marker.
	(lyskom-edit-replace-headers): Dispose of markers when done.

2005-03-08  David Byers  <byers@lysator.liu.se>

	* compatibility.el (lyskom-encode-coding-string): Renamed
	functions used when detecting copy bug. Detect multibyte bug. 
	This hopefully fixes bug 1524.

2005-03-07  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-face-default-p): New implementation since
	face-equal didn't really do the job.

2005-03-02  Pontus Freyhult  <pont@soua.net>

        Bugfix: Revert didn't work properly
	* filter-edit.el (lyskom-filter-edit-revert): Use 
	filter-edit-filter-list instead of lyskom-filter-list.
	Update filter-edit-list-end marker.

	Give some guidance when editing filters:
	* english-strings.el, swedish-strings.el (lyskom-messages):
	Added filter-edit-footer.

	* filter-edit.el (kom-filter-edit): Output filter-edit-footer.

2005-02-25  Pontus Freyhult  <pont@soua.net>

	* swedish-strings.el, english-string.el (lyskom-custom-strings): 
	Fixed spelling of Gopher in emacs-w3-viewer.

	Fix bug 297:
	* vars.el.in (kom-netscape-command): Added Firefox and Opera to 
	variable description.
	(kom-netscape-variant): Dito.
	(kom-url-viewer-preferences): Dito.

	* swedish-strings.el, english-strings (lyskom-custom-strings): Dito 
	for kom-netscape-command-doc, kom-netscape-variant-doc,
	kom-netscape-command-tag, kom-netscape-variant-tag,
	netscape-viewer and windows-viewer.

2005-02-24  Pontus Freyhult  <pont@soua.net>

	Fix bug 1091:
	* vars.el.in (kom-lost-session-notification): New variable.

	* option-edit.el (lyskom-custom-variables): Added 
	kom-lost-session-notification.
	(lyskom-customize-buffer-format): Dito.

	* english-strings.el, swedish-strings.el (lyskom-custom-strings): 
	Added kom-lost-session-notification-tag and
	kom-lost-session-notification-doc.

	* englist-strings.el, swedish-strings.el (local): Added 
	closed-connection-other-buf, session-lost-beep and 
	session-lost-all-buffers.

	* lyskom-rest.el (lyskom-sentinel): Do notification in other buffers
	if desired.

	Fix bug 1536:
	* command.el (lyskom-start-of-command): Pass port if non-standard.
	Also explicitly send current password (if available).

2005-02-15  David Byers  <byers@lysator.liu.se>

	Fix bug 1512:
	* menus.el (lyskom-define-menu-xemacs): Handle case when
	current-local-map is nil (don't attempt to guess shortcuts in this
	case).

2005-02-14  David Byers  <byers@lysator.liu.se>

	Fix ugliness when default server is unset:
	* startup.el (lyskom): New calling conventions for
	lyskom-read-server-name.
	(lyskom-read-server-name): New parameter list. Do not accept empty
	input. Use initial value and magic minibuffer instead of default
	value.

	Fix bug 1511:
	* commands1.el (lyskom-combine-username): Downcase hostnames.

	Fixed bug 1520:
	* lyskom-buttons.el (lyskom-button-menu): Pass filter to functions
	that build menus.
	(lyskom-make-button-menu): Changed old-style backquote to
	new-style backquote. Removed function quotes.

	* vars.el.in (lyskom-button-actions): Introduced filter function
	for the context menu.

	Fix bug 1519:
	* lyskom-buttons.el (lyskom-button-add-self): Pass conf-stat, not
	conf-no to kom-add-self.

	Fix bug 1533:
	* commands2.el (lyskom-list-summary): Copy the read-list before
	passing it to lyskom-list-text-summary.

2005-01-23  David Byers  <byers@lysator.liu.se>

	* startup.el (kom-start-anew): Init membership structures really
	early since there is a race condition during first logon otherwise.

2005-01-26  Johan Sundström  <jhs@lysator.liu.se>

	* view-text.el
	(lyskom-view-text-convert-UTF-8-to-ISO-8859-1): New function
	that, when put in `kom-view-text-hook', translates basic UTF-8
	characters available in ISO-8859-1 to their such counterparts.

	* swedish-strings.el, english-strings.el (lyskom-message): Added
	the string `reformat-utf-8'.

2005-01-23  David Byers  <byers@lysator.liu.se>

	* Release of 0.48.

2005-01-23  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-check-configuration): Don't print a warning
	about the coding system when using UTF-8.

2005-01-22  David Byers  <byers@lysator.liu.se>

	* lyskom-elisp-client.spec: New file from C C Magnus Gustavsson.

2005-01-19  Pontus Freyhult  <pont@soua.net>

	* lyskom-rest.el (kom-save-text-body): Use coding system of text
	for saving if available, or fall back to server default coding 
	system if not.

2005-01-18  Pontus Freyhult  <pont@soua.net>

	* swedish-strings.el: Added compatibility key bindings for XEmacs
	21.4 in UTF-8 mode (on tty).

2005-01-16  Pontus Freyhult  <pont@soua.net>

	* swedish-strings.el: Added compatibility key bindings to make GNU
	Emacs 21 in UTF-8 mode (on tty) work correctly.

2005-01-12  Ulrik Haugen  <qha@lysator.liu.se>

	* english-strings.el (lyskom-en-mode-map): replaced reference to
	lyskom-sv-mode-map with lyskom-en-mode-map.

2005-01-12  David Byers  <byers@lysator.liu.se>

	* check-strings.el (lcs-check-strings): If environment variable
	LYSKOM_CHECK_IDENTICAL is set, check for strings identical in two
	languages (many are expected, so this is off by default).

	* english-strings.el: Found four swedish strings. Fixed.

	* NEWS-0.48: Updated to here.

	* swedish-strings.el (lyskom-sv-mode-map): Added M-c for
	kom-toggle-cache-prefix.

	* english-strings.el (lyskom-en-mode-map): Same.

	* review.el (kom-toggle-cache-prefix): New function. M-c will
	toggle whether review uses the cache or not (like M-m toggles if
	review marks as read).

2005-01-12  Pontus Freyhult  <pont@soua.net>

	Fix bug 1402:
	* english-strings.el, swedish-strings.el (lyskom-custom-strings): 
	Added kom-membership-default-message-flag-tag and
	kom-membership-default-message-flag-doc.

	* english-strings.el (lyskom-custom-strings): Fixed typo for
	kom-membership-default-priority-doc.

	* option-edit.el (lyskom-custom-variables): Added 
	kom-membership-default-message-flag.
	(lyskom-customize-buffer-format): Dito.

	* vars.el.in (kom-membership-default-message-flag): New variable.

	* commands1.el (lyskom-add-member): Use 
	kom-membership-default-message-flag.


2005-01-11  Pontus Freyhult  <pont@soua.net>

	Applied patch from calle@lysator.liu.se, fixes bug 1487:
	* english-strings.el (lyskom-message): Added reformat-rot13, 
	review-rot13-q and lyskom-button-review-rot13-action.
	(lyskom-command): Added kom-review-rot13.

	* swedish-strings.el (lyskom-message): Added reformat-rot13, 
	review-rot13-q and lyskom-button-review-rot13-action.
	(lyskom-command): Added kom-review-rot13.

	* view-text.el (lyskom-rot13-string): New function.
	(lyskom-filter-rot13): Dito.

	* lyskom-buttons.el (lyskom-button-review-rot13): New button
	action.

	* menus.el (lyskom-menu-template): Added kom-review-rot13.

	* review.el (kom-review-rot13): New function.

	* vars.el.in (lyskom-button-actions): Added rot13 review action.
	(lyskom-commands): Added kom-review-rot13.

	Fix for bug 1491:
	* english-strings.el, swedish-strings.el: 
	(lyskom-custom-strings): Added kom-relogin-inhibit-commands-tag
	and kom-relogin-inhibit-commands-doc.

	* option-edit.el (lyskom-customize-buffer-format): Added
	kom-relogin-inhibit-commands.
	(lyskom-custom-variables): Dito.

	* vars.el.in (kom-relogin-inhibit-commands): New variable.

	* command.el (lyskom-start-of-command): Treat commands in
	kom-relogin-inhibit-commands as having dead-ok.

2005-01-09  David Byers  <byers@lysator.liu.se>

	* commands1.el (kom-move-text-tree): Handle missing text in the
	tree.
	(lyskom-move-recipient): Add leave-cc argument.

	* lyskom-rest.el (lyskom-a-or-b-or-c-p): Display chosen option
	when just pressing RET. Show default choice in bold. Compact
	display a bit.

	* commands1.el (kom-move-text-tree): Use lyskom-a-or-b-or-c-p to
	ask about what to do. Support a null source (useful to just add a
	recipient, not remove anything).

	* NEWS-0.48: Updated to here.

	* commands2.el (kom-list-sessions): Docstring fixes.

	* vars.el.in (kom-default-server): No default server in default
	build.
	Variois docstring fixes.

	* mship-edit.el (lp--show-hide-read-memberships): Toggle filter.
	(lp--show-hide-passive-memberships): Ditto.
	(lp--mode): Fixed key binding references in docstring.

2005-01-08  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Documentation updates in preparation for generating
	DocBook from the documentation strings.

	* startup.el (lyskom-refetch): We were prefetching unread confs in
	the reverse order, which was stupid as it slows down starting to
	read and may cause us to read texts in the wrong order.

2005-01-07  David Byers  <byers@lysator.liu.se>

	* mship-edit.el (lyskom-change-membership-position): Removed
	binding of old-position (it was never used).

	* english-strings.el (lyskom-en-edit-mode-map): Changed key
	bindings to explicitly use prefixes. 

	* swedish-strings.el (lyskom-sv-edit-mode-map): Changed key
	bindings to explicitly use prefixes. Better variants of the
	swedish key binding. Use lyskom-try-define-key for swedish
	bindings.

	* edit-text.el: Updated documentation for most commands so that it
	can be extracted into the user manual in the future. All commands
	with the prefix `kom-edit-' are expected to be documented unless
	the documentation string ends in "Excluded from manual."
	(kom-ispell-message): Renamed to
	kom-edit-ispell-message.
	(kom-yank-info-nodename): Renamed to kom-edit-yank-info-nodename.

	* filter-edit.el (kom-filter-edit): Wrote docstring.

	* review.el: Various docstring updates (changed "text" to article
	in several places).

	* vars.el.in (kom-unread-mode-line-type): Updated docstring.

2005-01-04  Ulrik Haugen  <qha@lysator.liu.se>

	* swedish-strings.el (lyskom-sv-mode-map): Added keybindings for
	unaccelerated < and >.

	* english-strings.el (lyskom-en-mode-map): Ditto.

2004-12-06  Pontus Freyhult  <pont@soua.net>

	Bugfix: Handle case when started from buffer with no local keymap
	* menus.el (lyskom-define-menu-gnu): Only call 
	lyskom-menu-guess-shortcuts if we (current-local-map) is non-nil.

2004-12-04  Pontus Freyhult  <pont@soua.net>

	Bugfix: Do not leak password from session started in LysKOM buffer.
	* startup.el (lyskom): Do not send password if host
	differs from the server it was given for.

2004-11-16  Pontus Freyhult  <pont@soua.net>

	* lyskom-rest.el (lyskom-update-prompt): Use lyskom-session-nickname.

2004-11-15  Pontus Freyhult  <pont@soua.net>

	Implement alternate unread mode line:
	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-unread-mode-line-type.
	(lyskom-custom-variables): Dito.	

	* english-strings.el, swedish-strings.el: 
	(lyskom-custom-strings): Added kom-unread-mode-line-type-tag
	and kom-unread-mode-line-type-doc. Added simple-unread-mode-line
	and explicit-unread-mode-line.

	* lyskom-rest.el (lyskom-make-alternate-unread-mode-line): New 
	function.
	(lyskom-make-lyskom-unread-mode-line): Use 
	lyskom-make-alternate-unread-mode-line if applicable.

	* buffers.el (lyskom-update-unread-mode-line): New function.
	(lyskom-clean-all-buffer-lists): Call lyskom-update-unread-mode-line.
	(lyskom-remove-buffer-from-lists): Dito.
	(lyskom-remove-unread-buffer): Dito.
	(lyskom-add-unread-buffer): Dito.

	* vars.el.in (kom-unread-mode-line-type): New global variable.

2004-11-12  Pontus Freyhult  <pont@soua.net>

	* commands2.el (kom-list-sessions): Use session-list-no-unread-in
	if there are no texts in the session.

	* english-strings.el, swedish-strings.el (local):
	Added session-list-no-unread-in.

	* commands2.el (kom-modeline-select-unread-kom): Use 
	lyskom-session-nickname.
	(kom-status-server): Dito.

	* lyskom-rest.el (lyskom-session-nickname): Take additional argument
	if the nick name is to be put in the mode line.
	(lyskom-mode-name-from-host): Pass mode-line arg.

	* async.el (lyskom-show-logged-in-person): Use lyskom-session-nickname.
	(lyskom-show-logged-out-person): Dito.

	* utilities.el (lyskom-get-server-alias): Deleted (almost) unused
	function.
	(lyskom-nag-about-presentation): Use lyskom-session-nickname instead.

	* vars.el.in (lyskom-commands): Added kom-list-sessions.

	* menus.el (lyskom-menu-template): Added kom-list-sessions.

	* commands2.el (kom-list-sessions): Sort first on priority, 
	then on session name. Corrected bad usage of sort.
	Handle nil entries in lyskom-list-news result.

	* swedish-strings.el (local): Corrected singular form for 
	unread letters in session-list-unreads-in-conf.

2004-11-11  Pontus Freyhult  <pont@soua.net>

	Fix bug 279, implement list sessions (with extras):
	* vars.el.in (kom-session-nickname): New variable.
	(mode-line-server-name): New variable.

	* english-strings.el, swedish-strings.el (local):
	Added session-list-unreads-in-conf.
	(global): Added kom-list-sessions.
	(lyskom-{sv,en}-list-prefix): Bound kom-list-sessions to l k. 
	(lyskom-custom-strings): Added automatic-session-name and 
	given-session-name. Added kom-session-nickname-doc and 
	kom-session-nickname-tag.

	* startup.el (kom-start-anew): Cosmetical if not -> unless.
	Call lyskom-mode-name-from-host after variables are read from
	server.

	* startup.el (lyskom-mode): Use mode-line-server-name in
	mode-line-buffer-identification.

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-session-nickname.
	(lyskom-custom-variables): Dito.	

	* lyskom-rest.el (lyskom-set-mode-line): Call 
	lyskom-mode-name-from-host.
	(lyskom-session-nickname): New function.
	(lyskom-mode-name-from-host): Use lyskom-session-nickname, update
	mode-line-server-name.

	* commands2.el (kom-list-sessions): New command.

	Handle UTF-8 postings created by Rasmus Stens Weblatte:
	* mime.el (lyskom-mime-decode-content-type): Allow whitespace
	after ";" in content-types.

2004-11-03  Pontus Freyhult  <pont@soua.net>

	Use kom-default-* as user variables, not lyskom-default-*:
	* vars.el.in (kom-default-server): Updated documentation and value.
	(lyskom-default-server): Dito.
	(kom-default-password): Dito.	
	(lyskom-default-password): Dito.
	(kom-default-user-name): Dito.
	(lyskom-default-user-name): Dito.

	* startup.el (lyskom): Use kom-default-server, kom-default-user-name
	and kom-default-password.

	* commands1.el (kom-view-commented-text): Cleanup (progn removal),
	inhibit immediate display of footnotes.

2004-10-31  Pontus Freyhult  <pont@soua.net>

	* mship-edit.el (lp--selected-or-current-arg): New function.
	(lp--toggle-flag): New function.
	(lp--postpone): New function.
	(lp--set-unread): New function.
	(lp--toggle-message-flag, lp--toggle-invitiation,
	lp--toggle-secret, lp--toggle-passive): Use
	lp--selected-or-current-arg and lp--toggle-flag.

	* english-strings.el, swedish-strings.el (lyskom-messages):
	Added lp--only-last and lp-skipping-missing-meeting. 
	Changed lp-footer-help.
	(lyskom-menu): Added lp--set-unread.
	(lyskom-prioritize-mode-map): Added keyboard mappings
	for lp--postpone and lp--set-unread.

2004-10-29  Pontus Freyhult  <pont@soua.net>

	* mship-edit.el (lp--entry-set-background): Use 
	lyskom-safe-color-name.
	(lp--entry-set-foreground): Dito.

	* utilities.el (lyskom-safe-color-name): New function.

	* compatibility.el (color-name): New alias.
	(color-specifier-p): New alias.
	(face-background): Reverted previous change, alias again.
	(face-foreground): Reverted previous change, alias again.

2004-10-29  Pontus Freyhult  <pont@pontus.its.uu.se>

	* lyskom-rest.el (lyskom-format-image): Disabled run time 
	test for image functions, use aliases instead.

	* compatibility.el (display-images-p): New alias.
	(put-image): New alias.
	(create-image): New alias.

2004-10-29  Pontus Freyhult  <pont@soua.net>

	* lyskom-rest.el (lyskom-format-image): Bugfix: Used let instead
	of let*.

2004-10-28  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Updated some documentation strings.

2004-10-28  Pontus Freyhult  <pont@soua.net>

	* mship-edit.el (lp--entry-set-foreground): Do not try to handle
	missing start-marker or end-marker.
	(lp--entry-set-background): Dito.
	(lp--print-entry): Add end-marker before calling 
	lp--format-insert-entry and correct it afterwards.

2004-10-27  Pontus Freyhult  <pont@soua.net>

	* mship-edit.el (lp--erase-entry): Point old markers to nil before
	forgetting them.
	(lp--print-entry): Dito.

2004-10-26  Pontus Freyhult  <pont@soua.net>

	* mship-edit.el (lp--redraw-entry-mark): Use lyskom-face-background,
	not face-background.

	Fix XEmacs problems with kom-prioritize:
	* compatibility.el (lyskom-face-background): Changed to a wrapper
	function that returns a string (not a color-specifier) or nil.
	(lyskom-face-foreground): Dito.

2004-10-25  Pontus Freyhult  <pont@soua.net>

	* review.el (kom-review-noconversion): Use nil for 
	kom-show-footnotes-immediately during review with noconversion.

	Fix bug 1324:
	* view-text.el (lyskom-follow-comments): Removed possible
	footnote display.
	(lyskom-view-text): Show footnotes if desired.

2004-10-23  Pontus Freyhult  <pont@soua.net>

	Fix bug 284:
	* english-strings.el, swedish-strings.el: 
	(lyskom-custom-strings): Added kom-show-imported-message-id-tag
	and kom-show-imported-message-id-doc.
	(lyskom-message): Added message-id.

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-show-imported-message-id.
	(lyskom-custom-variables): Dito.	

	* vars.el.in (kom-show-imported-message-id): New variable.
	(kom-show-imported-external-recipients): Changed documentation
	(added kom-show-imported-message-id as "see also").

	* view-text.el (lyskom-view-text): Show Message-Id if available
	and kom-show-imported-message-id is true.

2004-10-19  Pontus Freyhult  <pont@soua.net>

	Allow for easy relogin from dead sessions (bug 1278):
	* command.el (lyskom-start-of-command): Possibly rerun 
	lyskom according to kom-relogin-behaviour.

	* startup.el (kom-start-anew): Handle the case of 
	lyskom-default-user-name being an integer.

	* vars.el.in (kom-relogin-behaviour): New variable.
	(lyskom-default-user-name): Changed documentation.

	* english-strings.el, swedish-strings.el: 
	(lyskom-message): Added resurrect-session.
	(lyskom-custom-strings): Added kom-relogin-behaviour-doc 
	and kom-relogin-behaviour-tag.

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-relogin-behaviour.
	(lyskom-custom-variables): Dito.	

	Clean up lyskom-default-password, enable password storing:
	* english-strings.el, swedish-strings.el: 
	(lyskom-custom-strings): Added kom-remember-password-tag
	and kom-remember-password-doc.

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-remember-password.
	(lyskom-custom-variables): Dito.

	* vars.el.in (kom-remember-password): New variable.

	* startup.el (lyskom): Use lyskom-default-user-name and
	lyskom-default-password if set (with higher priority than
	environment variables).
	(kom-start-anew): Store the password used to login in 
	lyskom-default-password if kom-remember-password is true.

	Handle texts with content-type image/something:
	* english-strings.el, swedish-strings.el: 
	(lyskom-message): Added reformat-image and image-no-show.
	(lyskom-custom-strings): Added kom-format-show-images-doc and
	kom-format-show-images-tag.

	* lyskom-rest.el (lyskom-format-image): New function.

	* option-edit.el (lyskom-customize-buffer-format): Added 
	kom-format-show-images.
	(lyskom-custom-variables): Dito.

	* vars.el.in (kom-format-show-images): New variable.
	(lyskom-format-special): Use lyskom-format-image for
	texts with content-type starting with image.

2004-10-17  David Byers  <byers@lysator.liu.se>

	Keep last read column in kom-handle-membership updated:
	* services.el (initiate-pepsi): Update last-time-entered when
	going to a conference with a cached membership. This makes it
	possible to update the corresponding column in the membership
	buffer correctly.

	Visual tweaks:
	* faces.el (kom-face--default--morons-face): Changed background to
	something slightly more legible.

	Mode documentation for kom-handle-membership:
	* mship-edit.el (lp--mode): Added mode documentation.

2004-09-27  David Byers  <byers@lysator.liu.se>

	Menus for kom-handle-membership:
	* menus.el (lyskom-prioritize-menu-template): New template.
	(lyskom-prioritize-menu): New variable.
	(lyskom-build-menus-xemacs): Build prioritize menu.
	(lyskom-build-menus-gnu): Build prioritize menu.
	(lyskom-menu-list): Add prioritize menu.

2004-07-21  David Byers  <byers@lysator.liu.se>

	* mship-edit.el (lp--update-buffer): When updating an existing
	membership, use its position if it has one, or things could go
	very wrong.

	* commands1.el (lyskom-add-member): Query the membership cache for
	the new position of the membership instead of attempting (and
	failing) to duplicate the logic here.

	* reading.el (lyskom-membership-list-prepend): Summport
	simulation.
	(lyskom-membership-list-insert-position): New function.
	(lyskom-membership-list-insert): Support simulation.
	(lyskom-query-membership-position): New function.
	(lyskom-membership-list-append): Support simulation.

2004-07-20  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-enter-conf): Update the membership buffer
	when going to a conference.

	* commands1.el (lyskom-go-to-empty-conf): Update the membership
	buffer when going to a conference.

	Improve handling of hidden entries in mship-edit:
	* mship-edit.el (lp--entry-set-visible): New function that handles
	bookkeeping for visibility.
	(lp--update-mode-line): Compute hidden information.
	(lp--mode-line-hidden): New variable.
	(lp--mode-line): Show number of hidden. Don't show modified
	status (what would the point be).
	(lp--entry-filter-after): New function.
	(lp--entry-filter-before): New function.
	(lp--show-all): New implementation. Moved.
	(lp--show-hide-memberships-by-date): New implementation.
	(lp--show-hide-read-memberships): New command.
	(lp--show-hide-passive-memberships): New command.
	(lp--mode): Set some local vars to nil on entry to mode.
	(lp--apply-entry-filter): Preserve cursor position.
	(lp--replace-entry-filter): New function.

	Fixed some remaining places where unreads weren't updated:
	* clienttypes.el (read-list-enter-first): Maybe update unreads in
	membership buffer.
	(set-read-list-del-first): Same here
	(set-read-list-empty): Same here

2004-07-19  David Byers  <byers@lysator.liu.se>

	Support for entry filters and buffer headers:
	* mship-edit.el (lp--add-entry-filter): New function.
	(lp--del-entry-filter): New function.
	(lp--apply-entry-filter): New function.
	(lp--entry-filter-description): New function.
	(lp--update-filter-description): New function.
	(lp--entry-filter-read): New function.
	(lp--entry-filter-passive): New function.
	(lp--entry-filter-hidden): New function.
	(lp--set-header): New function.
	(lp--create-buffer): Enable use of lp--set-header.

	Integrate mship-edit:
	* commands2.el (kom-membership): Removed old implementation and
	associated functions. Turned into an alias for kom-prioritize.

	* mship-edit.el (kom-prioritize): Renamed from
	kom-handle-membership.

	Improve membership edit:
	* mship-edit.el: Numerous minor changes. No details :-/

	* prioritize.el: Removed.

	* avltree.el: Removed.

	* elib-node.el: Removed.

	* clienttypes.el (read-list-delete-read-info): Update unreads in
	the membership buffer.

	* commands1.el (lyskom-add-member): Do replace-membership even
	when working under the session priority.
	(lyskom-add-member): Removed lp--update-buffer when adding a new
	membership or changing priority since lyskom-replace-membership
	will take care of that.

	* mship-edit.el (lp--print-entry): Recompute and obey visibility
	of entry. Erase entries that are invisible.
	(lp--erase-entry): Survive being called on an undrawn entry.
	(lp--entry-at): New implementation based on linear search that
	deals with invisible entries.
	(lp--maybe-update-unreads): Handle entry visibility and visibility
	changes correctly.

	Nicen up lyskom-end-of-command:
	* command.el (def-kom-command): Use make-symbol, not intern, to
	get an uninterned symbol for the macro. Added winsym to save
	selected window.
	(def-kom-emacs-command): Ditto.
	(def-kom-command): Select the correct window for
	lyskom-end-of-command so point can be moved to the end of the
	prompt in that window.
	(def-kom-emacs-command): Same here.

	Fix problem tracking unreads in membership buffer:
	* clienttypes.el (read-list-enter-text): When updating unreads,
	pass conf-no, not conf-stat, to lp--maybe-update-unreads.

2004-07-18  David Byers  <byers@lysator.liu.se>

	* mship-edit.el (lp--maybe-update-unreads): Zero unreads are
	formatted as "", even if there is a read-info on the to-do list.

	* clienttypes.el (read-list-enter-read-info): Update unreads when
	appending unread texts to old read-infos and adding new
	read-infos.

	* view-text.el (lyskom-mark-as-read): Removed the callback. We
	update the membership buffer elsewhere.

	* clienttypes.el (read-list-enter-text): Update unreads in the
	membership buffer.
	(read-list-delete-text): Update unreads in the membership buffer.

	* komtypes.el (text-list->memq): New subst.

	* reading.el (lyskom-membership-list-move): Return non-nil if
	moved.
	(lyskom-replace-membership): Sort the to-do list if the membership
	moved.

	* mship-edit.el (lp--update-buffer): Use regular save-excursion
	around the complete function, not lp--save-excursion.

	* reading.el (lyskom-replace-membership): Make it actually work.

	* lyskom-rest.el (lyskom-binsearch-internal): Use elt, not aref,
	so the thing can work on lists too -- searching for elt n in C is
	a lot faster than linear search in lisp.
	(lyskom-binsearch): Accept comparison function.
	(lyskom-binsearch-internal): User-supplied comparison function.

	* mship-edit.el (lp--mode-map): Added bindings for M-up and
	M-down (same as M-p and M-n).
	(lp--do-select-priority): Prompt for priority (defaults to
	priority of current entry)
	(lp--mode-map): M-# now bound to lp--deselect-priority
	(lp--mode-map): M-w now bound to lp--select-region (my fingers
	refuse to hit C-w when I don't want text to be deleted)
	(lp--mode-map): Bound <home> and <end>
	(lp--expand-entry): New function. Replaces lp--expand-all
	(lp--contract-entry): New function. Replaces lp--contract-all

	New membership list data structure:
	* mship-edit.el (lyskom-change-membership-priority): New API for
	lyskom-replace-membership.
	(lyskom-change-membership-position): Ditto.
	(lyskom-prioritize-flag-toggle): Ditto.
	(lp--set-entry-pri-and-pos): Ditto. Set position correctly.

	* macros.el (lyskom-traverse-membership): New implementation.

	* reading.el: New implementation of the sorted conference list.
	Using AVL trees ended up causing too much trouble when changing
	position and priority of memberships.
	(mship-list-node): New type.
	(membership-list): New type.
	(lyskom-membership-list-compare-next): New function (internal)
	(lyskom-membership-list-compare-prev): New function (internal)
	(lyskom-membership-list-insert): New function (API)
	(lyskom-membership-list-prepend): New function (internal)
	(lyskom-membership-list-append): New function (internal)
	(lyskom-membership-list-delete): New function (API)
	(lyskom-membership-list-move): New function (API)
	(lyskom-mship-cache-create): Don't use AVL trees.
	(lyskom-mship-cache-get): Now returns mship-list-nodes.
	(lyskom-mship-cache-put): Don't use AVL trees.
	(lyskom-mship-cache-append): New function (internal)
	(lyskom-mship-cache-del): Don't use AVL trees.
	(lyskom-update-membership-positions): Do nothing.
	(lyskom-add-memberships-to-membership): Append memberships 
	(lyskom-try-get-membership): Deal with a cache that returns
	mship-list-nodes instead of memberships.
	(lyskom-replace-membership): Function, not macro, again.
	(lyskom-membership-<): Removed

2004-07-16  David Byers  <byers@lysator.liu.se>

	* reading.el (lyskom-membership-<): If the conf-nos are not the
	same, always return t.

2004-07-15  David Byers  <byers@lysator.liu.se>

	* commands1.el (lyskom-add-member): Delete the new conference from
	the to-do-list so we get the correct number of unread when
	accepting an invitation.

	* startup.el (lyskom-refetch): Prefetch membership *after*
	prefetching unread confs. This should let us get started reading
	just a little quicker.

	* prefetch.el (lyskom-prefetch-read-texts-handler): If we get here
	and already have a cached membership, then replace its read-texts
	field since the membership we have may come from a call where we
	didn't ask for read texts.

2004-07-13  David Byers  <byers@lysator.liu.se>

	* mship-edit.el (lp--update-buffer): Call lp--remove-from-list
	with the correct parameters.

	Removed obsolete backwards compatibility setting:
	* vars.el.in (kom-default-session-priority): Changed default
	session priority to zero. By now everyone who used the old
	convention of priority zero meaning passive memberships should
	have saved their settings at least once, so they'll still have one
	as the default. New users shouldn't be burdened (or confused) by
	old baggage.

	Clean up XEmacs compile:
	* prefetch.el (lyskom-prefetch-one-item): Eliminate compiler
	warnings from XEmacs.

	* avltree.el (lyskom-elib-avl-enter-balance1): Eliminate compiler
	warnings from XEmacs.

	* utilities.el (lyskom-list-text-summary): Eliminate compiler
	warnings from XEmacs.

	Fix membership cache related bug:
	* startup.el (kom-start-anew): Call lyskom-init-membership here
	since a valid cache structure may be needed before we get to
	lyskom-refetch.

	Extend status information:
	* commands2.el (kom-is-person-member-of-conference): Show
	membership priority.

2004-07-12  David Byers  <byers@lysator.liu.se>

	Make kom-handle-membership work again:
	* reading.el (lyskom-replace-membership): Turned this into a macro
	so the membership can be altered while replacing it.

	* mship-edit.el (lyskom-change-membership-priority): Use
	lyskom-replace-membership properly.
	(lyskom-change-membership-position): Ditto.
	(lp--set-entry-pri-and-pos): Ditto. Also inhibit buffer updates to
	avoid infinite recursion due to calling lp--update-buffer from
	within lyskom-replace-membership.

	Deal with changes in 21.4 widget package:
	* option-edit.el (lyskom-create-widget): Don't mask errors when
	creating the storage widget. Changed args for the storage widget
	to a list.
	(lyskom-widget-number-value-to-external): Convert from pretty much
	anything to numbers.
	(lyskom-widget-number-value-to-internal): Convert from pretty much
	anything to strings.
	(lyskom-ding-widget): Set values to numbers, not strings.
	(lyskom-number-widget): Provide a default value.

	Deal with Gnu Emacs 19.34:
	* menus.el (lyskom-define-menu-gnu): Use
	lyskom-encode-coding-string instead of encode-coding-string.

	Eliminate warnings when compiling with Gnu Emacs 21.4:
	* compatibility.el (function-obsolete-p): New alias.
	(set-process-query-on-exit-flag): New alias.
	(make-local-hook): New alias.
	(lyskom-make-self-evaluating): New implementation that works in
	all Emacsen yet doesn't generate warnings in 21.4

	* startup.el (lyskom): Use lyskom-set-process-query-on-exit
	instead of process-kill-without-query.
	(lyskom-setup-ssh-relay): Same here.

	* defvar.el (lyskom-clientversion-long): We don't treat
	lyskom-clientversion-long as a constant in the rest of the code,
	so let's not pretend that it is one, shall we?

	Work on porting kom-handle-membership to new membership cache:
	* mship-edit.el (lyskom-change-membership-priority): Don't attempt
	to sort the membership list. Just replace the membership in the
	cache to put it in the correct position. Explicitly sort the to-do
	list since we no longer call lyskom-sort-membership.
	(lyskom-change-membership-position): Use lyskom-replace-membership
	to move the membership in the membership list.

	* macros.el (lyskom-traverse-membership): Ensure that we get
	lyskom-mship-cache from the right buffer.

	* prioritize.el: Removed lyskom-prioritize-add-membership,
	lyskom-prioritize-remove-membership and
	lyskom-prioritize-replace-membership. As a result the prioritize
	buffer can no longer deal with new, removed and altered
	memberships.

	* clienttypes.el (read-list-enter-read-info): When checking
	whether to append texts to an existing read-list item, don't check
	that conf-stats are eq. Just check that the conf-nos are the same.

	* prefetch.el (lyskom-prefetch-read-texts-handler): There was a
	race condition here which could cause unread texts never to be
	read properly.

	Provide hash-table-like functions in Emacs 19 and 20:
	* reading.el (lyskom-mship-cache-create): Use
	lyskom-make-hash-table instead of make-hash-table so compatibility
	defun is used when needed.
	(lyskom-mship-cache-get): Ditto for gethash.
	(lyskom-mship-cache-put): Ditto for puthash.
	(lyskom-mship-cache-del): Ditto for remhash.

	* compatibility.el (make-hash-table): Provide compatibility defun.
	(gethash): Ditto.
	(puthash): Ditto.
	(remhash): Ditto.

2004-07-11  David Byers  <byers@lysator.liu.se>

	Performance improvements:
	* prefetch.el: Completely new implementation.

	New implementation of lyskom-membership using AVL trees:
	* commands2.el (kom-list-news): Use lyskom-traverse-membership
	instead of mapping over lyskom-membership.
	(lyskom-update-membership-buffer): Use lyskom-traverse-membership
	instead of traversing lyskom-membership

	* stack-m.el: New file. Copied from elib with modifications.

	* elib-node.el: New file. Copied from elib with modifications.

	* avltree.el: New file. Copied from elib with modifications.

	* prefetch.el (lyskom-prefetch-membership-handler): Use
	lyskom-add-memberships-to-membership since this function now
	maintains a sorted membership list.

	* reading.el (lyskom-membership-<): Moved here from lyskom-rest.el.
	(lyskom-membership-length): New function.
	(lyskom-init-membership): New function.
	(lyskom-membership-position): New implementation.
	(lyskom-remove-membership): New implementation.
	(lyskom-replace-membership): New implementation.
	(lyskom-insert-membership): New implementation.
	(lyskom-add-memberships-to-membership): New implementation.
	(lyskom-update-membership-positions): New implementation.
	(lyskom-mship-cache-del): New function.
	(lyskom-mship-cache-put): New function.
	(lyskom-mship-cache-get): New function.
	(lyskom-mship-cache-create): New function.
	(lyskom-mship-cache-data): New function.
	(lyskom-mship-cache-index): New function.
	(lyskom-mship-cache): New variable.
	(lyskom-get-membership): Moved here from lyskom-rest.el. New
	implementation.
	(lyskom-try-get-membership): Ditto.

	* commands1.el (lyskom-add-member): Reimplement position
	calculation using lyskom-traverse-membership and possibly fixing a
	bug along the way.

	* macros.el (lyskom-traverse): New implementation using catch and
	no hard-coded variable names.
	(lyskom-traverse-break): New implementation using throw.
	(lyskom-traverse-aux): New implementation using catch and
	new-style backqoutes.
	(lyskom-traverse-membership): New macro.

	* commands1.el (kom-delete-conf): Don't manipulate
	lyskom-membership directly.
	(lyskom-add-member): Ditto.

	* startup.el (lyskom-set-membership): Removed. Not used.
	(lyskom-clear-vars): Don't save lyskom-membership or
	lyskom-membership-is read. They're overwritten anyway.

	* macros.el (lyskom-with-lyskom-buffer): New macro.

2004-06-28  David Byers  <byers@lysator.liu.se>

	Fix a bug where texts were not marked as read when they got a new
	recipient and also weren't placed in the read-list:
	* view-text.el (lyskom-mark-as-read): Use lyskom-recpt-types-list
	instead of hard-coding the list.

	* async.el (lyskom-async-new-recipient): When processing a new
	recipient, call mark-as-read with the text's local number, not
	it's global number.

2004-07-03  Ulrik Haugen  <qha@lysator.liu.se>

	* Makefile (DPKG_BUILDPACKAGE_OPTIONS): Buggfix, don't set
	DPKG_BUILDPACKAGE_OPTIONS to "''".

2004-06-26  David Byers  <byers@lysator.liu.se>

	* reading.el (lyskom-add-memberships-to-membership): Use
	lyskom-membership-table.
	(lyskom-insert-memberships-in-membership): Ditto.
	(lyskom-do-insert-membership): Ditto.
	(lyskom-do-remove-membership): Ditto.

	Speed up lyskom-get-membership (a lot):
	* lyskom-rest.el (lyskom-membership-table): New variable
	(lyskom-membership-table-add): New function.
	(lyskom-membership-table-del): New function.
	(lyskom-try-get-membership): Use lyskom-membership-table. 

	Fix Emacs 19.34 compatibility problems:
	* compatibility.el (map-keymap): Bug fix-

	* menus.el (lyskom-swedish-bindings): Moved here from vars.el.in
	to make Emacs 19.34 work again.
	(lyskom-swedish-bindings-reverse): Ditto.

2004-06-25  David Byers  <byers@lysator.liu.se>

	New abstraction for listing texts:
	* faqs.el (lyskom-present-unread-faqs): Implement using new
	functions.
	(lyskom-do-list-faqs): Ditto.

	* commands2.el (lyskom-do-list-summary): Removed. Not used.
	(lyskom-list-summary): Implement using new functions.
	(lyskom-print-summary-line): Not used any more. Removed.
	(lyskom-construct-summary-format-string): Ditto.

	* utilities.el (lyskom-max-text-no-width): Moved here from
	commands2.el.
	(lyskom-symbolic-mark-type-string): Ditto.
	(lyskom-max-text-no-width): Ditto.

	* commands2.el (kom-list-marks): Implement using
	lyskom-list-text-summary. Show number of marks for each text.
	(lyskom-print-mark-summary-line): No longer used. Removed.
	(lyskom-max-mark-width): Cleaned up this code a little.

	* utilities.el (lyskom-list-text-summary-get): New support function.
	(lyskom-list-text-summary-put): Ditto.
	(lyskom-text-summary-fields): New variable.
	(lyskom-list-text-summary-subject): New support function.
	(lyskom-summary-line-format-string): Ditto.
	(lyskom-list-text-summary-print): Ditto.
	(lyskom-list-text-summary): Generic function for printing lists of
	texts. Incorporates support for all features in older text list
	functions.

2004-06-24  David Byers  <byers@lysator.liu.se>

	Fix bug 1362:
	* parse.el (lyskom-parse-float): Relaxed the regexp matching
	floats to avoid terminating the parse too early.

2004-06-23  David Byers  <byers@lysator.liu.se>

	Make kom-join-all-conferences more responsive:
	* commands2.el (kom-leave-all-conferences): Update display after
	each conf.
	(kom-join-all-conferences): Same here.

	Improve startup performance:
	* vars.el.in (lyskom-fetch-membership-length): Changed default to
	100 and updated the documentation. We no longer fetch the map this
	way, and a large value cuts down on the number of calls the client
	has to make to the server.

2004-06-13  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-set-connection-time-format): Refuse to set
	UTC if encode-time is broken (i.e. XEmacs 21.4 under Windows).

2004-06-09  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (kom-builtin-server-aliases): Added MysKOM.

	* Makefile (DPKG_BUILDPACKAGE_OPTIONS): New variable.
	(debian-packages): Pass DPKG_BUILDPACKAGE_OPTIONS along to
	dpkg-buildpackage.

2004-05-26  David Byers  <byers@lysator.liu.se>

	Fix bug 1326:
	* lyskom-rest.el (lyskom-format-html-plaintext): Corrected
	arguments to lyskom-button-transform-text.

2004-05-25  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-format-aux-help): Handle non-integer
	(i.e. floating point) numbers somewhat more gracefully.

2004-05-23  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (kom-button-click): Support w3m links.

	Support w3m; fontify urls when not rendering html:
	* lyskom-rest.el (lyskom-w3m-region): New function.
	(lyskom-w3-region): Use lyskom-render-html-region.
	(lyskom-render-html-region): New function.
	(lyskom-format-htmal-plaintext): New function.
	(lyskom-format-html): Made generic.
	(lyskom-format-html-w3): New function.
	(lyskom-format-html-w3m): New function.

	* vars.el.in (lyskom-format-special): When HTML formatting is off,
	fontify URLs and stuff.

	* lyskom-rest.el (w3-fetch): Don't call w3-finish-drawing. It used
	to be necessary, but now it causes the client to hang.
	(smiley-region): Support a stack of formatting functions.

2004-05-12  David Byers  <byers@lysator.liu.se>

	Fix bug 1320:
	* lyskom-rest.el (lyskom-is-loaded): Seed the randomizer.

2004-05-04  David Byers  <byers@lysator.liu.se>

	* vars.el.in (kom-old-farts-text-prompt-strategy): Corrected
	format of this variable.

2004-05-03  David Byers  <byers@lysator.liu.se>

	* NEWS-0.48: Updated to here.

2004-05-02  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-eq-dash): New function.
	(lyskom-tnpa-prompt): New function.
	(lyskom-tnpa-valid): New function.
	(lyskom-tnpa-add-property): New function.
	(lyskom-tnpa-text-no): New function.
	(lyskom-tnpa-text-property): New function.
	(lyskom-tnpa-apply-strategy): New function.
	(lyskom-read-text-no-prefix-arg): Reimplementation.
	(lyskom-maybe-get-commented-text): Emptied parameter list.
	(lyskom-maybe-get-footnoted-text): Ditto.
	(lyskom-get-explicit-text): Removed.
	(lyskom-get-command-specified-default-text): Removed.
	(lyskom-get-last-read-text): Removed parameters.
	(lyskom-get-previous-text): Ditto. Get value from LysKOM buffer,
	not current buffer.
	(lyskom-get-text-at-point): Removed parameters. No error message
	returned from here.
	(lyskom-get-text-at-point-ancestor): Removed optional parameters.
	No error reporting by returning strings; signal instead.
	(lyskom-prompt-for-text-no): Removed.
	(lyskom-get-last-text-written-by-me): Removed optional parameters.
	(lyskom-get-last-written-or-read-by-me): Ditto.
	(lyskom-get-text-above-point): Ditto.
	(lyskom-get-text-below-point): Ditto.
	(lyskom-get-text-below-point): New heuristic. Positiv arg higher
	than 20 is treated literally.

	* vars.el.in (kom-pick-text-no-strategy-alist): New format.
	(kom-old-farts-text-prompt-strategy): New format.

	* commands2.el (kom-add-no-comments): Removed params from
	lyskom-read-text-no-prefix-arg.
	(kom-add-private-answer): Ditto.
	(kom-add-request-confirm): Ditto.
	(kom-will-person-read-text): Ditto.
	(kom-compare-texts): Ditto.
	(kom-diff-texts): Ditto.

	* commands1.el (kom-view-previous-commented-text): Removed params
	from lyskom-read-text-no-prefix-arg.
	(kom-unread-previous-commented-text): Ditto.
	(kom-write-footnote): Ditto.
	(kom-comment-previous): Ditto.
	(kom-private-answer-previous): Ditto.
	(kom-set-presentation): Ditto.
	(kom-set-motd-text): Ditto.
	(lyskom-add-cross-reference): Ditto.

2004-04-28  David Byers  <byers@lysator.liu.se>

	* services.el (initiate-get-part-of-membership): Get the first
	read range so we can figure out the last read text.

2004-04-27  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (lyskom-button-unread-text): New function.

	* vars.el.in (lyskom-text-buttons): Added rtsp urls.

2004-04-11  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-save-text): Fix bug 1307.

2004-04-13  Johan Sundström  <jhs@lysator.liu.se>

	* english-strings.el, swedish-strings.el (global): Give a name for
	kom-review-cross-references too.

	* menus.el (lyskom-menu-template): Add kom-review-cross-references
	here too.

2004-04-12  Johan Sundström  <jhs@lysator.liu.se>

	* vars.el.in (lyskom-commands): Add kom-review-cross-references.

2004-04-11  Johan Sundström  <jhs@lysator.liu.se>

	* review.el (kom-review-cross-references): New command. Reviews
	all [aux info] cross refeferenced texts.

	* review.el (lyskom-cross-referenced-text,
	lyskom-review-cross-references): New support functions.

	* english-strings.el (lyskom-en-mode-map): Bind it to "r a x".

	* swedish-strings.el (lyskom-sv-mode-map): Bind it to "å a x".

	* english-strings.el, swedish-strings.el (local): added
	review-xrefs-q.

2004-02-29  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-format-plaintext-fonts-body): Updated
	revexp to reduce false positives.
	(lyskom-format-plaintext-fonts-body): More features. Put / back
	again, but only if it's near decent delimiters.

	Make fontification turn-offable:
	* option-edit.el (lyskom-customize-buffer-format): Added
	kom-text-properties and kom-fontify-text.
	(lyskom-custom-variables): Same here.

	* vars.el.in (kom-fontify-text): New variable.
	(kom-text-properties): Make server-stored by default.

	Better fontification code:
	* lyskom-rest.el: (lyskom-format-plaintext-fonts-body): New macro.
	For internal use only.
	(lyskom-format-plaintext-fonts): Don't use / as an italics
	delimiter.

	Fix bug 1282:
	* services.el (initiate-query-read-texts): Call correct membership
	parser. Use new names.
	(initiate-get-membership): Ditto.
	(initiate-get-part-of-membership): Ditto.

	* parse.el (lyskom-parse-membership-10) New name.
	(lyskom-parse-membership-list-10): New name.

	Goofing off:
	* lyskom-rest.el (lyskom-format-plaintext-fonts): New function.

	* macros.el (lyskom-mime-content-type-get): Moved here from
	mime.el.
	(lyskom-mime-content-type): Moved here from mime.el.

	Fix bug 744 (I think):
	* flags.el (lyskom-save-options): Save unknown variables too.
	(lyskom-save-options): Encode variable names too. Despite them
	being all ASCII, Emacs will sometimes think one is a multibyte
	string, and then convert everything back to multibyte format,
	which will break the user area. Refuse to save if any part of the
	user area is a multibyte string.

	Don't throw away contents of unknown variables:
	* vars.el.in (lyskom-saved-unknown-variables): New variable.
	(lyskom-settings-version): New variable.

	* flags.el (kom-copy-options): Don't discard unknown variables.

	* startup.el (kom-start-anew): Tell the user that unknown
	variables may be due to changing client versions (if settings were
	saved in a different version than we're running right now).

	* flags.el (kom-save-options): Accept prefix argument to delete
	unknown variables.

	* async.el (lyskom-async-new-user-area): Tell the user when
	re-reading settings from the server. Don't discard unknown
	variables.

	* flags.el (lyskom-read-options-eval): The list of ignored
	variables is an alist of name and value.

	* startup.el (kom-start-anew): lyskom-read-flags now returns a
	alist for ignored variables. Don't discard unknown variables.

2004-02-28  David Byers  <byers@lysator.liu.se>

	Prepare for dealing with format=flowed texts:
	* komtypes.el (text->decoded-text-mass): Use new content-type
	functions and format.

	* edit-text.el (lyskom-edit-send): Use new content-type functions
	and format.

	* mime.el (lyskom-mime-decode-content-type): Rewrote to handle
	arbitrary parameters to the content type.
	(lyskom-mime-content-type): New function.
	(lyskom-mime-content-type-get): New function.

2004-02-27  David Byers  <byers@lysator.liu.se>

	Fix bug 1281 and related issues:
	* commands1.el (kom-write-comment): Use new def-kom-command
	features.
	(kom-private-answer): Ditto.
	(kom-write-footnote): Ditto.
	(kom-comment-previous): Ditto.
	(kom-private-answer): Ditto.
	(kom-private-answer-previous): Ditto.

	* slow.el (kom-slow-mode): Use def-kom-command instead of defun.
	(kom-quick-mode): Ditto.

	* commands2.el (kom-show-user-area): Use def-kom-command instead
	of defun.

	* command.el (def-kom-command): Added keyword support.
	(def-kom-emacs-command): Ditto.
	(lyskom-start-of-command): Added PROMPT-FORMAT.

2004-02-23  David Byers  <byers@lysator.liu.se>

	Further reduce the likelihood of sending alarm messages
	unintentionally:
	* commands2.el (lyskom-interactive-send-message): New function.
	(kom-send-alarm): Use it.
	(kom-send-message): Use it.

2004-02-22  David Byers  <byers@lysator.liu.se>

	* NEWS-0.48: Updated to here.

	Clean up for XEmacs:
	* lyskom-rest.el (lyskom-startup-check-recommended-memberships):
	Don't bind pers-stat. It's not used.
	(smiley-region): Don't bind plaintext. It's not used.
	(lyskom-fill-message): Suppress warning about variable timer.

	* defvar.el (def-kom-var): Don't ever do a null doc-string. XEmacs
	will complain quite loudly.

	Fix bug 1125:
	* commands1.el (lyskom-read-cross-reference-and-get-aux-item): Use
	lyskom-a-or-b-or-c-p instead of completing-read.

	* edit-text.el (lyskom-read-link): Moved here from commands1.el
	since this is the only file that uses it.
	(lyskom-read-link): Use lyskom-a-or-b-or-c instead of
	completing-read.

	* commands1.el (kom-list-re): Ask what to search for before asking
	for the search string.

	Fix new bug in kom-is-person-member-of-conference:
	* lyskom-rest.el (lyskom-get-read-texts-for-membership): Removed
	this function again. It isn't used anywhere any more.

	* commands2.el (kom-is-person-member-of-conference): Don't use
	lyskom-get-read-texts-for-membership. Don't need it.

	Refactoring of adding members to simplify all callers:
	* lyskom-rest.el (lyskom-check-go-to-conf): Use lyskom-add-member
	to add self when going to a conference we have been invited to or
	need to depassivate.
	(lyskom-startup-check-recommended-memberships): Use
	lyskom-add-member to accept recommendations.

	* commands1.el (lyskom-add-member): New function.
	(kom-add-self): Use lyskom-add-member.
	(kom-add-member): Use lyskom-add-member.
	(lyskom-add-member-by-no): Use lyskom-add-member.
	(lyskom-go-to-conf): Don't ask for number of unread here.
	(lyskom-add-member-answer): Removed this junk.
	(lyskom-try-add-member): Removed this junk too.
	(kom-change-priority): Use lyskom-add-member. Refuse to change
	priority of passive memberships.

	Fix bug 1251:
	* commands1.el (kom-move-text): Don't try to move footnotes and
	attachments that we can't read.

	* option-edit.el: Added kom-auto-confirm-new-conferences to the
	settings buffer.

2004-02-21  David Byers  <byers@lysator.liu.se>

	Fix bug 1276:
	* startup.el (lyskom-setup-ssh-relay): Use kom-ssh-command instead
	of hardcoding the ssh command name.

	* vars.el.in (kom-ssh-command): New variable.

	Fix bug 1250:
	* view-text.el (lyskom-text-read-at-least-once-p): Don't consider
	passive memberships.
	(lyskom-text-read-p): Same here.

	* services.el (initiate-get-part-of-membership): Don't get read texts.

	* lyskom-rest.el (lyskom-get-read-texts-for-membership): New
	function.

	* commands2.el (kom-is-person-member-of-conference): Use it here.

2004-02-12  David Byers  <byers@lysator.liu.se>

	Make kom-list-new-conferences quittable:
	* commands2.el (lyskom-list-new-conferences): Handle C-g when
	listing conferences or persons using the new lyskom-cancel-calls.
 
	* internal.el (lyskom-cancel-calls): It works now.

2004-02-11  David Byers  <byers@lysator.liu.se>

	Improve ability to cancel calls:
	* services.el (initiate-get-text): Add lyskom-ref-no to PARSED.
	(initiate-get-text-stat): Ditto.
	(initiate-get-pers-stat): Ditto.
	(initiate-get-conf-stat): Ditto.
	(initiate-get-uconf-stat): Ditto.
	(initiate-get-static-session-info): Ditto.
	(initiate-get-stats-description): Ditto.
	(initiate-get-boottime-info): Ditto.

	* internal.el (lyskom-apply-handler): Allow ref-no in PARSED.

	* parse.el (lyskom-tr-call-to-parsed): Leave the ref-no in PARSED.

	* internal.el (lyskom-cancel-calls): New function.

	Prevent lyskom-ref-no from going negative:
	* macros.el (lyskom-ref-no): New macro to get and increment
	lyskom-ref-no.

	* internal.el (lyskom-send-packet): Ensure that lyskom-ref-no
	never goes negative.

	Fix bug 1272:
	* review.el (kom-review-converted): Don't bind
	lyskom-format-special (why did we *ever* bind it here?)

2004-02-09  David Byers  <byers@lysator.liu.se>

	* clienttypes.el (lyskom-queue-remove-matching): New function.

2004-02-07  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-read-date): Added optional parameter empty.

	Speed up behavior after changing user area:
	* async.el (lyskom-parse-async): Don't re-read settings if the new
	user area is one we've already read (or just created).

	* flags.el (lyskom-save-options-2): Set lyskom-current-user-area.
	(lyskom-read-options-eval): Ditto.

	Bug 1271 (and then some):
	* commands2.el (kom-list-new-conferences): Accept prefix arg to
	list from a specific date.
	(kom-list-new-persons): Ditto.
	(lyskom-list-new-conferences): Prompt for start date if the caller
	requests it or the command has never been used before.

2004-02-06  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-find-conf-by-date): New function.

2004-01-29  David Byers  <byers@lysator.liu.se>

	* macros.el (blocking-do-multiple): Use modern backquote syntax to
	make the code more readable.

	* vars.el.in (lyskom-text-buttons): Improved performance of some
	regexps in lyskom-text-buttons.

	* commands1.el (kom-move-text): Prevent moving from a conference
	back to the same conference. Doing this deletes the recipient
	completely.

2004-01-26  David Byers  <byers@lysator.liu.se>

	* vars.el.in (lyskom-format-special): Explicitly format plaintext
	types.
	(lyskom-text-buttons): Simplified the regexps for URLs.

	* lyskom-rest.el (smiley-region): New function.
	(smiley-region): Use it. Clean up some of the code.

2004-01-13  David Byers  <byers@lysator.liu.se>

	* review.el: Made all state variables (for kom-review-more)
	buffer-local.

2004-01-12  David Byers  <byers@lysator.liu.se>

	* services.el (initiate-get-membership): Use call 108 when
	possible.
	(initiate-get-part-of-membership): Same here.

	* parse.el (lyskom-parse-membership-list-11): New function.

2004-01-01  David Byers  <byers@lysator.liu.se>

	Fix bug 1236:
	* vars.el.in (lyskom-default-conference-strategy): Added
	kom-force-logout.

	* commands1.el (lyskom-return-username): Handle
	static-session-info and session-info in addition to who-info.

	Fix bug 1237:
	* vars.el.in (lyskom-commands-not-in-menu): New variable.

	* check-strings.el (lyskom-check-strings): Check main menu to
	ensure that all commands are in menus.
	(lcs-check-menu-template): New function.
	(lcs-extract-commands-from-menu-template): New function.

	Improve display of accelerators in menus:
	* menus.el (lyskom-define-menu-xemacs): Try to use swedish
	characters rather than brackets and braces for bindings that have
	both.
	(lyskom-define-menu-gnu): Same here. In W32, encode the keyboard
	shortcut using latin-1. Hopefully that will get rid of the little
	boxes in the menus.

	* utilities.el (lyskom-traverse-keymap): New function.

	* compatibility.el (map-keymap): More fixes.

	* menus.el (lyskom-menu-guess-shortcuts): New function.

	* vars.el.in (lyskom-swedish-bindings): New variable.
	(lyskom-swedish-bindings-reverse): Ditto.

2003-12-18  David Byers  <byers@lysator.liu.se>

	* compatibility.el (map-keymap): I think this function will work
	in Gnu Emacs now.

	Make language selection more available:
	* swedish-strings.el (lyskom-menus): Language-related texts in
	swedish and english.
	(lyskom-message): Ditto.

	* menus.el (lyskom-menu-template): Added change local and global
	language.

	* commands2.el (kom-change-global-language): New command.
	(kom-change-local-language): New command.

	Commands at when-done in current language:
	* language.el (lyskom-try-get-string): Added language parameter.
	(lyskom-get-string): Added language parameter.

	* command.el (lyskom-command-name): Added language parameter.

2003-12-17  David Byers  <byers@lysator.liu.se>

	Update menus:
	* utilities.el (lyskom-gensym): New function (it really seems that
	elisp doesn't have a built-in gensym function).

	* menus.el (lyskom-define-menu-gnu): Use gensym to generate
	separator symbols (so we can say just (hline) in the menu spec).
	(lyskom-menu-template): All-new menu definitions.

2003-12-16  Johan Sundström  <jhs@lysator.liu.se>

	* commands2.el (kom-change-language): Reverted my improper prefix
	argument hack from 2003-08-30.

2003-12-11  David Byers  <byers@lysator.liu.se>

	Fix bug 1233:
	* commands1.el (kom-change-priority): Pass old mship-type to
	lyskom-add-member-answer.

	Fix bug 1234:
	* lyskom-rest.el (lyskom-update-prompt): New prompts for when
	prioritised texts are in the letterbox, or the prioritised
	conference is the letterbox.

	Fix bug 1233:
	* commands1.el (lyskom-list-clients-collect): Deal with version
	set to nil.

2003-12-10  David Byers  <byers@lysator.liu.se>

	* startup.el (kom-start-anew): Show a help link when setting the
	language.

	* lyskom-rest.el (lyskom-format-aux-help): The argument for a
	conditional format is not optional, so we can handle extending
	format strings with additional boolean conditionals without
	altering the argument lists where they are used.

2003-12-07  David Byers  <byers@lysator.liu.se>

	* NEWS-0.48: Updated to here.

	Handle user privileges:
	* commands2.el (kom-change-privileges): New command.
	 (kom-status-person): Print privileges.

	* komtypes.el (pers-stat): Make privileges read-write.

	* utilities.el (lyskom-privilege-string): New function.

	* vars.el.in (lyskom-default-conference-strategy): Added
	change-conf-type, which was missing, to this list.

2003-12-04  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-read-number): Use lyskom-string-to-int so
	we never create floats by mistake.

	More features for padding and truncating formatted strings:
	* commands1.el (lyskom-print-comment-like-aux): Don't print FAQ
	links if the data in the aux-item is invalid.

	* utilities.el (lyskom-truncate-string-to-width): New simpler
	implementation that only supports the features we use and supports
	the TRAILER argument.

	* lyskom-rest.el (lyskom-format-aux-help): Support < > and = to
	specify stuff in pad-length. Support a ... trailer for truncated
	strings.

	Improve handling of invalid numeric data:
	* aux-items.el (lyskom-status-print-faq-text): Handle invalid data
	in aux item.
	(lyskom-faq-for-conf-action): Use lyskom-string-to-int to convert
	data and throw an error on invalid format.
	(lyskom-aux-item-validate): New function.
	(lyskom-status-print-faq-text): Validate aux-item data before
	printing.
	(lyskom-print-faq-for-conf): Same here.
	(lyskom-print-send-comments-to): Same here.
	(lyskom-print-recommended-conf): Same here.

	* utilities.el (lyskom-string-to-int): New function.
	(lyskom-integer-conversion-error): New error symbol.

	Fix bug 1229:
	* commands2.el (kom-list-new-conferences): The data got from the
	server is a conf-stat, not an uconf-stat. Treat it as such...
	(lyskom-list-new-conferences): Same here.

2003-12-03  David Byers  <davby@ida-gw.sysinst.ida.liu.se>

	* names.el: Changed some names and tpyos.

	* commands1.el (lyskom-list-clients-collect): Client statistics
	now semi-ignore parentheses in the version field.

2003-11-17  David Byers  <byers@lysator.liu.se>

	Fix bug 1142:
	* commands1.el (lyskom-mark-text): Print the mark type in the
	marking message.

	* commands2.el (lyskom-symbolic-mark-type-string): Added argument
	STRICT. 

	Minor bug fixes:
	* commands2.el (kom-is-person-member-of-conference): When reading
	pers-to-check-mship-for, only read persons.

	* vars.el.in (lyskom-default-conference-strategy): Fixed typo in
	kom-move-text-tree.

	Fix bug 1174:
	* commands2.el (kom-join-all-conferences): Ask about receiving
	group messages in all conferences.

	* commands1.el (lyskom-add-member-answer): Added mship-type
	parameter.
	(lyskom-add-member-by-no): Added mship-type parameter.
	(kom-create-conf): Added mship-type parameter in call to
	lyskom-add-member-by-no 

	Fix bug 1213:
	* commands1.el (lyskom-write-text): Handle argument correctly so
	both prefix arguments and menus work properly.
	(lyskom-add-member-answer): Added mship-type parameter

	Fix bug 1132:
	* commands2.el (lyskom-list-new-conferences): Made this function
	asynchronous. Use lyskom-get-conf-stat since there's a good
	chance, shortly after release at any rate, that this command will
	cause an explosion of get-conf-stats anyway (when the client gets
	the conf-stat in order to display the presentation status).

2003-11-14  David Byers  <byers@lysator.liu.se>

	Fix bug 1140:
	* vars.el.in (kom-pick-text-no-strategy-alist): Added items to
	this list corresponding to commands that have non-standard
	defaults, since these were ignored.

	* faqs.el (kom-add-faq): Don't pass DEFAULT to
	lyskom-read-text-no-prefix-arg (the default made little sense
	anyway).
	(kom-add-server-faq): Same here.

	* commands1.el (kom-set-presentation): Don't pass DEFAULT to
	lyskom-read-text-no-prefix-arg (the default made little sense
	anyway).
	(kom-set-motd-text): Same here.

2003-09-21  David Byers  <byers@lysator.liu.se>

	* commands1.el (lyskom-read-mark-type): Improve handling of empty
	string entered as mark type.

2003-09-17  David Byers  <byers@lysator.liu.se>

	* cache.el (lyskom-tell-server): Never, ever, send nil to
	change-what-i-am-doing since this causes a protocol error.

2003-10-26  Per Cederqvist  <ceder@ceder.dyndns.org>

	* lyskom-rest.el (kom-mark-unread): Fixed typos in doc string.

2003-10-26  Joel Rosdahl  <joel@rosdahl.net>

	* commands1.el (lyskom-get-least-used-mark-types-alist): Handle
	nil in mark list got from cache-get-marked-texts.

2003-10-23  Joel Rosdahl  <joel@rosdahl.net>

	Fix bug 1137:
	* commands1.el (lyskom-read-mark-type): Handle empty
	input correctly.

2003-09-15  Per Cederqvist  <ceder@ingate.com>

	* swedish-strings.el (lyskom-message): Added missing verb in
	new-keep-commented-q format.

2003-08-30  Johan Sundström  <jhs@lysator.liu.se>

	* commands2.el (kom-change-language): Now always changes bindings,
	unless explicitly overridden with an integer argument (for some
	form of backwards compatibility for users who already have burnt
	in "C-u x change language" into their spines by now). I have never
	wanted to change languages without changing key bindings as well,
	but considering it was implemented like this, someone might still
	want to do that (hence this slight prefix awkwardness).

2003-08-30  David Byers  <byers@lysator.liu.se>

	Fix bug 1101:
	* komtypes.el (text-list->trim-head): The new length was computed
	incorrectly, leading to problems if this function was called
	without intervening calls to functions that corrected the error.

	Fix bug 1131:
	* parse.el (lyskom-init-parse): Inherit inheritable variables from
	lyskom-buffer since the parsers may depend on them.

2003-08-29  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-fill-message): Don't kill the last char.

2003-08-28  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (kom-builtin-server-aliases, kom-server-aliases): Fix
	documentation string ((NICKNAME . SERVER) -> (SERVER . NICKNAME)).

2003-08-28  David Byers  <byers@lysator.liu.se>

	Handle breaking very long texts:
	* lyskom-rest.el (lyskom-fill-message): Added option of a timeout
	for filling, replaced whitespace deletion at the end with a method
	that does not rely on regexps (it seems that anchoring a regexp at
	the end of the buffer does not improve performance as much as I
	expected), and caused C-g to break out of the filling loop, but
	not out of the function.

	* vars.el.in (kom-autowrap-timeout): New variable.

	Fix bug 1117:
	* commands2.el (kom-set-garb-nice): Moved kom-set-keep-commented
	into this function. It makes more sense that way.
	(kom-set-keep-commented): Deleted this command.

	Fix bug 1128:
	* commands2.el (kom-limit-import): Support refusing HTML import.

	Fix bug 1125:
	* edit-text.el (lyskom-edit-insert-miscs): Make more of the
	separator line read-only, taking care (I hope) to get text
	properties right so the read-only property does not affect the
	subject line.

2003-08-27  David Byers  <davby@ida.liu.se>

	* compatibility.el (string-to-vector): Don't just compute the
 	result. Return it too...

	* utilities.el (lyskom-completing-read): Protect the value of
	this-command from alteration.
	(lyskom-read-from-minibuffer): Same here.

2003-08-26  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-magic-minibuffer-mangle-initial):
	Explicitly make properties at the front of the initial value
	nonsticky (mainly for XEmacs where they are sticky by default).
	(completing-read): Add explicity uses for all variables to avoid
	compiler warnings in XEmacs at run time.
	(read-from-minibuffer): Same.

	* commands2.el (kom-send-message): Remoed unused variables.

2003-08-25  David Byers  <byers@lysator.liu.se>

	* vars.el.in (lyskom-error-codes): Added error codes 55-61.

	* english-strings.el,swedish-strings.el: Added error codes 55-61.

	* startup.el (kom-start-anew): Use lyskom-default-language instead
	of kom-default-language to set the initial language for the
	session.

	* lyskom-rest.el (lyskom-is-loaded): Changed initialization of
	language variables to use new function in language.el. Also do not
	alter kom-default-language unless it was nil to begin with.
	Convert kom-default-language from symbol to list if necessary.

	* language.el (lyskom-language-from-environment): Moved here from
	lyskom-rest.el.
	(lyskom-default-language): New function.

	* completing-read.el (lyskom-read-conf-internal): We use
	uconf-stats internally, so don't use conf-stat accessors.

2003-08-25  David Byers  <davby@ida.liu.se>

	Fix problems entering conferences in the edit buffer:
	* completing-read.el (lyskom-default-conference-saved): Read the
	value of lyskom-read-conf-saved-inputs in the LysKOM buffer.
	(lyskom-read-conf-save-input): Same here.
	(lyskom-get-initial-conf-strategy): Print warning about missing
	strategy in LysKOM buffer.

	* vars.el.in (lyskom-read-conf-saved-inputs): Moved here from
	completing-read.el and made it buffer-local.

	* completing-read.el (lyskom-read-conf): Create dynamic binding of
	lyskom-current-command to lyskom-current-command or this-command
	so lyskom-read-conf-guess-initial has good data to operate on even
	if this-command is changed during execution of lyskom-read-conf.

	* vars.el.in (lyskom-last-personal-message-sender): Default to
	nil. 
	(lyskom-last-group-message-recipient): Default to nil.

	* commands2.el (lyskom-default-conference-for-send-message):
	Return nil when there is no suitable recipient.

2003-08-25  David Byers  <byers@lysator.liu.se>

	Fixed assertion failure when receiving broadcast messages:
	* messages.el (lyskom-filter-message-handler): Filtering on
	recipient used checks on sender. Filtering worked most of the time
	anyway.

2003-08-24  David Byers  <byers@lysator.liu.se>

	* completing-read.el (lyskom-default-conference-empty): New function.

	* vars.el.in (lyskom-default-conference-strategy): Corrected
	listings for review and unread functions.

	* review.el (lyskom-review-by-to): Correct prompt in call to
	lyskom-read-conf-no.
	(lyskom-unread-by-to): Same here.

	* commands1.el (kom-status-session): Pass prompt to
	lyskom-read-session-no as symbol.

	* commands2.el (kom-force-logout): Pass prompt to
	lyskom-read-session-no as symbol.

	* remote-control.el (kom-remote-autoreply): Pass prompt to
	lyskom-read-session-no as symbol.
	(kom-remote-set-message): Same.
	(kom-remote-list-messages): Same.
	(kom-remote-erase-messages): Same.
	(kom-remote-quit): Same.

	* Makefile (TARGET): Default to debug compile.

	Fix bug 459:
	* commands2.el (kom-send-message): Use standard strategy for
	initial value when reading conf.
	(lyskom-default-conference-for-send-message): New function.

	* async.el (lyskom-show-personal-message): Save conf-no, not name
	in lyskom-last-personal-message-sender.
	(lyskom-show-personal-message): Same here.

	* vars.el.in (lyskom-default-conference-strategy): Added
	strategy for set-keep-commented and kom-send-message.

	* completing-read.el (lyskom-get-initial-conf-strategy): Display a
	warning if there is no prompt-specific strategy (there should be).
	This only happens if compiled with debugging.

	* macros.el (lyskom-debug-forms): New macro.

	* utilities.el (lyskom-completing-read): Fix handling of default
	argument (twas broken before).

	* commands1.el (kom-move-text-tree): Handle initial values for
	reading conference names through standard strategy configuration.

	* vars.el.in (lyskom-default-conference-strategy): Added
	strategies for kom-move-text and kom-sub-recipient.

	* commands1.el (lyskom-default-recpt-for-sub): Removed this
	function. It is implemented through the standard strategy
	configuration instead.
	(kom-move-text): Handle initial values for reading conference
	names through standard strategy configuration.

	* vars.el.in (lyskom-last-added-rcpt): Removed this variable.
	(lyskom-last-added-ccrcpt): Same.
	(lyskom-last-added-bccrcpt): Same.
	(lyskom-last-sub-rcpt): Same.

	* commands1.el (kom-sub-recipient): Don't save answer reading
	conference. Rely on standard strategy for default initial value.
	Sort the recipient list so RECPT is first.

	* vars.el.in (lyskom-default-conference-strategy): Handle initials
	formerly set in lyskom-add-helper through save strategy.

	* commands1.el (kom-create-conf): Ask about keep-commented when
	creating conference.
	(lyskom-add-helper): Don't explicitly save last-added stuff.
	Removed last-added variable parameter.
	(kom-add-copy): Updated parameter list to lyskom-add-helper.
	(kom-add-bcc): Same here.
	(kom-add-recipient): Same here.

	* NEWS-0.48: Updated to here.

	Support setting keep-commented:
	* commands2.el (kom-set-keep-commented): New command.

2003-08-20  David Byers  <byers@lysator.liu.se>

	More work on bug 459:
	* vars.el.in (lyskom-default-conference-strategy): Documented this
	variable.

	Support saving most recent input:
	* completing-read.el (lyskom-read-conf-saved-inputs): New
	variable.
	(lyskom-read-conf-save-input): New function.
	(lyskom-read-conf): Call it to save user input.
	(lyskom-read-conf-guess-initial): Support arguments to strategy
	functions.
	(lyskom-default-conference-saved): New function.

2003-08-17  David Byers  <byers@lysator.liu.se>

	Fix bug 1044:
	* lyskom-buttons.el (lyskom-view-url-windows): Protect execution
	of w32-shell-execute from errors (e.g. caused by bad settings).
	(lyskom-view-url-windows): Added a bunch of paths to iexplore.exe.

	Support UTC time in the server:
	* startup.el (lyskom): Select UTC time format if the server
	supports it.

	* utilities.el (lyskom-set-connection-format): New function.

	* parse.el (lyskom-parse-time): Use lyskom-create-time-from-utc.
	Convert day-of-year to starting from one.
	(lyskom-init-parse): Add the parse buffer as a child of the main
	buffer so UTC setting is propagated to it.

	* komtypes.el (lyskom-create-time-from-utc): Simplified. It seems
	that the right thing to do is pass zero in TZ to encode-time. This
	should speed things up slightly in normal cases. Handle case when
	server does not use UTC.

	* services.el: (initiate-get-last-text): Commented out since we
	can't convert local time to UTC, which this function requires.

	Go over EMPTY and MUSTMATCH parameters to lyskom-read-conf-stat:
	* startup.el (kom-start-anew): Don't allow EMPTY when logging on.

	* filter.el (kom-filter-subject): Don't use /=. Use not eq
	instead.
	(kom-filter-author): Same here.
	(kom-filter-text): Same here.

	* commands2.el (kom-create-aux-item): Set MUSTMATCH when reading
	conference name.

	* vars.el.in (lyskom-default-conference-strategy): Default for
	kom-set-permitted-submitters new-permitted-submitters-q is empty.

	* commands1.el (kom-change-presentation): Don't allow EMPTY when
	reading conf name (it means the same as the default initial
	value).
	(kom-change-conf-motd): Same here.
	(kom-set-presentation): Same here.
	(kom-set-motd-text): Same here.
	(kom-remove-presentation): Same here.
	(kom-change-password): Same here.

	* macros.el (lyskom-with-external-functions): Work even if
	byte-compile-unresolved-functions is not bound (e.g. in
	check-strings.el and when not compiled).

	Make initial value for reading confs more configurable:
	* filter.el (kom-filter-author): Simplified. Initial values are
	now computed in completing-read.el, not here.

	* completing-read.el (lyskom-read-conf-guess-initial): Added
	PROMPT parameter.
	(lyskom-get-initial-conf-strategy): Added PROMPT parameter.
	Operate on new format. Combine prompt-specific, command-specific
	and default configuration.

	* vars.el.in (lyskom-default-conference-strategy): New format.
	Removed lyskom-default-conference-self as default.

	* completing-read.el (lyskom-default-conference-last-author): New
	function. 

	Pass symbols or lists to lyskom-read-conf-stat and friends:
	* startup.el (kom-start-anew): Pass symbol as prompt to
	lyskom-read-conf-stat.

	* review.el (lyskom-review-by-to): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(lyskom-unread-by-to): Same.

	* filter.el (kom-filter-subject): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(kom-filter-author): Same.
	(kom-filter-text): Same.

	* faqs.el (kom-change-conf-faq): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(kom-list-faqs): Same.

	* edit-text.el (kom-edit-add-recipient): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(kom-edit-add-bcc): Same.
	(kom-edit-add-copy): Same.
	(kom-edit-move-text): Same.

	* completing-read.el (lyskom-read-conf): Support list as prompt.

	* commands2.el (kom-status-conf): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(kom-status-person): Same.
	(kom-set-garb-nice): Same.
	(kom-set-permitted-submitters): Same.
	(kom-set-super-conf): Same.
	(kom-set-personal-label): Same.
	(kom-is-person-member-of-conference): Same.
	(kom-will-person-read-text): Same.

	* commands1.el (kom-delete-conf): Pass symbol as prompt to
	lyskom-read-conf-stat.
	(kom-review-presentation): Same.
	(kom-unread-presentation): Same.
	(kom-add-member): Same.
	(kom-add-self): Same.
	(kom-change-priority): Same.
	(kom-sub-member): Same.
	(kom-sub-self): Same.
	(kom-change-presentation): Same.
	(kom-change-conf-motd): Same.
	(kom-set-presentation): Same.
	(kom-set-motd-text): Same.
	(kom-remove-presentation): Same.
	(kom-unset-conf-motd): Same.
	(kom-go-to-conf): Same.
	(lyskom-write-text): Same.
	(kom-change-name): Same.
	(kom-change-parenthesis): Same. Also moved initial to vars.el.in.
	(kom-change-supervisor): Same.
	(kom-change-password): Same.
	(kom-who-is-on-in-conference): Same.
	(kom-who-is-present-in-conference): Same.
	(lyskom-add-helper): Same.
	(kom-sub-recipient): Same.
	(lyskom-read-cross-reference-and-get-aux-item): Same. Also cleanup.
	(lyskom-read-link): Same.

2003-08-16  David Byers  <byers@lysator.liu.se>

	Work on supporting UTC timestamps from the server:
	* komtypes.el (lyskom-create-time-from-utc): New function.

	* utilities.el (lyskom-days-in-year): New function.

	Support for new server calls:
	* parse.el (lyskom-parse-scheduling-info): New function.

	* komtypes.el (scheduling-info): New datatype.

	* services.el (initiate-get-scheduling): New function.
	(initiate-set-scheduling): New function.
	(initiate-set-connection-time-format): New function.

	Handle async-text-aux-changed:
	* async.el (lyskom-parse-async): Handle async-text-aux-changed.

	* aux-items.el (lyskom-aux-item-modify-list): New function.

	* komtypes.el (text-stat): Make aux-items field read-write.

	Major cleanup of compatibility code:
	* compatibility.el: Cleaned up compatibility code a lot. We no
	longer provide fake versions of MULE-related functions or any
	other function that other code might take to mean there's some
	major feature in Emacs. The only definitions we make in the
	standard namespace are "safe" functions. Removed functions that
	are not used. Simplified some of the macros. Moved code here from
	utilities.el.
	(lyskom-gnu-keysym,lyskom-xemacs-keysym): Removed swedish chars
	from the lists since we don't use lyskom-keys for that any more.

	* commands2.el (kom-diff-texts): split-string to
	lyskom-split-string.

	* compatibility.el (coding-system-type): New compatibility def.
	(coding-system-property): New compatibility def.
	(split-string): Provide compatibility definition for split-string.

	* lyskom-rest.el (lyskom-unity-text): Use compatibility functions
	for MULE stuff.

	* macros.el (lyskom-end-of-compilation): Don't remove
	compatibility definitions from the list of warnings for unresolved
	functions since this serves no purpose and hides actual errors.

	* lyskom-rest.el (lyskom-unity-text): coding-system-type to
	lyskom-coding-system-type.

	* option-edit.el (lyskom-widget-click): event-point to
	lyskom-event-point.

	* slow.el (kom-slow-click-or-yank): event-closest-point to
	lyskom-event-closest-point.

	* utilities.el (lyskom-unicase-char): char-to-int to
	lyskom-char-to-int.

	* lyskom-rest.el (lyskom-fill-message-initial-wrap): char-to-int
	to lyskom-char-to-int.
	(lyskom-fill-message): Same here.
	(lyskom-is-loaded): Same here.

	* faces.el (lyskom-setup-faces-for-buffer): frame-property to
	lyskom-frame-property.

	* review.el (lyskom-get-texts-by-and-to): mapcar2 to
	lyskom-mapcar2.

	* lyskom-rest.el (lyskom-split-user-area): mapcar2 to
	lyskom-mapcar2.

	* feature.el (lyskom-list-features): mapcar2 to lyskom-mapcar2.

	* slow.el (lyskom-expand-slow-command): char-before to
	lyskom-char-before.

	* option-edit.el (lyskom-widget-click): event-point to
	lyskom-event-point.

	* lyskom-buttons.el (kom-button-click): event-point to
	lyskom-event-point. event-glyph to lyskom-event-glyph.
	(kom-popup-menu): Same here.

	* mship-edit.el (lp--entry-set-background): find-face to
	lyskom-find-face.
	(lp--entry-set-foreground): Same here.

	* lyskom-rest.el (lyskom-face-default-p): find-face to
	lyskom-find-face.

	* aux-items.el (lyskom-maybe-add-face-to-string): find-face to
	lyskom-find-face.

	* mship-edit.el (lp--format-entry): lyskom-face-background-name to
	lyskom-face-background. lyskom-face-foreground-name to
	lyskom-face-foreground.
	(lp--redraw-entry-mark): Same here.

	* lyskom-rest.el (lyskom-verified-read-enter): minibuffer-message
	to lyskom-minibuffer-message.

	* command.el (lyskom-command-complete-word): minibuffer-message to
	lyskom-minibuffer-message.

	* utilities.el (lyskom-maybe-recode-string): multibyte-string-p to
	lyskom-multibyte-string-p.
	(lyskom-string=): multibyte-string-p to
	lyskom-multibyte-string-p.

	* compatibility.el (lyskom-string-width): multibyte-string-p to
	lyskom-multibyte-string-p.

	* buffers.el (lyskom-recode-buffer-name): multibyte-string-p to
	lyskom-multibyte-string-p.

	* compatibility.el (lyskom-string-width): string-make-unibyte to
	lyskom-string-make-unibyte. string-make-multibyte to
	lyskom-string-make-multibyte.

	* lyskom-rest.el (lyskom-filter): string-as-unibyte to
	lyskom-string-as-unibyte.
	(lyskom-prot-a-format-string): Same here.
	(lyskom-prot-a-format-raw-string): Same here.

	* mime.el (lyskom-mime-string-charset): find-charset-string to
	lyskom-find-charset-string.

	* utilities.el (lyskom-truncate-string-to-width): char-width to
	lyskom-char-width.

	* view-text.el (lyskom-format-text-footer): string-width to
	lyskom-string-width.

	* completing-read.el (lyskom-read-session-resolve-ambiguity):
	string-width to lyskom-string-width.

	* utilities.el (lyskom-check-configuration): coding-system-get to
	lyskom-coding-system-get.

	* mime.el (lyskom-mime-string-charset):
	find-coding-systems-for-charsets to
	lyskom-find-coding-systems-for-charsets
	(lyskom-mime-string-charset): coding-system-get to
	lyskom-coding-system-get.

	* parse.el (lyskom-parse-coded-string): check-coding-system to
	lyskom-check-coding-system.

	* mime.el (lyskom-mime-charset-coding-system): check-coding-system
	to lyskom-check-coding-system.

	* lyskom-rest.el (lyskom-prot-a-format-string): string-bytes to
	lyskom-string-bytes.
	(lyskom-prot-a-format-raw-string): string-bytes to
	lyskom-string-bytes.

	* flags.el (lyskom-save-options): string-bytes to
	lyskom-string-bytes.

	* utilities.el (lyskom-compute-char-classes): decode-coding-string
	to lyskom-decode-coding-string.
	(lyskom-string=): decode-coding-string to
	lyskom-decode-coding-string.

	* parse.el (lyskom-parse-coded-string): decode-coding-string to
	lyskom-decode-coding-string.

	* mime.el (lyskom-mime-decode-string): decode-coding-string to
	lyskom-decode-coding-string.

	* parse.el (lyskom-parse-string): decode-coding-string to
	lyskom-decode-coding-string.

	* flags.el (lyskom-read-options-eval-get-holerith):
	decode-coding-string to lyskom-decode-coding-string.
	(lyskom-get-holerith): decode-coding-string to
	lyskom-decode-coding-string.

	* compatibility.el (lyskom-buggy-decode-coding-string):
	decode-coding-string to lyskom-decode-coding-string.

	* buffers.el (lyskom-recode-buffer-name): decode-coding-string to
	lyskom-decode-coding-string.

	* aux-items.el (lyskom-aux-item-decode-data): decode-coding-string
	to lyskom-decode-coding-string.

	* compatibility.el (lyskom-buggy-encode-coding-string):
	encoded-coding-string to lyskom-encode-coding-string.

	* utilities.el (lyskom-maybe-recode-string): encode-coding-string
	to lyskom-encode-coding-string.
	(lyskom-unicase): encode-coding-string to
	lyskom-encode-coding-string.

	* mime.el (lyskom-mime-encode-string): encode-coding-string to
	lyskom-encode-coding-string.

	* lyskom-rest.el (lyskom-prot-a-format-string):
	encode-coding-string to lyskom-encode-coding-string.

	* language.el (lyskom-get-menu-string): encode-coding-string to
	lyskom-encode-coding-string.

	* keyboard-menu.el (lyskom-keyboard-menu-keys-for-string):
	encode-coding-string to lyskom-encode-coding-string.

	* flags.el (lyskom-save-options): encode-coding-string to
	lyskom-encode-coding-string.

	* buffers.el (lyskom-recode-buffer-name): encode-coding-string to
	lyskom-encode-coding-string.

	* aux-items.el (lyskom-aux-item-encode-data): encode-coding-string
	to lyskom-encode-coding-string.

	* startup.el (lyskom): set-process-coding-system to
	lyskom-set-process-coding-system.

	* parse.el (lyskom-init-parse): set-buffer-multibyte to
	lyskom-set-buffer-multibyte.

	* mship-edit.el (lp--maybe-update-unreads): Use
	lyskom-next-property-bounds, not next-text-property-bounds.

	* lyskom-rest.el (lyskom-do-special-inserts): Use
	lyskom-next-property-bounds, not next-text-property-bounds.

	* view-mode.el (lyskom-view-base-mode): set-keymap-parent to
	lyskom-set-keymap-parent.

	* language.el (lyskom-set-language-keymaps): set-keymap-parent to
	lyskom-set-keymap-parent.

	* completing-read.el (lyskom-minibuffer-local-must-match-map):
	set-keymap-parent to lyskom-set-keymap-parent.

	* command.el (lyskom-command-minibuffer-local-must-match-map):
	set-keymap-parent to lyskom-set-keymap-parent.

	* commands2.el (lyskom-help-get-keylist): map-keymap to
	lyskom-map-keymap. Removed other branches since map-keymap is
	always defined now.

	* mship-edit.el (lp--calculate-distance): signum to lyskom-signum.

	* commands1.el (lyskom-window-width): frame-width to
	lyskom-frame-width.

	* lyskom-rest.el (lyskom-format-aux-help): int-to-char to
	lyskom-int-to-char.

	* commands2.el (lyskom-help): characterp to lyskom-characterp

	* keyboard-menu.el (lyskom-read-from-menu): characterp to
	lyskom-characterp.

	* lyskom-rest.el (lyskom-format-aux-help): characterp to
	lyskom-characterp.

	* regexp.el (lyskom-re-convert-finalize-result): characterp to
	lyskom-characterp.
	(lyskom-re-convert-finalize-result): Same here.

	* mime.el (lyskom-mime-string-charset): Use :mime-charset next to
	mime-charset (Gnus does this ans says it is the Emacs 22 way).

2003-08-15  David Byers  <byers@lysator.liu.se>

	* view-text.el (lyskom-get-text-belongs-to): New function.

	Fix bug 301:
	* commands1.el (kom-move-text): Move attachments and footnotes
	together with the text.
	(kom-sub-recipient): Remove recipient from attachments and
	footnotes too.
	(lyskom-add-helper): Add recipients to attachments and footnotes
	too.

	Fix bug 623:
	* commands2.el (kom-set-unread): Delete conf-stat from cache
	before prompting. Fixed error handling.

	Better handling of minibuffer reading:
	* completing-read.el (lyskom-read-conf): Don't call
	lyskom-with-lyskom-minibuffer since it's integrated in
	lyskom-completing-read now.
	(lyskom-read-session-resolve-ambiguity): Same here.

	* lyskom-rest.el (lyskom-verified-read-from-minibuffer): Don't
	call lyskom-with-lyskom-minibuffer since it's integrated in
	lyskom-read-from-minibuffer now.

	* commands2.el (kom-calculate): Don't call
	lyskom-with-lyskom-minibuffer since it's integrated in
	lyskom-read-from-minibuffer now.
	(kom-set-personal-label): Same here.

	* command.el (lyskom-read-extended-command): Don't use
	lyskom-with-lyskom-minibuffer since it's integrated in
	lyskom-completing-read now.

	* utilities.el (lyskom-completing-read): Moved here from
	compatibility.el and turned into a regular function. Integrate
	lyskom-with-lyskom-minibuffer and lyskom-with-magic-minibuffer.
	(lyskom-read-from-minibuffer): Ditto.

	* commands1.el (kom-sub-self): Undo previous change. The new
	configuration mechanism takes care of things.
	(kom-go-to-conf): Same here.

	Even better defaults for initial conference:
	* compatibility.el (lyskom-completing-read): Use defsubst in Gnu
	Emacs so we can advise it.

	* vars.el.in (lyskom-default-conference-strategy): New variable.

	Rewrote magic minibuffer handling:
	* utilities.el (lyskom-magic-minibuffer-pre-command): New
	function.
	(lyskom-magic-minibuffer-before-change): New function.
	(lyskom-magic-minibuffer-post-command): New function.
	(lyskom-magic-minibuffer-cancel): New function.
	(lyskom-magic-minibuffer-mangle-initial): New function.
	(read-from-minibuffer): New advice.
	(completing-read): New advice.
	(lyskom-magic-minibuffer-add-advice): New function.
	(lyskom-magic-minibuffer-cancel-advice): New function.
	(lyskom-with-magic-minibuffer): New macro.

2003-08-15  Ulrik Haugen  <qha@lysator.liu.se>

	* english-strings.el (local): Changed "what conference" -> "which
	conference" in conf-to-check-mship-of, conf-to-list-faqs.

	* english-strings.el, swedish-strings.el (local): Renamed
	conf-to-faq -> conf-to-list-faqs.

	* faqs.el (kom-list-faqs): Caller changed.

	Fix for bug 1082.

	* faqs.el (kom-list-faqs): Removed hard coded string when asking
	for conference.

	* english-strings.el, swedish-strings.el (local): added
	conf-to-faq.

2003-08-14  David Byers  <byers@lysator.liu.se>

	* completing-read.el (lyskom-read-conf): Cancel magic in
	minibuffer-exit-hook to avoid triggering bugs in Gnu Emacs 20.7
	(and probably all earlier versions).

	Update NEWS file:
	* NEWS-0.48: Updated to here.

	Don't show nil in message area when silently saving settings:
	* flags.el (lyskom-save-options): Support nil message properly.
	(lyskom-save-options-2): Ditto.
	(lyskom-save-options-3): Ditto.

	Suppoert non-interactive use of kom-list-new-conferences etc:
	* vars.el.in (kom-auto-confirm-new-conferences): New variable.

	* commands2.el (lyskom-list-new-conferences): Support
	auto-confirmation.

	* lyskom-rest.el (lyskom-do-format): Better error reoprting
	(report argument number and actual argument).
	(lyskom-format-aux-help): Provide data for error reporting.

	* faqs.el (kom-list-server-faqs): Updated documentation.

	New commands:
	* services.el (initiate-first-unused-conf-no): New function.
	(initiate-first-unused-text-no): New function.
	(initiate-find-next-conf-no): New function.
	(initiate-find-previous-conf-no): New function.

	* commands2.el (kom-set-personal-label): Use capitalized strings
	for conf, pers and text.
	(lyskom-list-new-conferences): New function.
	(kom-list-new-persons): New command.
	(kom-list-new-conferences): New command.

	* commands1.el (lyskom-read-cross-reference-and-get-aux-item): Use
	capitalized strings for conf, pers and text.
	(lyskom-read-link): Same here.

	Handle async-new-presentation and async-new-motd correctly:
	* async.el (lyskom-parse-async): Set the correct buffer when
	looking for confs in the cache.

	Show more stats in non-extended display:
	* commands2.el (kom-status-server): Show text, conf and person
	statistics in the default display.

	Cace get-stats-description:
	* services.el (initiate-get-stats-description): Use cache.

	* vars.el.in (lyskom-stats-description): New variable.

	* parse.el (lyskom-parse-stats-description): Cache result.

	Show some boottime info:
	* commands2.el (kom-status-server): Show server start time and
	soem basic statistics in the default display.

	Cache static-server-info:
	* parse.el (lyskom-parse-static-server-info): Update cache.

	* services.el (initiate-get-boottime-info): Use cache.

	More fine-grained control over extended status:
	* commands2.el (kom-status-server): Only show full server stats if
	the appropriate extended status information is on.

	* utilities.el (lyskom-extended-status-information): New function.

	* commands2.el (kom-status-conf): Set
	kom-extended-status-information to t on entry if it contains conf.
	(kom-status-server): Set kom-extended-status-information to t on
	entry if it contains server.
	(kom-status-person): Set kom-extended-status-information to t on
	entry if it contains pers.

	* aux-items.el (lyskom-print-elisp-client-read-faq): Use
	lyskom-extended-status-information to check for extended status
	information.

	* vars.el.in (kom-extended-status-information): Updated variable
	documentation.

	Fix bug 1080:
	* commands2.el (kom-status-server): Use point-max, not point, to
	figure out where insertion starts and ends (lyskom-insert always
	inserts at point-max but does not always move point).

	Fix bug 1081:
	* lyskom-rest.el (lyskom-format-aux): Set pad-length to nil when
	no pad-length is specified.

2003-08-13  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (kom-default-language): Updated the variable
	documentation.

	* lyskom-rest.el (lyskom-is-loaded): Handle the case when
	kom-default-language is a list.

2003-08-13  David Byers  <byers@lysator.liu.se>

	Work on bug 1075:
	* parse.el (lyskom-parse-static-server-info): New function.

	* services.el (initiate-get-boottime-info): New function.

	* vars.el.in (lyskom-static-server-info): New variable.

	* komtypes.el (static-server-info): New type.

	Fix bug 1078:
	* vars.el.in (lyskom-global-variable-types): Change read of
	integer.
	(kom-default-mark): Put this both in the common area and the elisp
	area. This is a good thing when we set it to values that are not
	legal according to the protocol specification.

	* flags.el (lyskom-flag-read-integer): When reading integers,
	accept nil too.

	Delete initial value on change:
	* completing-read.el (lyskom-read-from-minibuffer-clear-initial):
	New function.
	(lyskom-read-conf): Put it into before-change-functions in
	minibuffer-setup-hook.
	(lyskom-read-conf): Set pre-command-hook and post-command-hook.
	(lyskom-read-from-minibuffer-cancel-magic): New function.
	(lyskom-read-from-minibuffer-pre-command): New funtion.
	(lyskom-read-from-minibuffer-post-command): New function.
	(lyskom-minibuffer-point): New variable.

2003-08-12  David Byers  <byers@lysator.liu.se>

	* async.el (lyskom-parse-async): Handle async 20.
	(lyskom-parse-async): Handle async 21.

2003-08-05  Per Cederqvist  <ceder@ceder.dyndns.org>

	* completing-read.el (lyskom-read-conf): Typographic doc fix.

2003-08-05  Johan Sundström  <jhs@lysator.liu.se>

	* commands1.el (kom-go-to-conf): Never suggest going to the
	conference you are already in. It is a very annoying default.
	(kom-sub-self): Never suggest dropping out of your mailbox. It
	is about the last conference you are likely to want to leave.

2003-08-04  David Byers  <byers@lysator.liu.se>

	* commands2.el (kom-status-server): Show ascent and descent rates
	for statistics.

2003-08-04  Johan Sundström  <jhs@lysator.liu.se>

	* edit-text.el (lyskom-edit-fcc-text): Fix for bug 1073.

2003-08-03  David Byers  <byers@lysator.liu.se>

	* commands2.el (kom-status-server): Show statistics about the
	server.

	* lyskom-rest.el (lyskom-format-aux-help): Added support for
	formatting floats.
	(lyskom-format-aux): Support setting fraction length for floats.
	(lyskom-format-units): New function.

	Support get-stats server call:
	* utilities.el (lyskom-get-server-stats): New function.

	* komtypes.el (server-stats): New type.

	* parse.el (lyskom-parse-float): New function.
	(lyskom-parse-stats): New function.

	* komtypes.el (stats-description): New type.
	(stats): New type.

	* parse.el (lyskom-parse-stats-description): New function.
	(lyskom-parse-stats-array): New function.

	* services.el (initiate-get-stats-description): New function.

	More work on bug 900 (now nags about presentations):
	* vars.el.in (kom-dont-complain-about-missing-presentation): New
	variable.

	* utilities.el (lyskom-nag-about-presentation): New function.

	* startup.el (kom-start-anew): Use new function to nag about
	presentation.

	* commands1.el (lyskom-write-text): Nag about presentation.
	(kom-write-comment): Here too.

	* lyskom-rest.el (lyskom-format-aux-help): Added support for F
	format letter (fill paragraph).
	(lyskom-do-insert): Ditto.

	Coherent and useful defaults reading conference names:
	* filter.el (kom-filter-subject): Don't set default when reading
	conference name (the default default is better). Also cleaned up
	the code some (it was downright embarrasing).
	(kom-filter-author): Same here (sans the cleaning).
	(kom-filter-text): Same here.

	* edit-text.el (lyskom-edit-add-recipient/copy): Don't set default
	when reading conference name (the default default is better).

	* faqs.el (kom-review-faq): Don't set default when reading
	conference name (the default default is better).
	(kom-change-conf-faq): Same here.
	(kom-list-faqs): Same here.

	* review.el (lyskom-review-by-to): Don't set default when reading
	conference name (the default default is better).
	(lyskom-unread-by-to): Same here.

	* commands2.el (kom-status-person): Don't set default when reading
 	conference name (the default default is better).
	(kom-send-message): Fall back to the default default when reading
	recipient name (better than the empty string, I think).

	* commands1.el (kom-write-text): Don't set default when reading
	conference name (the default default is better).
	(kom-review-presentation): Pass nil as the initial for
	lyskom-read-conf-stat.
	(kom-unread-presentation): Same here.
	(kom-add-self): Same here.
	(kom-change-priority): Same here.
	(kom-sub-member): Same here.
	(kom-sub-self): Same here.
	(kom-go-to-conf): Same here.
	(kom-list-created-conferences): Same here.
	(kom-change-password): Same here.
	(kom-who-is-on-in-conference): Same here.
	(kom-who-is-present-in-conference): Same here.
	(kom-change-parenthesis): Pass lyskom-pers-no in initial.
	(kom-sub-recipient): Use default INITIAL if no better choice is
	found.
	(lyskom-add-helper): Same here.
	(kom-move-text): Same here.
	(kom-move-text-tree): Same here.

	* command.el (def-kom-command): Added binding of
	lyskom-command-point.

	* completing-read.el (lyskom-read-conf): Handle loads of different
	types for INITIAL.
	(lyskom-read-conf-guess-initial): New function that guesses a
	default for conference reading commands. The default is the first
	that fits the predicate of the conference under point, the current
	conference and the current person.

2003-07-31  David Byers  <byers@lysator.liu.se>

	Make moving memberships work again:
	* mship-edit.el (lp--update-membership): Get priority from entry,
	not membership (which is *all* wrong).
	(lp--mode): Show the correct keymap in documentation.
	(lp--mode-map): Added binding for C-k.

2003-07-30  David Byers  <byers@lysator.liu.se>

	Keep membership buffer updated changing membership types:
	* reading.el (lyskom-insert-membership): Added calls to
	lp--update-buffer.
	(lyskom-replace-membership): Added calls to lp--update-buffer.
	(lyskom-remove-membership): Added calls to lp--update-buffer.

	* lyskom-rest.el (lyskom-check-go-to-conf): Added calls to
	lp--update-buffer.

	* commands2.el (kom-change-message-flag): Added calls to
	lp--update-buffer.

	* commands1.el (kom-add-self): Added calls to lp--update-buffer
	when de-passivating.
	(lyskom-sub-member): Added calls to lp--update-buffer.

	* lyskom-rest.el (lyskom-get-holerith-list): Return list in
	original order.
	(lyskom-split-user-area): Don't reverse the list here.

	* flags.el (lyskom-flag-write-symbol-list): Fixed stupid bug.

2003-07-28  David Byers  <byers@lysator.liu.se>

	Better support for message-flag and no-of unread when joining:
	* commands1.el (lyskom-go-to-conf): Ask for number of unread when
	joining.
	(kom-add-self): Ask for message-flag when de-passivating.
	(lyskom-add-member-answer): Ask for message-flag when adding self.

	* lyskom-rest.el (lyskom-check-go-to-conf): Ask for message-flag
	when de-passivating a membership.

	Some more work for kom-handle-membership:
	* mship-edit.el (lp--create-buffer): Made the header and footer
	adapt to the window width like the contents do.
	(lp--toggle-passive): New command. Also added binding.

	* check-strings.el (lcs-split-format-string): Reflect changes to
	lyskom-format-format here.

	* lyskom-rest.el (lyskom-list-unread-mapping): Removed unused
	variable.
	(lyskom-format-aux-help): Added format directive l.
	(lyskom-format-aux): Support arbitrary pad characters.

2003-07-27  David Byers  <byers@lysator.liu.se>

	Like bug 755 but for footnotes:
	* utilities.el (lyskom-maybe-get-footnoted-text): New function.

	* vars.el.in (kom-pick-text-no-strategy-alist): Added better
	default for kom-sub-footnote.

	* commands1.el (kom-sub-comment): Print a message when there are
	no comments to the text rather than continue.
	(kom-sub-footnote): Ditto, for footnotes.

	Fix bug 755:
	* utilities.el (lyskom-maybe-get-commented-text): New function.

	* vars.el.in (kom-pick-text-no-strategy-alist): Added defaults for
	kom-sub-comment.

	* edit-text.el (lyskom-edit-insert-miscs): Make the read-only
	marking on the separator non-sticky at the end.

	Fix bug 747:
	* commands2.el (lyskom-status-pers-list-one-membership): New
	function.
	(kom-status-person): Use it.

	Fix bug 709:
	* faqs.el (kom-list-faqs): New command.
	(kom-list-server-faqs): New command.
	(lyskom-do-list-faqs): New function.

	* lyskom-rest.el (lyskom-next-property-bounds): New function.
	(lyskom-do-special-inserts): Use it. Added end parameter.
	(lyskom-do-insert): Pass end parameter.

	* lyskom-buttons.el (lyskom-button-transform-text): Do links from
	kom-text-buttons after the hard-coded stuff.

	Fix bug 761:
	* startup.el (kom-start-anew): Set lyskom-is-administrator to nil
	after logging on.

	Fix bug 1058:
	* edit-text.el (lyskom-edit-insert-miscs): Make the separator
	read-only.

2003-07-26  David Byers  <byers@lysator.liu.se>

	Minor fixes:
	* commands1.el (kom-sub-self): Restrict this command to
	membership.

	Improvements to completing read:
	* completing-read.el (lyskom-read-conf-internal): Added membership
	predicate to lyskom-read-conf-internal.
	(lyskom-read-conf): Support integer argument in initial. Default
	to placing point at the start of input.

	Fix bug 1036:
	* commands2.el (kom-change-message-flag): Nwe command.

	* commands2.el (kom-is-person-member-of-conference): Show if a
	person receives group messages to the conference.

	* utilities.el (lyskom-return-membership-type): Show message-flag
	if it is not the default.

2003-07-25  David Byers  <byers@lysator.liu.se>

	UI support for bug 1036:
	* mship-edit.el (lp--compute-format-string): Support message-flag.
	(lp--format-entry): Ditto.
	(lp--flag-menu-get): Ditto.
	(lp--flag-menu-set): Ditto.
	(lp--format-insert-entry): Ditto.

	Protocol support for bug 1036:
	* komtypes.el (membership-type): Added message-flag.

	* parse.el (lyskom-parse-membership-type): Set message-flag from
	message-invert.

	* lyskom-rest.el (lyskom-prot-a-format-membership-type): Transmit
	message-invert instead of message-flag.

2003-07-22  David Byers  <byers@lysator.liu.se>

	* commands2.el (lyskom-update-membership-buffer): Fixed typo.

2003-07-23  Per Cederqvist  <ceder@ingate.com>

	* swedish-strings.el (lyskom-message): Fixed spelling error in
	Swedish 'pers-is-member-of-rcpt: inlågg => inlägg.

2003-07-21  David Byers  <byers@lysator.liu.se>

	* NEWS-0.48: Updated to here.

	Fix bug 708:
	* flags.el (lyskom-flag-global-variable-from-common): New function.
	(lyskom-flag-global-variable-from-elisp): New function.
	(lyskom-flag-write-boolean): New function.
	(lyskom-flag-read-boolean): New function.
	(lyskom-flag-write-symbol-list): New function.
	(lyskom-flag-read-symbol-list): New function.
	(lyskom-flag-read-from-string): New function.

2003-07-20  David Byers  <byers@lysator.liu.se>

	Fix bug 708:
	* language.el (lyskom-first-available-language): New function.
	(lyskom-set-language): Use it to support setting language from a
	list.

	* startup.el (kom-start-anew): Use lyskom-first-available-language
	when dealing with kom-default-language.

	* defvar.el (def-kom-var): Added support for common flag. Use
	lyskom-global-variables instead of the old stuff. Added support
	for transition flag.
	(lyskom-global-variables): New variable.
	(lyskom-transition-variables): New variable.

	* check-strings.el (lcs-check-customize-variables): Handle new
	lyskom-global-variables. 

	* flags.el (lyskom-set-var-from-string): Added type parameter.
	(lyskom-maybe-set-var-from-string): Ditto.
	(lyskom-save-options): Use lyskom-global-variables, not the old
	stuff.
	(lyskom-maybe-set-var-from-string): Require that variable is a
	symbol, not a string.
	(lyskom-set-var-from-string): Ditto.

	* vars.el.in (lyskom-global-boolean-variables): Removed.
	(lyskom-global-non-boolean-variables): Removed.
	(lyskom-global-variable-types): New variable.

	Fix bugs adding self to conferences:
	* commands1.el (kom-add-self): Handle re-joining passive
	conferences and conferences with invitations (how did this slip
	through).

	Make text-list operations more constant-time:
	* komtypes.el (text-list->append): Use the tail field to make this
	a constant time operation.
	(text-list->delq): Support the tail field.
	(text-list->trim-head): Ditto.
	(set-text-list->texts): Ditto.
	(text-list): Added tail field.
	(text-list): Added length-internal field.
	(text-list->length): Wrapper for length-internal.
	(text-list->delq): Handle length-internal.
	(text-list->append): Ditto.
	(text-list->trim-head): Ditto.

	Fix for fix of bug 409:
	* komtypes.el (text-mapping->remove-local): Fixed bug that made
	clearing local no in a dense map impossible.

	Better error reporting:
	* parse.el (lyskom-parse-unparsed): Do not catch non-protocol
	errors. This finally allows us to get decent backtraces even for
	errors in callbacks.

	Fix bug 409 (use local-to-global):
	* prefetch.el (lyskom-fetch-start-of-map): Use text-mapping
	instead of map.
	(lyskom-prefetch-map-handler): Use text-mapping instead of map.
	(lyskom-prefetch-one-request): Use local-to-global instead of
	get-map.

	* lyskom-rest.el (lyskom-list-unread): Handle text-mappings, not
	just maps.
	(lyskom-list-unread-mapping): New function.

	* services.el (initiate-local-to-global): Pretend to do
	local-to-global using get-map.

2003-07-19  David Byers  <byers@lysator.liu.se>

	Work on bug 409:
	* komtypes.el (def-komtype): Added :constructor-hook modifier.
	(text-mapping-iterator): New type.
	(text-mapping->iterator): New function.
	(text-mapping-iterator->init): New function.
	(text-mapping-iterator->next): New function.
	(text-mapping-iterator->step): New function.
	(text-mapping->remove-local): New function.
	(text-mapping->remove-local): New function.

2003-07-02  David Byers  <byers@lysator.liu.se>

	Removed unused variables:
	* commands1.el (lyskom-get-marked-texts): Removed variable
	mark-list.

	* commands2.el (kom-leave-all-conferences): Removed variable
	unsubscribed.

	* lyskom-rest.el (lyskom-format-x-kom/user-area): Removed variable
	tmpbuf.

	* lyskom-buttons.el (lyskom-generate-button): Removed variable
	persno.

	Fixed empty lines in nameday display:
	* names.el (lyskom-nameday-2): Say so when there are no namedays
	(we more or less have to when showing names from more than one
	list, and it ain't bad 

	Fixed bug 1064:
	* lyskom-buttons.el (kom-button-click): Handle null position
	properly.

2003-07-01  David Byers  <byers@lysator.liu.se>

	* commands1.el (lyskom-write-text): Handle prefix args correctly
	(so C-u i works).

2003-06-04  David Byers  <byers@lysator.liu.se>

	Fix bug 1054:
	* filter.el (lyskom-create-filter-function-body): Handle a null
	author.
	(lyskom-filter-text-p-3): Allow a null author.

2003-06-01  David Byers  <byers@lysator.liu.se>

	Fix bug 587:
	* lyskom-rest.el (lyskom-format-x-kom/user-area): New function.

	* view-text.el (lyskom-print-text): Special patch for user area
	(which has no subject line).

	* flags.el (lyskom-get-holerith): New function that does what
	lyskom-read-options-eval-get-holerith does, but does it without
	side effects in lyskom-options-text.

	Fix bug 1046:
	* option-edit.el (lyskom-customize-mode): New major mode.
	(kom-customize): Use it.

	Fix bug 1047:
	* review.el (lyskom-find-root): Only visit each text once. This
	also eliminates problems with cyclic structures.
	(kom-find-root-review): Proper error message when the root cannot
	be found (e.g. in when there are cycles in the comment graph).
	(kom-find-root): Ditto.
	(kom-unread-root): Ditto.

	* swedish-strings.el,swedish-strings.el: Completed fix of 1038.
	Per Starbäck, not Magnus Bark, provided the patch. Fixed that in
	this file.

2003-05-21  David Byers  <byers@lysator.liu.se>

	* vars.el.in (lyskom-text-buttons): Do RFC-compliant URLs after
	doing pseudo-urls since otherwise the first line will be marked
	as a pseudo URL, rather than the whole thing being marked as a
	real URL.

2003-05-17  David Byers  <byers@lysator.liu.se>

	Fix bug 750:
	* lyskom-buttons.el (kom-button-click): Pop up the menu if there
	is no button action.

	Fix bug 986:
	* lyskom-buttons.el (lyskom-view-url-netscape): Support
	kom-netscape-variant.

	* vars.el.in (kom-netscape-variant): New variable.

	Fix bug 1038:
	* swedish-strings.el,english-strings.el: Fixed problem with
	accepting-recommendation (patch from Per Starbäck).

	Fix bug 1039:
	* commands1.el (lyskom-private-answer): Misc-list for personal
	replys to our own texts were wrong.

2003-05-10  David Byers  <byers@lysator.liu.se>

	Illegal argument stringp nil when listing missing texts:
	* commands2.el (lyskom-do-list-summary): Fix problem when listing
	texts that don't exist.

2003-05-09  David Byers  <byers@lysator.liu.se>

	Fix bug 868:
	* commands2.el (kom-add-private-answer): New function.

	Minor usability fix:
	* english-strings.el,swedish-strings.el: Clarify error-2.

2003-05-04  David Byers  <byers@lysator.liu.se>

	Fix bug 1024:
	* names.el (fi-orthodox): More fixes.

	Fix bug 1032:
	* command.el (lyskom-read-extended-command): Do not permit null
	input.

	Fix bug 1031:
	* faces.el (lyskom-setup-faces-for-buffer): Set defaults to nil,
	not default.

	Fixed bug 1024:
	* names.el (fi-sv): Fixed tYpo

2003-04-26  Ulrik Haugen  <qha@lysator.liu.se>

	My previous attempt to fix bug 1022 was incomplete, trying to
	repair it I realised how it should be done.

	* lyskom-rest.el (lyskom-modify-prompt): Don't "use current-time
	instead of lyskom-current-client-time".

	* lyskom-buttons.el (lyskom-default-button): Use
	lyskom-current-client-time instead of current-time.
	(lyskom-button-copy-timestamp): Use lyskom-format-time instead of
	format-time-string.

2003-04-26  Ulrik Haugen  <qha@lysator.liu.se>

	* swedish-strings.el (lyskom-sv-edit-mode-map) english-strings.el
	(lyskom-en-edit-mode-map): Added binding for
	kom-insert-last-info-nodename.

	Fix bug 1022:
	* lyskom-buttons.el (lyskom-button-copy-timestamp): Fixed typo.

	* lyskom-rest.el (lyskom-modify-prompt): Use current-time instead
	of lyskom-current-client-time (fixes bug 1022).

2003-04-25  David Byers  <byers@lysator.liu.se>

	* vars.el.in (kom-highlight-conferences): Corrected order of
	elements in kom-highlight-conferences.

2003-04-21  David Byers  <byers@lysator.liu.se>

	More work on debugging stuff:
	* macros.el (lyskom-assert-error): Handle non-LysKOM-buffer
	situations smarter.

	Work on bug 868:
	* aux-items.el (mx-refuse-import): Added this aux-item.
	(lyskom-print-mx-refuse-import): New function.

	Microfix bugfix:
	* lyskom-buttons.el (lyskom-highlight-function-get-conf-stat):
	Return nil when getting conf-stat in background. Fix text for
	conf-z-info.

	Bugfix:
	* commands1.el (kom-list-created-conferences): Fixed bug where we
	called conf-stat->name on an uconf-stat.

2003-04-20  David Byers  <byers@lysator.liu.se>

	Microfix:
	* lyskom-buttons.el (lyskom-highlight-function-get-conf-stat): Get
	conf-stat in background if it was not cached so it will be next
	time around. Also support conf-z-info.

	Better debugging support (would have caught bug 1013):
	* komtypes.el (def-komtype): Added assertions on data type to
	accessors and mutators.

	* macros.el (lyskom-assert): New macro.

	* header.el (lyskom-debug-compile): Added definition of
	lyskom-debug-compile.

	* komtypes.el (def-komtype): Added assertions to accessor and
	mutators to check type.

	Fix bug 1013:
	* lyskom-buttons.el (lyskom-default-button): Fixed cut-and-paste
	bug that caused uconf-stat and pers-stat-based buttons not to be
	generated correctly in many cases.

2003-04-14  Per Cederqvist  <ceder@ceder.dyndns.org>

	Fix bug 1012:
	* vars.el.in (lyskom-text-buttons): Allow 8- and 9-digit text
	numbers.  

2003-04-07  Johan Sundström  <jhs@lysator.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-filter-actions): 
	New filter action obliterate.

	* view-text.el (lyskom-view-text): The new obliterate filter
	action performs filtering without leaving a trace in the kom
	buffer at all.

2003-04-06  David Byers  <byers@lysator.liu.se>

	Fix bug 678:
	* vars.el.in (lyskom-text-buttons): Made RFC-compliant URL
	specifications "pseudo" URLs, since there may be incomplete URLs
	inside brackets and stuff. Added validity check to RFC-compliant
	URL specifications, so not anything in <> will pass.

	* utilities.el (lyskom-is-url): New function.

	* lyskom-buttons.el (lyskom-button-transform-text): Support match
	predicates in lyskom-text-buttons.
	(lyskom-button-get-pred): New function.

	* vars.el.in (lyskom-text-buttons): Added support for URLs
	according to Appendix E in RFC2396.

	Cosmetic fix:
	* commands1.el (lyskom-list-conf-print): Don't make each line
	clickable in its entirety. Just print things normally.

	Handle conf-z-info more correctly in lyskom-format:
	* lyskom-buttons.el (lyskom-default-button): Support conf-z-info
	as argument for conf and pers buttons.

	* lyskom-rest.el (lyskom-format-aux-help): When conf-z-info is
	passed to %M, create a button.

	Fix error message when trying to unread everything:
	* review.el (lyskom-get-texts-globally): Added do-unread parameter.
	(kom-unread-more): Pass do-unread to lyskom-get-texts-by-to.
	(lyskom-unread-by-to): Ditto.
	(lyskom-get-texts-by-to): Added do-unread parameter to
	lyskom-get-texts-by-to.

	Fix bug 697:
	* commands1.el (kom-jump): Treat REVIEW-FAQ-TREE like REVIEW-TREE.

	* lyskom-rest.el (kom-view-next-text): Treat REVIEW-FAQ-TREE like
	review when altering the read list, but not otherwise.
	(lyskom-update-prompt): Treat REVIEW-FAQ-TREE like REVIEW-FAQ.

	* commands2.el (lyskom-list-summary): Added REVIEW-FAQ-TREE and
	REVIEW-TREE to if statement towards the end.

	* vars.el.in (lyskom-review-types-list): Added REVIEW-FAQ-TREE.

	* faqs.el (lyskom-present-unread-faqs): Pass t as review-tree
	argument to lyskom-do-review-faq.
	(lyskom-do-review-faq): Added argument review-tree.

2003-04-05  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (lyskom-highlight-has-no-presentation): Don't
	highlight secret conferences.

	* Changed my e-mail address to one I actually read.

	Fix bugs 951 and 952:
	* Makefile: Echo x-ctext coding to all emacs lisp files created in
	Makefile, since there is now an x-ctext file in the sources.

	* names.el (hu, cz): Added hungarian and czech names.

	Fix bug 664:
	* option-edit.el (lyskom-custom-variables): Support third value
	for kom-pop-personal-messages.

	* async.el (lyskom-handle-as-personal-message): If
	kom-pop-personal-messages is non-nil and non-t, don't pop up
	the frame.

	* buffers.el (lyskom-display-buffer): Added parameter
	keep-frame-iconfiied.

	Fix bug 742:
	* commands2.el (kom-will-person-read-text): New command.

	Fix bug 950:
	* names.el (lyskom-nameday): Allow a list of nameday lists.
	(lyskom-nameday-2): Added parameter show-list-name.

	* option-edit.el (lyskom-custom-variables): Support lists for
	kom-show-namedays.

	Fix bug 1003:
	* lyskom-rest.el (lyskom-beep): Handle conf-stat and uconf-stat
	type optargs, or kom-ding-on-group-messages and stuff won't work.

	Fix bug 1002:
	* vars.el.in (kom-pick-text-no-strategy-alist): Set correct
	default for kom-view-previous-commented-text.
	(kom-old-farts-text-prompt-strategy): Ditto.

	Fix bug 1006:
	* commands2.el (kom-is-person-member-of-conference): Show number
	of unread (only when deferred printing is on).

	* deferred-insert.el (lyskom-defer-insertion): Handle a list as
	the arguments for the server call.

	Fix bug 1000:
	* swedish-strings.el: Fix cut-n-paste error.

	Fix bug 1008:
	* commands1.el (lyskom-list-created-conferences-2): Show garb-nice
	in listing.

2003-03-16  David Byers  <byers@lysator.liu.se>

	Fix bug 815:
	* commands2.el (lyskom-send-message): Print the correct error code
	on failure.

	Fix bug 975:
	* commands1.el (lyskom-write-text): New function.
	(kom-write-text): Use it. Now letters and texts are the same.
	(kom-send-letter): Use it. Now letters and texts are the same.

	Fix bug 250:
	* lyskom-rest.el (lyskom-check-go-to-conf): Change priority when
	accepting an invitation.

	Fix bug 839:
	* commands1.el (kom-add-self): Don't re-add self.

	Fix bug 854:
	* commands2.el (kom-join-all-conferences): New command.
	(kom-leave-all-conferences): New command.

	* commands1.el (lyskom-add-member-by-no): Added no-of-unread
	parameter.

	* lyskom-buttons.el (lyskom-highlight-i-am-supervisor): Use
	lyskom-i-am-supervisor.

	* utilities.el (lyskom-i-am-supervisor): New function.
	(lyskom-get-all-conferences): New function.

	Fix bug 842:
	* commands1.el (kom-add-member-answer): Don't enter memberships
	under the current session priority.

	Fix bug 260:
	* commands1.el (kom-add-self): Ask for number of unread.
	 (lyskom-try-add-member): Show no-of-unread in text.
	 (lyskom-add-member-answer): Set unread if requested.

	* lyskom-rest.el (lyskom-read-num-range-or-date): Added initial,
	empty and default arguments.

	Language-dependent variables were set incorrectly in all but the
	first session:
	* startup.el (kom-start-anew): Unconditionally set the language,
	even if it looks like we're already on the right page.

	* language.el (lyskom-set-language-vars): When setting the
	language globally, muck with the default values of variables too.

	Fix bug 859:
	* swedish-strings.el,english-string.el (lyskom-messages): Fixed
	show-membership-info-q.

	Fix bug 591:
	* feature.el (read-ranges): New feature variable.

	* parse.el (lyskom-parse-membership-11): New function.
	(lyskom-convert-read-ranges-to-map): New function.

	* startup.el (lyskom-setup-client-for-server-version): Added
	features for protocol version 11.

	* utilities.el (lyskom-is-member): Pass want-read-ranges nil.

	* user-hooks.el (kom-read-last-text-hook): Pass want-read-ranges
	t.

	* prefetch.el (lyskom-prefetch-one-request): Pass want-read-ranges
	t.

	* mship-edit.el (lyskom-prioritize-flag-toggle): Pass
	want-read-ranges t.

	* lyskom-rest.el (lyskom-startup-check-recommended-memberships):
	Pass want-read-ranges nil.
	(lyskom-get-membership): Pass want-read-ranges t.

	* edit-text.el (lyskom-edit-send-check-recipients): Pass
	want-read-ranges nil.

	* commands2.el (kom-status-conf): Pass want-read-ranges t.
	(kom-set-unread): Ditto.

	* async.el (lyskom-parse-async): Pass want-read-ranges t.

	* commands1.el (lyskom-add-member-answer): Pass want-read-ranges
	t.

	* services.el (initiate-query-read-texts): Use call 107 when
	possible.

	Fix bug 946:
	* commands2.el (lyskom-print-summary-line): Can print the number
	of comments to a text.
	(lyskom-construct-summary-format-string): Support
	number-of-comments column.
	(lyskom-list-summary): Include number-of-comments column.
	(lyskom-do-list-summary): Same here.

	Fix bug 983:
	* vars.el.in (kom-highlight-conferences): Added highlighting of no
	presentation and supervised conferences to the default.

	* faces.el (kom-active-strikethrough-face): New face.
	(kom-active-highlight-face): New face.
	(kom-face--default--active-strikethrough-face): New face.
	(kom-face--default--active-highlight-face): New face.
	(kom-face--user-defined--active-strikethrough-face): New face.
	(kom-face--user-defined--active-highlight-face): New face.

	* lyskom-buttons.el (lyskom-highlight-has-no-presentation): New
	function.
	(lyskom-highlight-i-am-supervisor): New function.
	(lyskom-highlight-function-get-conf-stat): New function.

	* option-edit.el (lyskom-face-widget): Handle explicit list of
	faces.

	* lyskom-buttons.el (lyskom-default-button): Pass
	conf-stat/uconf-stat/whatever to lyskom-default-button. Use
	uconf-stat instead of conf-stat when looking in the cache.
	(lyskom-generate-button): Support functions in
	kom-highlight-conferences.

	Fixed bug 984:
	* commands1.el (lyskom-get-marked-texts): New function.
	(lyskom-review-marked-texts): Use it.
	(lyskom-unread-marked-texts): New function.
	(kom-unread-all-marked-texts): New command.
	(kom-unread-marked-texts): New command.

	* faqs.el (lyskom-unread-faq): New function.
	(kom-unread-faq): New command.
	(kom-unread-server-faq): New command.

	* commands1.el (kom-unread-presentation): New command.

	* review.el (kom-unread-all): New command.
	(kom-unread-first): New command

2003-03-15  David Byers  <byers@lysator.liu.se>

	Work on bug 984:
	* review.el (kom-unread-last-normally-read): New command.
	(kom-unread-tree): New command.
	(kom-unread-comments): New command.
	(kom-unread-root): New command.
	(kom-unread-root-review): New command.

	* lyskom-rest.el (lyskom-format-aux-help): Added ?+ format
	directive.
	(lyskom-insert-error): Handle negative error codes (used for
	internal error reporting).

	* commands1.el (kom-view-previous-commented-text): This command
	always did the next-to-last text, regardless of prefix args.
	(lyskom-unread-commented-text): New function.
	(kom-unread-previous-commented-text): New command.
	(kom-unread-commented-text): New command.

	* review.el (lyskom-unread-by-to): New function.
	(kom-unread-more): New command.
	(kom-unread-by-to): New command.

	* lyskom-rest.el (kom-initial-digit-unread): New command.

	* vars.el.in (lyskom-text-no-prompts-defaults): Added
	kom-mark-unread.

	* lyskom-rest.el (lyskom-mark-unread): New function.
	(kom-mark-unread): New command.

	* services.el (initiate-mark-as-unread): New function.

2003-03-13  David Byers  <byers@lysator.liu.se>

	Some work on bug 983:
	* option-edit.el (lyskom-custom-variables): Added
	kom-highlight-conferences.

	* lyskom-buttons.el (lyskom-generate-button): Allow explicit lists
	of numbers as the key in kom-highlight-conferences.

	Fix bug 745 (Patch from C C Magnus Gustavsson):
	* review.el (kom-review-converted): New command.

	* vars.el.in (lyskom-commands): Added kom-review-converted.
	(lyskom-button-actions): Added lyskom-button-review-converted.

	* lyskom-buttons.el (lyskom-button-review-converted): New
	function.

	Fix bug 987:
	* commands1.el (kom-list-conferences): Print legend.

	Fix bug 995:
	* utilities.el (lyskom-get-send-comments-to): Handle CONF-NO set
	to nil.

	Fix bug 979:
	* option-edit.el (lyskom-customize-buffer-format): Added
	kom-show-sync-messages.
	(lyskom-custom-variables): Ditto.

	* vars.el.in (kom-show-sync-messages): New variable.

	* async.el (lyskom-parse-async): Use it.

2003-03-11  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-buffer-display-message): New function.

2003-02-09  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (lyskom-generate-button): Use
	kom-highlight-conferences instead of kom-friends and kom-morons.

	* vars.el.in (kom-highlight-conferences): New variable

2003-03-08  Per Cederqvist  <ceder@ceder.dyndns.org>

	kom-review-backward always raised an error.
	* review.el (kom-review-backward): Extract the list of texts to
	see with text-list->texts, not cdr.  Using cdr no longer works.

2003-03-04  Johan Sundström  <jhs@lysator.liu.se>

	* swedish-strings.el (lyskom-sv-mode-map): [ä], [Ä], [å] and [Å] are
	now also bound in all appropriate places. (These are used by XEmacs,
	at least when run under screen in a PuTTY, and worked in 0.47.1.)

2003-03-03  Johan Sundström  <jhs@lysator.liu.se>

	* english-strings.el, swedish-strings.el: Improved garb-nice strings.

	* commands1.el (kom-create-conf): In the interest of not losing	texts
	unintentionally due to a low default expiration time, always ask the
	conference creator for its expiration policy.

2003-03-03  Per Cederqvist  <ceder@ceder.dyndns.org>

	Print the conference type when entering a conference.
	* swedish-strings.el (status-record): Removed a space.

	* english-strings.el (status-record): Removed a space.

	* lyskom-rest.el (lyskom-enter-conf-print-unread): Fixed broken
	indentation.  Print the type of the conference.

	* commands2.el (lyskom-conf-status-marker): New function,
	extracted from kom-status-conf.
	(kom-status-conf): Simplified by using lyskom-conf-status-marker.

2003-02-13  Per Cederqvist  <ceder@ingate.com>

	Fix kom-postpone, which has been broken a while.
	* komtypes.el (text-list->trim-head): New function.

	* commands2.el (kom-postpone): Use text-list->trim-head instead of
	accessing internals of the text-list type in a way that no longer
	works.

2003-02-05  Hans Persson  <hans@localhost.localdomain>

	* swedish-strings.el (local): Spelling fix.

2003-01-15  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Minor fixes to documentation.

	* vars.el.in: YES! YES! YES! FINALLY DONE (FOR NOW)! All user
	variables (well at least nearly all) are documented! God, this was
	boring work.

	* vars.el.in (kom-low-priority): Removed this variable. It is
	unused.

2003-01-14  David Byers  <byers@lysator.liu.se>

	* vars.el.in: More documentation updates.
	Evidently the insanity won't end today.

2003-01-13  David Byers  <byers@lysator.liu.se>

	* vars.el.in: More documentation
	updates. Will the insanity never end?

2003-01-12  David Byers  <byers@lysator.liu.se>

	* option-edit.el (lyskom-custom-variables): Changed
	kom-galeon-command, kom-netscape-command and kom-mosaic-command to
	widget type command. Added Lynx-related variables.

	* vars.el.in: More documentation updates.
	(kom-lynx-terminal): Added to server-stored variables.
	(kom-lynx-xterm-command): Ditto.
	(kom-lynx-terminal-command): Ditto.

	* lyskom-rest.el (lyskom-beep): List arguments were not handled
	correctly (the default key, t, was not used).

2003-01-11  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Documented some more variables. Variables that have
	been documented properly have "**" at the start of the docstring.

2003-01-09  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Started working on variable documentation.

	* option-edit.el (lyskom-create-widget): Insert the variable name
	in the buffer, after the help toggle. This is to make the buffer
	searchable for the actual variable names.

	* lyskom-rest.el (lyskom-format-format): Added format-letter % so
	the sequence %% works.

2003-01-08  David Byers  <byers@lysator.liu.se>

	* filter.el (kom-super-jump): Fixed problem with prefix arg.

	* faqs.el: Fixed some invalid variable references in the new
	docstrings.

	* commands1.el: Fixed some invalid variable references in the new
	docstrings.

	* faqs.el: Fixed some invalid vxariable references in the new
	docstrings.

2003-01-08  David Byers  <davby@ida.liu.se>

	* utilities.el (lyskom-month-limits): Wrong number of days for
	July. Fixed.

2003-01-08  David Byers  <byers@lysator.liu.se>

	Documetned the remaining commands:
	* remote-control.el: Documented all commands.

	* mship-edit.el: Documented all commands.

	* lyskom-rest.el: Documented all commands.

	* flags.el: Documented all commands.

	* filter.el: Documented all commands.
	(kom-super-jump): Use the standard prefix arguments.

	* ansaphone.el: Documented all commands.

	* faqs.el: Documented all commands.

	* review.el: Documented all commands.

2003-01-08  Ulrik Haugen  <qha@lysator.liu.se>

	* Makefile (DEBIANCLIENTVERSIONSUFFIX): New variable.
	(debian-packages): Use DEBIANCLIENTVERSIONSUFFIX to suffix the
	client version.

2003-01-07  David Byers  <byers@lysator.liu.se>

	Fix bug 962:
	* edit-text.el (lyskom-edit-send-check-recipients): Use
	lyskom-get-send-comments-to.

	* utilities.el (lyskom-get-send-comments-to): New function.

	* commands1.el (kom-write-text): Add sender as recipient when
	sending to a conference the sender is not a member of. Respect
	send-comments-to.
	(lyskom-comment-recipients): Respect send-comments.to when adding
	lyskom-pers-no as a recipient.

	Started working on a command reference manual:
	* commands2.el: Wrote user documentation for all commands in the
	docstrings. Lisp-level documentation, where it still exists, is
	placed after the user-level documentation, below the legend "Lisp
	documentation". I intend to generate the english command reference
	from the source code.

2003-01-06  David Byers  <byers@lysator.liu.se>

	Started working on a command reference manual:
	* commands1.el: Wrote user documentation for all commands in the
	docstrings. Lisp-level documentation, where it still exists, is
	placed after the user-level documentation, below the legend "Lisp
	documentation". I intend to generate the english command reference
	from the source code.

	* NEWS-0.48: Synched up to here.

	Handle async-new-user-area message (bug 837):
	* startup.el (lyskom-accept-async): Accept async 19.

	* async.el (lyskom-parse-async): Parse async type 19. Update
	pers-stat based on results.
	(lyskom-async-new-user-area): New function updates cache and
	re-reads options if necessary.
	(lyskom-parse-async): Call it.

	* flags.el (lyskom-read-options-eval): Set
	lyskom-current-user-area.

	* vars.el.in (lyskom-current-user-area): New variable.

	* flags.el (lyskom-save-options-3): Don't delete the person from
	the cache; just set the user-area. Set lyskom-current-user-area.

	* komtypes.el (pers-stat): user-area is no longre read-only.

	Fix parse of text-mapping (I thought I did this a year ago):
	* parse.el (lyskom-parse-list): Read the terminating brace in the
	list.
	(lyskom-parse-local-to-global-block): The array length is a
	number, not a string.

	Clean up :variable assignments:
	* compatibility.el (lyskom-make-self-evaluating): New macro. Use
	it to make several :symbols self-evalutaing in Emacs 19.

	Fix bug 964:
	* faces.el (lyskom-setup-faces-for-buffer): Catch errors cause
	when generating faces since running this code in a tty usually
	causes problems. Don't just check window-system, because the color
	stuff might work on some implementations.

	Fix bug 753:
	* flags.el (kom-copy-options): New command.

	* english-strings.el (lyskom-command): Added kom-copy-options.

	* swedish-strings.el (lyskom-command): Renamed "Spara variabler"
	to "Spara inställningar". Added kom-copy-options.

	Fix bug 831 as well as possible:
	* lyskom-rest.el (lyskom-scroll): Cleaned up for readability. Move
	point six chars in from the right margin when not scrolling to the
	end to prevent automatic hscrolling in Emacs 21.x.

	Fix bug 927:
	* commands1.el (lyskom-who-is-on-check-membership-9): Don't
	include passive members.
	(lyskom-who-is-on-check-membership-8): Ditto.

2003-01-05  David Byers  <byers@lysator.liu.se>

	* I have cleaned up all over the place. There are no ChangeLog
	entries for most of the changes. Changes include: converting types
	to use def-komtype; removing who-buffer code; removing who-info
	cache; removing dead code; removing commented-out code.

	* mship-edit.el (lp--hide-memberships-by-date): Call
	lyskom-read-date.

	Code cleanup:
	* prefetch.el (lyskom-prefetch-whobuffer-handler): Commented out
	the code since thw who buffer is gone.

	* commands2.el (kom-bury): Removed who-buffer code.

	* cache.el: Removed who-info cache.

	* async.el (lyskom-parse-async): Removed who-buffer code.
	(lyskom-parse-async): Don't cache who info.

	* filter-edit.el (filter-entry): Redefined using def-komtype.

	* komtypes.el (conf-no-list): Redefined using def-komtype.

	* prioritize.el (prioritize-entry): Redefined using def-komtype.

	* clienttypes.el: Removed format-props and who-buffer-related
	types.

	* lyskom-rest.el (lyskom-format-aux-help): Removed something about
	format-props, which aren't used anywhere.

	* komtypes.el,deferred-insert.el,clienttypes.el,mship-edit.el,names.el,
	regexp.el,tree-edit.el: Rewrote all uses of def-komtype. Defined
	more datatypes using def-komtype. Removed unused functions.

	* clienttypes.el (format-state): Renamed argl to args, since
	that's what we actually use.
	(format-state): Converted to new def-komtype syntax.

	* lyskom-rest.el (lyskom-membership-highest-index): Unused.
	Removed.

	* komtypes.el (def-komtype): Added support for &optional in the
	arg list and for default values.
	(privs): Re-implemented with def-komtype.
	(pers-stat): Ditto.
	(text-stat): Ditto.
	(conf-stat): Ditto.
	(flags): Ditto.
	(map): Ditto.
	(membership): Ditto.
	(conf-list): Ditto.
	(text): Ditto.
	(misc-info): Ditto.
	(mark): Ditto.
	(lyskom-create-who-info): Ditto.
	(session-info): Ditto.
	(conf-type): Ditto.
	(server-info): Ditto.
	(version-info): Ditto.
	(conf-z-info-list): Ditto.

	* deferred-insert.el (defer-info): Re-implemented with
	def-komtype.

	* language.el (lyskom-string-check-category): Unused. Removed.

	* async.el (lyskom-show-changed-person): Unused. Removed.

	* utilities.el (lyskom-set-face-foreground): Unused. Removed.
	(lyskom-set-face-background): Unused. Removed.

	* lyskom-buttons.el (lyskom-set-default-button-action): Unused.
	Removed.

	* startup.el (lyskom-print-name): Unused. Removed.

	* lyskom-buttons.el (lyskom-menu-selection): Unused. Removed.

	* aux-items.el (lyskom-map-aux-items): Unused. Removed.

	* view-text.el (lyskom-fetch-author-for-cache): Unused. Removed.

	* utilities.el (lyskom-emacs-version): Unused. Removed.

	* view-text.el (lyskom-fetch-text-for-cache): Unused. Removed.

	* utilities.el (lyskom-face-resource): Unused. Removed.
	(lyskom-modify-face): Unused. Removed.

	* startup.el (lyskom-extract-persons): Unused. Removed.
	(lyskom-extract-confs): Unused. Removed.
	(lyskom-do-extract-persons-or-confs): Unused. Removed.

	* edit-text.el (lyskom-edit-goto-char): Unused. Removed.
	(lyskom-edit-on-aux-item): Unused. Removed.

	* utilities.el (lyskom-background-mode): Unused. Removed.

	Fix bug 677:
	* filter.el (kom-super-jump): Fixed recipient selection. The order
	is now current conf, recipient user is a member of, cc user is a
	member of, bcc user is a member of, other recipient, other cc,
	other bcc.

2003-01-04  David Byers  <byers@lysator.liu.se>

	Fix bug 961:
	* faqs.el (lyskom-faq-is-read): Handle server FAQs correctly so
	they are not presented even when they have been read.
	(lyskom-register-read-faq): If conf-no is nil, set it to zero.
	(lyskom-get-unread-faqs): If conf-stat is nil, set conf-no to
	zero.

2003-01-03  David Byers  <byers@lysator.liu.se>

	Fix bug 823:
	* commands1.el (kom-write-text): Ask for recipient by default. Old
	behavior is on C-u kom-write-text.
	(kom-send-letter): Only complete letterboxes when reading
	recipient.

	Fix bug 834:
	* swedish-strings.el (lyskom-sv-mode-map): Added prefix "a" for
	add commands. Added bindings for add and subtract commands.
	(lyskom-sv-mode-map): Commented out obsolesence bindings for a and
	lv. Moved kom-rview-backward to å B from B. Cleaned up some.

	* english-strings.el (lyskom-en-mode-map): Changed "A" to "h", so
	"h" is now prefix for change commands. Added prefix "a" for add
	and substract commands. Moved kom-review-backward to r b from B.
	Moved a bunch of other important bindings with complete disregard
	for all users who will surely be annoyed.

	* lyskom-buttons.el (lyskom-default-button): Use default, not
	kom-text-face for timestamp buttons since kom-text-face is no
	more.

	Implement face customization:
	* option-edit.el (lyskom-face-widget, lyskom-face-widget): New
	widget type.
	(lyskom-widget-functions): Added face widget to the list.

	* view-text.el (lyskom-print-text): Get generated faces if the
	user hasn't selected any specific faces.

	* startup.el (lyskom): Get generated faces if the user hasn't
	selected any specific faces.

	* commands2.el (lyskom-send-message): Get generated faces if the
	user hasn't selected any specific faces.

	* async.el (lyskom-format-as-personal-message): Get generated
	faces if the user hasn't selected any specific faces.

2003-01-02  David Byers  <byers@lysator.liu.se>

	Implement face customization:
	* faces.el (lyskom-setup-faces-for-buffer): Don't muck with the
	user-selectable values.

	* option-edit.el: Added var parameter to all widget conversion
	functions. 

	* utilities.el (lyskom-current-client-time): Removed some
	comments.

	Cosmetics:
	* commands2.el (kom-set-unread): Don't include range in prompt. It
	will be included by lyskom-read-num-range-or-date.

	Compatibility issues with date reading:
	* compatibility.el (lyskom-minibuffer-contents): Provide an alias
	for minibuffer-contents.

	* lyskom-rest.el (lyskom-verified-read-enter): Use
	lyskom-minibuffer-contents instead of minibuffer-contents.

	Work on new face code:
	* faces.el: Fixed bug in call to defface that worked in Gnu Emacs
	but not in XEmacs.

2003-01-01  David Byers  <byers@lysator.liu.se>

	Work on new face code:
	* view-text.el (lyskom-view-text): Send evaluated face properties
	to lyskom-format.
	(lyskom-print-text): Ditto.

	* utilities.el (lyskom-check-configuration): Send evaluated face
	properties to lyskom-format.

	* startup.el (lyskom): Send evaluated face properties to
	lyskom-format.

	* commands2.el (kom-status-conf): Send evaluated face properties
	to lyskom-format.
	(kom-status-person): Ditto.
	(lyskom-send-message): Ditto.
	(kom-obsolete-extended-command-binding): Ditto.

	* commands1.el (kom-delete-text): Send evaluated face properties
	to lyskom-format.

	* async.el (lyskom-show-logged-in-person): Send evaluated face
	properties to lyskom-format.
	(lyskom-show-logged-out-person): Ditto.
	(lyskom-format-as-personal-message): Ditto.

	* check-strings.el (lyskom-check-strings): Removed all
	face-related goop.

	* vars.el.in: Removed all face-related goop.

	* faces.el: New file.

	* startup.el (lyskom): Call lyskom-setup-faces-for-buffer, not
	lyskom-setup-faces.

	* option-edit.el (kom-customize): Evaluate face variables instead
	of quoting face names.

	* mship-edit.el (lp--format-entry): Evaluate face variables
	instead of quoting face names.
	(lp--redraw-entry-mark): Ditto.

	* lyskom-rest.el (kom-next-command): Evaluate face variables
	instead of quoting face names
	(lyskom-format-aux-help): Ditto.

	* lyskom-buttons.el (lyskom-button-add-links): Evaluate face
	variable kom-url-face instead of quoting face name.
	(lyskom-button-get-face): Evaluate the face found for the button
	type.
	(lyskom-generate-button): Evaluate face variables instead of
	quoting face names
	(lyskom-default-button): Ditto.

	* keyboard-menu.el (lyskom-keyboard-menu-highlight-selected):
	Evaluate face variable, instead of quoting face name
	kom-mark-face.

	More flexible date parser:
	* utilities.el (lyskom-all-prefixes): New function.
	(lyskom-parse-date): Permit prefixes for "days", "years",
	"months". Allow whitespace before and after input. Do not require
	minus sign when specifying number of days. Do not require
	whitespace separators in several places. Permit spaces around
	separators. Accept space as a separator.

	Fix bug 921:
	* commands1.el (kom-jump): Use lyskom-read-text-no-prefix-arg.
	Print which text we're skipping comments from. Print special
	message when skipping reviewed comments.

	Fix bug 291:
	* vars.el.in (lyskom-language): Added to minibuffer variables or
	lyskom-get-string will fail in predicate functions used in
	lyskom-verified-read-from-minibuffer.

	* commands2.el (kom-set-unread): Allow date entry in addition to
	number entry.

	Implement date input (for bug 291):
	* lyskom-rest.el (lyskom-verified-read-from-minibuffer): New function.
	(lyskom-verified-read-map): New variable.
	(lyskom-verified-read-enter): New function.
	(lyskom-verified-read-predicate): New variable.
	(lyskom-read-num-range-or-date): Nre function.

	* utilities.el (lyskom-read-date): New function.


2002-12-31  David Byers  <byers@lysator.liu.se>

	Implement date parsing (for bug 291):
	* utilities.el (lyskom-parse-date): Implemented the remaining
	branches in the parser. Fixed various bugs. Validate results
	before returning. This function should work now.
	(lyskom-is-leap-year): New function (date-leap-year-p doesn't
	exist in Emacs 19, so this is needed).
	(lyskom-days-in-month): New function.
	(lyskom-adjust-day-for-date): New function.
	(lyskom-month-limits): New variable.

	Fix bug 879:
	* utilities.el (lyskom-read-text-no-prefix-arg): When new-default
	is computed successfully, set default to new-default. I *think*
	that's the right thing to do...

	Fix bug 817:
	* vars.el.in (kom-send-text-hook): Updated docstring.

	* edit-text.el (lyskom-edit-send): Run kom-send-text-hook before
	doing anything else so it can manipulate headers.

	More work on text links:
	* option-edit.el (lyskom-custom-variables): Added kom-text-links.
	(lyskom-customize-buffer-format): Ditto.
	(lyskom-widget-functions): Added `list' widget type.
	(lyskom-list-widget): New function.

	Bugs in kom-list-summary:
	* commands2.el (lyskom-list-summary): Copy the list of texts we're
	reviewing so we can delete stuff from it.

	Initial support for text link specifications in aux-items:
	* regexp.el: New file for code to convert other regexp syntaxes to
	Emacs syntax. Currently supports POSIX EREs and Emacs syntax only.
	(lyskom-re-converters): New variable.
	(lyskom-re-cache): New variable.
	(lyskom-re-cache-get): New function.
	(lyskom-re-cache-put): New function.
	(lyskom-re-have-chclass): New variable.
	(lyskom-re-have-backrefs): New variable.
	(regex-parse): New type.
	(lyskom-re-parse-posix-limit): New function.
	(lyskom-re-parse-posix-charclass): New function.
	(lyskom-re-parse-start-subexpression): New function.
	(lyskom-re-parse-end-subexpression): New function.
	(lyskom-re-parse-accumulate): New function.
	(lyskom-re-parse-modify-last): New function.
	(lyskom-re-parse-posix-ere): New function.
	(lyskom-re-convert-finalize-result): New function.
	(lyskom-re-convert-posix-ere): New function.
	(lyskom-re-convert-regexp): New function, and this is the only one
	you should be calling.

	Improve kom-list-summary:
	* commands2.el (lyskom-do-list-summary): Damn. Already midnight.
	Don't print the subject on comments more than once in a row.
	(lyskom-print-summary-line): Don't compute subject here. Get it in
	a param instead.

2002-12-31  Per Cederqvist  <ceder@ceder.dyndns.org>

	Improve doc of kom-text-links, and set it so that the
	functionality of the removed bugzilla links are present again.
	* vars.el.in (kom-text-links): Added the sentence "Use the value t
	as the car to apply the specification in all conferences." to the
	documentation.  Let "bug X" link to the Bugzilla of Lysator by
	default, so that we have a good sample value.

2002-12-30  David Byers  <byers@lysator.liu.se>

	Improve kom-list-summary:
	* commands2.el (lyskom-print-summary-line): Print deep comment
	levels without additional indent, like nn does.

	Remove bugzilla links (text links supersede these):
	* lyskom-buttons.el (lyskom-button-transform-text): De-implemented
	bugzilla links.
	(lyskom-button-show-bugzilla-bug): Removed this function.

	* vars.el.in (kom-my-bugzilla): Removed this variable. Text links
	generalize bugzilla links.
	(lyskom-text-buttons): Removed bugzilla text buttons.
	(lyskom-button-actions): Same here.

	More text links:
	* lyskom-buttons.el (lyskom-button-add-links): New function.
	(lyskom-button-transform-text): Call it to create links from
	kom-text-links.

	* vars.el.in (kom-text-links): New variable.

	* clienttypes.el (lyskom-create-lyskom-text-link): New function.
	(lyskom-text-link->pattern): New function.
	(lyskom-text-link->replacement): New function.
	(lyskom-text-link->highlight): New function.
	(lyskom-text-link->ignore-case): New function.

	New nameday lists from Hans Persson:
	* names.el (sv-1993): New nameday list.
	(sv-pre-1901): Renamed nameday list from sv-1901
	(sv-1901): New nameday list.
	(sv-1986): New nameday list.

2002-12-22  David Byers  <byers@lysator.liu.se>

	Work on bug 946:
	* commands2.el (lyskom-do-list-summary): Display texts in comment
	order with indentation.
	(lyskom-print-summary-line): Support indentation.

2002-12-18  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (lyskom-button-transform-text): Added
	text-stat argument.

	Implement text links:
	* lyskom-rest.el (lyskom-format-ö): Pass text-stat to
	lyskom-button-transform-text.
	(lyskom-format-enriched): Ditto.
	(lyskom-format-text-body): Ditto. 
	(lyskom-format-aux-help): Handle cons in format-letter r.

	* view-text.el: Send the text-stat when formatting subject.

2002-12-17  David Byers  <byers@lysator.liu.se>

	Work on bug 753:
	* flags.el (lyskom-read-options): Added optional buffer argument
	to support reading settings from a different session.

2002-12-17  Ulrik Haugen  <qha@lysator.liu.se>

	* startup.el (lyskom-read-server-name): Updated docstring wrt.
	kom-builtin-server-aliases.

	* lyskom-rest.el (lyskom-update-prompt, lyskom-format-prompt)
	(lyskom-mode-name-from-host): Use both kom-server-aliases and
	kom-builtin-server-aliases.

	* commands2.el (kom-modeline-select-unread-kom)
	(kom-status-server): Use both kom-server-aliases and
	kom-builtin-server-aliases.

	* async.el (lyskom-show-logged-in-person)
	(lyskom-show-logged-out-person): Use both kom-server-aliases and
	kom-builtin-server-aliases.

2002-12-16  David Byers  <byers@lysator.liu.se>

	Fix bug 701:
	* utilities.el (lyskom-get-ancestors-of-text): Provide completions
	when reading text numbers.

	* lyskom-rest.el (lyskom-read-number): Set require-match when
	reading numbers with completion.

	Fix bug 919:
	* faqs.el (lyskom-change-faq-3): Handle creating FAQs.
	(lyskom-change-faq-2): Ditto.
	(lyskom-change-faq): When there is no FAQ, create a new FAQ.

	Fix bug 305:
	* lyskom-buttons.el (lyskom-button-transform-text): Added support
	for bugzilla links.
	(lyskom-button-show-bugzilla-bug): New function.

	* vars.el.in (kom-my-bugzilla): New variable.
	(lyskom-text-buttons): Added bugzilla links.
	(lyskom-button-actions): Added bugzilla links.

2002-12-13  David Byers  <byers@lysator.liu.se>

	Bug 915:
	* vars.el.in (kom-builtin-server-aliases): Renamed from
	kom-server-aliases.
	(kom-server-aliases): New variable.

	* startup.el (lyskom-read-server-name): Use both
	kom-server-aliases and kom-builtin-server-aliases.
	(lyskom): Same here.

	Fix obsoleteness:
	* lyskom-rest.el (lyskom-update-prompt): Change `insert-string' to
	`insert' since the former is obsolete.

	Bog 928:
	* commands1.el (lyskom-times): Added Lucia.

	Finished bug 924:
	* option-edit.el (lyskom-nameday-widget): New widget type.

	* vars.el.in (kom-url-transformation-rules): Improved the
	Aftonbladet regexp.

2002-12-11  David Byers  <byers@lysator.liu.se>

	* swedish-strings.el (lyskom-sv-mode-map): Define swedish chars
	using all possible methods.

	* macros.el (lyskom-try-define-key): New macro.

2002-12-09  David Byers  <byers@lysator.liu.se>

	Work on bug 924:
	* vars.el.in (kom-show-namedays): Updated documentation.

	* commands1.el (kom-display-time): Display namedays in all
	languages.

	* names.el: New file.
	Added namedays for swedish, pre-1901 swedish, finnish,
	finlandssvenska and finnish orthodox. Thanks to Linus Sjöberg and
	Hans Persson for the data.
	(lyskom-nameday): Moved here from commands1.el. Made
	language-independent (the code had hard-coded swedish strings).
	(lyskom-define-namedays): New function.

	Bug 923:
	* vars.el.in (kom-url-transformation-rules): New variable.

	* lyskom-buttons.el (lyskom-transform-url): New function.
	(lyskom-button-open-url): Use lyskom-transform-url.

2002-11-26  David Byers  <byers@lysator.liu.se>

	Fix bug 880 and related problems:
	* commands1.el (lyskom-read-mark-type): Ditto.

	* lyskom-rest.el (lyskom-read-number): Permit whitespace around
	the input.

2002-11-21  David Byers  <byers@lysator.liu.se>

	Fix compiler warnings for 21.3:
	* lyskom-buttons.el (lyskom-generate-button): Protect call to car
	that was done to cause an error if menu-title was not a cons from
	warnings in the byte compiler.

	* review.el (kom-review-comments): Call to lyskom-insert-string
	was not in parens.

	* prefetch.el (lyskom-prefetch-membership-handler): Commeted out a
	loop that didn't contain a body that did anything useful.

	* keyboard-menu.el (lyskom-keyboard-menu-keys-for-string): Fixed
	bug found by warnings in pretest for 21.3.

	* compatibility.el (condition-case): Fix warnings in Gnu Emacs
	pretest for 21.3.
	(lyskom-dummy-variable-to-fool-the-byte-compiler): New variable
	for putting values of forms called only for their side effects in.

2002-11-21  Joel Rosdahl  <joel@rosdahl.net>

	* lyskom-rest.el (lyskom-modify-prompt): Use lyskom-format-time to
	create the prompt timestamp string so that you see seconds if
	wanted.

2002-10-30  Per Cederqvist  <ceder@ingate.com>

	* commands2.el (kom-compare-texts): Don't give a backtrace if one
	of the texts are unreadable.  Report no-such-text-no instead.
	(kom-diff-texts): Ditto.

2002-10-23  David Byers  <davby@metzengerstein.dyndns.org>

	* Release of 0.47.1

2002-10-23  David Byers  <byers@lysator.liu.se>

	* keyboard-menu.el (lyskom-keyboard-menu-keys-for-string): Guard
	use of default-keyboard-coding-system.

2002-10-20  David Byers  <byers@lysator.liu.se>

	* autoconf.el (extract-site-lisp-dir): Fixed regexp for site-lisp
	directory.

	* utilities.el (lyskom-check-configuration): New function to check
	Emacs configuration on startup.

	* startup.el (lyskom): Added call to lyskom-check-configuration.

	Fix bug 832:
	* async.el (lyskom-async-new-recipient): Check
	kom-mark-texts-as-read-in-new-recipient.

	* vars.el.in (kom-mark-read-texts-as-read-in-new-recipient): New
	variable.

	* async.el (lyskom-async-new-recipient): Use
	kom-mark-read-texts-as-read-in-new-recipient. 

2002-10-19  David Byers  <byers@lysator.liu.se>

	* vars.el.in (kom-created-texts-are-read): Changed default value
	of kom-created-texts-are-read.

2002-10-16  David Byers  <byers@lysator.liu.se>

	* doc/NEWS-0.47.1: Updated to here.

	* menus.el (lyskom-menu-template): Applied patch from Per Starbäck
	to add more commands to the menus (bug 727).

	* commands1.el (kom-change-parenthesis): Print error message if
	name contains more than one parenthesis.

2002-09-21  David Byers  <byers@lysator.liu.se>

	Make review commands fail more gracefully:
	* review.el (lyskom-cant-review-error): Set error-message
	property.
	(lyskom-review-error): Set error-conditions property.

2002-09-20  David Byers  <byers@lysator.liu.se>

	More fixes for bug 619:
	* commands1.el (lyskom-list-conf-print): Increased field length
	for conference number.

2002-10-13  Per Cederqvist  <ceder@ceder.dyndns.org>

	* distribution-README.end: Added two missing quote characters.
	Thanks to "Martin Svensson, ABC" for reporting the bug.

2002-09-22  Per Cederqvist  <ceder@ceder.dyndns.org>

	* lyskom-rest.el (lyskom-minimum-triangle-size): This was formerly
	named lyskom-minimum-triagle-size, with a spelling error in the
	"triangle".
	(lyskom-fill-message): Updated for the above change.

2002-09-19  David Byers  <davby@metzengerstein.dyndns.org>

	* Release of 0.47.1-BETA-2

2002-09-19  David Byers  <byers@lysator.liu.se>

	* english-strings.el (local): Added server-has-motd, which was
	missing.

2002-09-19  Joel Rosdahl  <joel@rosdahl.net>

	* swedish-strings.el, english-strings.el: Added missing group in
	regexps comment-prefix and footnote-prefix.

2002-09-18  David Byers  <byers@lysator.liu.se>

	Fix bug 762:
	* commands2.el (kom-set-motd): Rewrote using blocking commands.
	The old code didn't really work. Also pick recipients for the text
	correctly.

	Fix bug 763:
	* edit-text.el (lyskom-looking-at-header): Changed from match
	number 1 to match number 2 because we need that for english
	strings. 

	Fix bug 522:
	* startup.el (lyskom): Print motd of lyskom sort of like a normal
	text. Don't print the header because it distracts attention. Do
	print the footer using whatever settings are currently loaded
	(usually the defaults).

	Fix bug 757:
	* compatibility.el (make-temp-file): Removed last argument from
	write-region since the parameter lists in Gnu Emacs and XEmacs
	differed.

2002-09-17  David Byers  <byers@lysator.liu.se>

	* Release av 0.47.1-BETA-1

2002-09-16  David Byers  <byers@lysator.liu.se>

	* vars.el.in (lyskom-old-farts-text-prompt-strategy): Added this
	as alias for kom-old-farts-text-prompt-strategy.

	Fix bug 722:
	* edit-text.el (kom-edit-send-anonymous): Set is-anonymous
	parameter to non-nil.
	(lyskom-edit-send): Ask to remove self when sending anonymously. 

	Fix bug 679:
	* commands1.el (kom-delete-text): Nag if the user tries to delete
	a text with comments. Rewrote the main logic.

2002-09-15  David Byers  <byers@lysator.liu.se>

	Fix bug 733:
	* utilites.el (lyskom-read-text-no-prefix-arg): Moved cond branch
	for prompting when there is no prefix argument to the first
	branch so that errors occurring when looking for texts for a
	command that always prompts will not be signalled.

	kom-write-footnote footnoted the wrong text:
	* utilities.el (lyskom-read-text-no-prefix-arg): Use default
	parameter as default in prompt when the command is specified to
	always prompt.

	Fix problem with overlays in XEmacs when viewing HTML:
	* lyskom-rest.el (lyskom-do-special-inserts): Extracted logic to
	handle special-insert from lyskom-do-insert.
	(lyskom-do-insert): Call the new function once for overlays and
	once for special-insert.
	(lyskom-format-insert-at-point): Call
	lyskom-format-transform-result to convert overlay positions to
	text properties. Don't explicitly insert overlays.
	(lyskom-format-insert): Same here.
	(lyskom-format-insert-overlays): Removed this function. No longer
	used as we use lyskom-special-insert-overlay instead.

	Fix bug 746:
	* commands2.el (kom-status-person): Count unreads in passive
	conferences separately. Show passive memberships in gray.
	(kom-status-conf): Show passive members in gray.

2002-09-14  David Byers  <byers@lysator.liu.se>

	Start fixing bug 750:
	* lyskom-buttons.el (kom-button-press): Handle missing default
	action by showing the keyboard menu.

	* vars.el.in (lyskom-button-actions): Removed default action for
	aux-edit-menu.
	(lyskom-button-actions): Removed no-op default action for
	add-recipient-or-xref.

	Fix bug 752:
	* commands1.el (kom-list-re): Use lyskom-a-or-b-or-c-p to choose
	what to search in.

	* lyskom-rest.el (lyskom-a-or-b-or-c-p): New function. Generalized
	y-or-n-p sort of.

2002-09-12  David Byers  <byers@lysator.liu.se>

	* english-strings.el,swedish-strings.el: Fixed speling error for
	ssh-closing (was ssh-closnig).

	Fix bug 745:
	* commands1.el (lyskom-quit): Check that lyskom-ssh-proxy is
	non-nil before trying to use it. Otherwise this function will die
	and we will call lyskom-end-of-command in kom-quit.

2002-09-11  David Byers  <byers@lysator.liu.se>

	* vars.el.in (kom-old-farts-text-prompt-strategy): Renamed from
	lyskom-old-farts-text-prompt-strategy. This is the name that
	appears in the documentation.
	(lyskom-face-schemes): Bakgrunden för meddelanden ändrad till
	gröna toner. Det passar bättre ihop med det blå.

	Speculative fix for bug 738:
	* utilities.el (lyskom-recode-string-for-title): Recode string in
	win32. This should fix the problem.

	Fix bug 737:
	* distribution-README.install-nonsrc: Fix name of .el file.

	Fix bug 718:
	* lyskom-buttons.el (lyskom-view-url-windows): Post starting
	messages before attempting to start the process.

2002-09-10  David Byers  <byers@lysator.liu.se>

	* mime.el (lyskom-mime-string-charset): Deal with not having any
	coding systems at all (happens in non-multibyte emacsen).

2002-09-10  Joel Rosdahl  <joel@rosdahl.net>

	* swedish-strings.el, english-strings.el: Fixed typos and
	spelling errors.

2002-09-08  David Byers  <byers@lysator.liu.se>

	* Makefile (lyskom-%-$(CLIENTVERSION).el): Copy help strings into
	single-language-version files.

	Fix bug 717:
	* commands2.el (lyskom-switch-to-kom-buffer): Applied patch from
	Christer Ekholm. 

	Fix bug 728:
	* commands1.el (kom-set-motd-text): Applied patch from Per
	Starbäck. 

2002-09-08  David Byers  <davby@metzengerstein.dyndns.org>

	* Released 0.47

2002-09-07  David Byers  <byers@lysator.liu.se>

	* commands2.el (kom-change-conf-type): allow-secret was inversely
	displayed.

	* vars.el.in (lyskom-face-schemes): kom-first-line-face for
	inverse should be the same as for default.

2002-08-18  David Byers  <byers@lysator.liu.se>

	* vars.el.in (kom-extended-status-information): Changed default
	value to nil, 'cos for the most part extended status information
	is not something the default user is interested in.

2002-09-07  Per Cederqvist  <ceder@ceder.dyndns.org>

	Regexp matching searches among persons, conferences or both.
	* commands1.el (kom-list-re): New optional argument: what.  This
	function can now search among persons, conferences, or both.
	* english-strings.el, swedish-strings.el (lyskom-message): Added
	'include-persons, 'include-conferences, 'matching-regexp-perss and
	'matching-regexp-confs.

2002-08-28  Hans Persson  <hans@localhost.localdomain>

	* swedish-strings.el (local): Spelling fix.

2002-08-15  Ulrik Haugen  <qha@lysator.liu.se>

	* swedish-strings.el, english-strings.el (local): y-or-n-instring
	and y-instring modified to make j-or-n-p behave more like
	y-or-n-p.

2002-08-13  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-clean-read-faqs-1): Fixed negated
	condition that cause read *existing* FAQs to be marked as unread.

2002-08-12  David Byers  <byers@lysator.liu.se>

	* startup.el (lyskom-refetch): Call lyskom-clean-read-faqs.

	* lyskom-rest.el (lyskom-startup-clean-read-faqs): New function. 
	(lyskom-startup-clean-read-faqs-1): New function.

2002-08-09  David Byers  <byers@lysator.liu.se>

	Better font handling:
	* utilities.el (lyskom-set-face-scheme): Set faces for overlays
	only if they haven't been set by the user. Don't require expected
	background in face schemes.

	Attempt to fix irreprudicble hangs:
	* services.el (lyskom-wait-queue): Rewrote without using
	blocking-return. Use collector instead. The use of blocking-return
	and dynamic binding was questionable and probably wrong.

2002-08-08  Per Cederqvist  <ceder@ceder.dyndns.org>

	The "sparar" marker could be left indefinitely in the mode line.
	* parse.el (lyskom-parse-unparsed): Force an update of the mode
	line when the server stops saving.

2002-08-06  David Byers  <byers@lysator.liu.se>

	String "Olästa" in frame title was truncated in Emacs 21:
	* lyskom-rest.el (lyskom-make-lyskom-unread-title-format): Use
	lyskom-recode-string-for-title.

	* utilities.el (lyskom-recode-string-for-title): New function.

	Clear out some old junk:
	* compatibility.el (lyskom-compatibility-definition-ct): Unused.
	Removed.

	* lyskom-rest.el (lyskom-call-hook): Unused. Removed.

	* lyskom-buttons.el (lyskom-button-send-mail): Unused. Removed.

	* utilities.el (skip-first-zeros): Unused. Removed.
	(reverse-assoc): Unused. Removed.
	(lyskom-string-to-rgb): Unused. Removed.

	Fix compatibility problem with Emacs 20:
	* utilities.el (lyskom-union): Rebuilt to preserve A and append
	the relevant bits of B.
	(lyskom-join-lists): Removed. This function used mapc, which is in
	cl.el, and is functionally very similar to lyskom-union. Rewrote
	lyskom-union to the specifications of this function.
	(lyskom-get-ancestors-of-text): Use (new) lyskom-union instead of
	lyskom-join-lists.

	Fix bug 695:
	* startup.el (kom-start-anew): Insert language-set-to before the
	prompt, not immediately. This ensures that it is printed after any
	other messages generated before the language is set.

2002-08-05  David Byers  <davby@metzengerstein.dyndns.org>

	* Release of 0.47-BETA-4

2002-08-05  David Byers  <byers@lysator.liu.se>

	Bug 662:
	* async.el (lyskom-add-new-text): When we get a new text in the
	conference we're in, enter the info in lyskom-reading-list in the
	proper priority order. Entering it first fscks up reviewing.

	* english-strings.el (lyskom-en-prioritize-mode-map): Use kbd for
	all bindings (how did we ever miss this).

2002-08-01  David Byers  <byers@lysator.liu.se>

	Fix bug 685:
	* flags.el (lyskom-read-options): The return value is now nil on
	all error conditions (no user area, invalid person etc).

	Fix bug 683:
	* startup.el (kom-start-anew): Don't accept empty string as a
	name.

2002-07-30  David Byers  <byers@lysator.liu.se>

	Fix bug 675:
	* startup.el (lyskom-setup-ssh-relay): Set LC_ALL before starting
	ssh (and restore it afterwards).

	Fix bug 620:
	* english-strings.el, swedish-strings.el: Added bindings for
	lyskom-help to lyskom-sv­who-prefix, lyskom-en-who-prefix and
	lyskom-en-previous-prefix.

	* commands2.el (kom-change-language): With prefix arg, set both
	local and global language attributes (like the NEWS file says we
	do).

2002-07-30  Per Cederqvist  <ceder@ceder.dyndns.org>

	cadr, caar and cdar are not portable to all Emacsen.
	* vars.el.in (lyskom-button-actions): Don't use cadr.

	* utilities.el (lyskom-read-text-no-prefix-arg): Don't use caar or
	cdar.

2002-07-29  David Byers  <byers@lysator.liu.se>

	* utilities.el: Removed lyskom-pick-text-no-strategy-alist.

	* vars.el.in (kom-pick-text-no-strategy-alist): Renamed from
	lyskom-pick-text-no-prefix-strategy-alist to
	kom-pick-text-no-strategy-alist and moved here from utilities.el

	Fix bug 668:
	* english-strings.el, swedigh-strings.el: Added binding of S-TAB
	wherever we bound M-TAB.

2002-07-26  David Byers  <byers@lysator.liu.se>

	Fix bug 661:
	* utilities.el (lyskom-set-face-scheme): Warn when faces are
	missing and copy the default. Set highlight faces unconditionally
	when they are not specify (never warn that these are missing).

	* compatibility.el (lyskom-color-values): Removed bogus definition
	that fscked up everything.

	Fix bug 660:
	* flags.el (lyskom-ignored-user-area-vars): Removed from here.
	(lyskom-read-options-eval): Removed warning about ignored vars.
	Return list of ignored variables.
	(lyskom-maybe-set-var-from-string): Added return value.

	* startup.el (kom-start-anew): Moved warning about ignored vars
	here so it is shown after language is set.

	* vars.el.in (lyskom-ignored-user-area-vars): Moved here.

2002-07-24  David Byers  <byers@lysator.liu.se>

	* Release of 0.46-BETA-3

2002-07-24  David Byers  <byers@lysator.liu.se>

	* doc/NEWS-0.47: Updated to here for imminent release of
	0.42-BETA-3.

2002-07-24  Johan Sundström  <jhs@lysator.ida.liu.se>

	* utilities.el (lyskom-minusp): Very significant bugfix. :)

2002-07-24  Johan Sundström  <jhs@lysator.liu.se>

	* lyskom-rest.el (lyskom-limited-make-overlay): XEmacs compat fix.

2002-07-23  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-limited-make-overlay): New function
	limits the number of overlays created.
	(lyskom-special-insert-overlay): Use it.
	(lyskom-format-insert-overlays): Use it.

	* vars.el.in (kom-max-overlays): New variable.
	(lyskom-overlay-pool): New variable.

2002-07-22  David Byers  <byers@lysator.liu.se>

	* mime.el (lyskom-mime-string-charset): Smarter selection of
	coding system for Gnu Emacs. We still use our list whenever
	possible, but if we can't find a coding system, we fall back on
	Emacs' list of coding systems. Not done for XEmacs (yet).

	* utilities.el (lyskom-read-text-no-prefix-arg): Prompt only after
	computing a suitable default. That way we get a default value in
	the prompt (which is a good thing).

2002-07-21  David Byers  <byers@lysator.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Support
	recipient type in send-comments-to.

2002-07-20  David Byers  <byers@lysator.liu.se>

	* english-strings.el,swedish-strings.el: Add "Mozilla" in all
	places where we say "Netscape".

	* vars.el.in (kom-netscape-command): Clarify that mozilla and
	netscape use the same settings.
	(kom-url-managers): Say "Mozilla" in netscape manager.

2002-07-18  David Byers  <byers@lysator.liu.se>

	* tree-edit.el (tree-edit-compute-prefix): Made nonrecursive.
	(tree-edit-compute-prefix-internal): Removed.
	(tree-edit-adjust-markers): Made nonrecursive.
	(tree-edit-draw): Made nonrecursive.

	* vars.el.in (lyskom-text-buttons): Eliminate brackets and semis
	at end of URLs.

	* utilities.el (lyskom-pick-text-no-strategy-alist): Correct
	strategy for kom-private-answer-previous.

2002-06-30  David Byers  <byers@lysator.liu.se>

	Temporary fix:
	* commands1.el (lyskom-list-pers-print): Allocate five characters
	for person numbers.
	(lyskom-list-created-conferences-2): Same.
	(kom-list-re): Same.

2002-07-16  Johan Sundström  <jhs@lysator.liu.se>

	* lyskom-rest.el (kom-go-to-next-conf): Treat prefix arguments as
	kom-list-news does, giving upper/lower bounds for the number of
	unread messages you want in the conference you go to.

2002-07-15  Per Cederqvist  <ceder@ingate.com>

	* utilities.el (lyskom-evaluate-text-no-strategy): first, second
	and cddr are not portable to Emacs 19 without using cl.el.  Use
	car and cdr instead.

2002-07-13  Johan Sundström  <jhs@lysator.liu.se>

	* utilities.el (lyskom-pick-text-no-strategy-alist): Behave as it
	used to; comment the last but one seen text when no prefix
	argument was given. Fixes bug 625.

	(lyskom-get-previous-text): New support function.

2002-07-13  Johan Sundström  <jhs@lysator.liu.se>

	* lyskom-rest.el (kom-view): Hopefully my last plusp sin.

2002-07-13  Johan Sundström  <jhs@lysator.liu.se>

	* utilities.el (lyskom-read-text-no-prefix-arg): Replaced bad code
	that tried and failed to catch errors in strategy predicates. 
	Replaced cl plusp and minusp calls with lyskom client calls that
	don't bail out on any valid prefix argument.

	(lyskom-plusp): New function.
	(lyskom-minusp): New function.

2002-07-11  Johan Sundström  <jhs@lysator.liu.se>

	* lyskom-rest.el (kom-view): Dropped the call to
	`lyskom-read-text-no-prefix-arg' when invoked from button actions
	or when a text-no was otherwise already provided for the call. It
	is not safe to rely on how prefix arguments are interpreted by
	that function any more since that is fully user configurable now.

	* utilities.el (lyskom-read-text-no-prefix-arg): Rewritten to get
	configurable behaviour via `lyskom-pick-text-no-strategy-alist'.
	Also added new optional argument CONSTRAINT, for providing helpful
	pointers about what kind of text certain commands need. DEFAULT is
	now also legal when supplied as a function returning a text-no.

	(lyskom-pick-text-no-strategy-alist): New variable for declaring
	how lyskom-read-text-no-prefix-arg should treat prefix args, using
	the new functions below. The default strategy picks the text under
	point when no arg was given, prompts for a text-no when 0 is given,
	takes the text N items above / below point for +/- args and the text
	N ancestry levels up the comment tree for N successive C-u:s.

	(lyskom-get-explicit-text): New function.
	(lyskom-get-command-specified-default-text): New function.
	(lyskom-get-last-read-text): New function.
	(lyskom-get-text-at-point): New function.
	(lyskom-get-text-at-point-ancestor): New function.
	(lyskom-prompt-for-text-no): New function.
	(lyskom-get-last-text-written-by-me): New function.
	(lyskom-get-last-written-or-read-by-me): New function.
	(lyskom-get-text-above-point): New function.
	(lyskom-get-text-below-point): New function.

	(lyskom-old-farts-text-prompt-strategy): New constant to set your
	`lyskom-pick-text-no-strategy-alist' to to get the 0.46 strategy.

	(lyskom-join-lists): New utility function.
	(lyskom-get-ancestors-of-text): New function.

	* swedish-strings.el, english-strings.el: prefix-arg-try-again
	string added for showing some CONSTRAINT help. Also added strings
	no-text-at-point and what-ancestor for the new function
	lyskom-get-text-at-point-ancestor.

2002-07-01  David Kågedal  <david@lysator.liu.se>

	* compatibility.el (lyskom-color-values): Negated the condition
	under which this is defined.

2002-06-29  David Byers  <byers@lysator.liu.se>

	* compatibility.el: Added declarations to avoid warnings about
	set-specifier, make-specifier and color-rgb-components.

	Eliminate warnings because of use of latin-unity:
	* lyskom-rest.el (lyskom-format-text-body): Moved try-require
	outside this function so it gets run when we load LysKOM. This
	avoids a performance hit when the package is unavailable.
	(latin-unity-remap-region): New declaration to avoid compiler
	warnings.
	(latin-unity-preferred-coding-system-list): New declaration.
	(latin-unity-iso-8859-1-aliases): New declaration.
	(latin-unity-cset-codesys-alist): New declaration.
	(coding-system-property): New declaration.

	Improve keyboard menus:
	* keyboard-menu.el (lyskom-read-from-menu): Break out the code
	that draws the menu to...
	(lyskom-keyboard-menu-insert): New function. Format menus in as
	many columns as possible.
	(lyskom-keyboard-menu-format-item): New function to format a
	single item.
	(lyskom-read-from-menu): C-f and C-b do forward and backward. C-p
	and C-n do up and down (not next and previous item). This means
	navigation in the buffer is conventional. Added C-a and C-e.
	(lyskom-keyboard-menu-up): Rewrote.
	(lyskom-keyboard-menu-down): Rewrote.
	(lyskom-keyboard-menu-forward): New command.
	(lyskom-keyboard-menu-backward): New command.
	(lyskom-keyboard-menu-beginning-of-line): New command.
	(lyskom-keyboard-menu-end-of-line): New command.

2002-06-28  David Byers  <byers@lysator.liu.se>

	* keyboard-menu.el (lyskom-read-from-menu): Compute height of menu
	window based on the contents and not the table. Display the menu
	successfully even if there is no room to split the window. 
	(lyskom-keyboard-menu-highlight-selected): Recenter the menu
	window if point is not visible.

2002-06-28  Ulrik Haugen  <qha@lysator.liu.se>

        * doc/NEWS-0.47: Updated to this point in ChangeLog in preparation
	for release of 0.47-BETA-3 some time soon.

	* lyskom-rest.el (lyskom-format-text-body): add text-properties
	for unification if latin-unity is available.
	(lyskom-unity-text): new function.

2002-06-26  David Byers  <byers@lysator.liu.se>

	* keyboard-menu.el: New file.
	(lyskom-read-from-menu): Main function.

	* vars.el.in (kom-keyboard-menu-immediate-selection): New
	variable.

	* lyskom-buttons.el (lyskom-keyboard-menu): Use
	lyskom-read-from-menu.

2002-06-23  David Byers  <byers@lysator.liu.se>

	Try to fix bug 429 (sort of):
	* command.el (lyskom-command-minibuffer-local-completion-map): New
	variable.
	(lyskom-command-minibuffer-local-must-match-map): New variable.
	(lyskom-read-extended-command): Use new minibuffer maps when
	reading command names. Do completion using
	lyskom-complete-command.
	(lyskom-ok-command): Support vectors from
	lyskom-read-extended-command as inputs.
	(lyskom-command-minibuffer-local-completion-map): Wired in
	lyskom-complete-command-word.
	(lyskom-command-minibuffer-local-must-match-map): Same here.

2002-06-22  David Byers  <byers@lysator.liu.se>

        * doc/NEWS-0.47: Updated to this point in ChangeLog in preparation
	for release of 0.47-BETA-3 some time soon.

	* startup.el (lyskom): Renamed all proxy-* variables to
	www-proxy-*. Changed open-network-stream to
	lyskom-open-network-stream in order to support ssh proxies.
	(lyskom-open-network-stream): New function.
	(lyskom-setup-ssh-proxy): New function.
	(lyskom): Use lyskom-open-network-stream to open network
	connections.

2002-06-14  David Byers  <byers@lysator.liu.se>

	* review.el (kom-toggle-mark-as-read-prefix): New function toggles
	state of kom-review-marks-as-read and then runs one single command
	with the state toggled.

2002-06-21  Joel Rosdahl  <joel@lysator.liu.se>

	* swedish-strings.el, english-strings.el: kom-change-language no
	longer changes language in all sessions; fixed command name.

	* english-strings.el: Corrected command name in
	ignored-user-area-var.

2002-06-19  Per Cederqvist  <ceder@ceder.dyndns.org>

	* swedish-strings.el (lyskom-message): Removed a spurious % in
	conf-has-no-faq.

2002-06-14  Per Cederqvist  <ceder@ingate.com>

	* Makefile (vars.el): Shorten the version string for the CVS
	versions.

2002-06-14  Ulrik Haugen  <qha@lysator.liu.se>

	* distribution-Makefile.in (LANGUAGE-EL): Include the compiled
	help-files in "lyskom.el".

	* Makefile (EXTRA-SRCVERBATIM): Distribute the help-xml-files and
	help-compile in the source packages as they don't include a
	"lyskom.el".

2002-06-13  David Byers  <byers@lysator.liu.se>

	Hopefully did the right thing to Debian packages wrt bug 575:
	* debian/rules: Removed references to help-compile.el and the help
	files since they are now included in lyskom.el.

	* debian/emacsen-common-install: Same here.

	Fix bug 575:
	* help-sv.xml, help-en.xml: Renamed to swedish-help.xml and
	english-help.xml to facilitate language selection when building
	lyskom.el.

	* Makefile: Removed help-compile.el from all old targets.
	(EXTRA-SRCVERBATIM): Removed help files and help-compile.el since
	they are now included in lyskom.el.

	* lyskom-rest.el (lyskom-format-aux-help): Moved parens so that
	error handing for %d is correct again.

2002-06-12  Ulrik Haugen  <qha@lysator.liu.se>

	* Makefile (EXTRA-SRCVERBATIM): name the help files by their
	actual names after renaming.

2002-06-12  David Byers  <byers@lysator.liu.se>

	Fix bug 575:
	* Makefile (%-hep.el): New target to convert help XML files to
	elisp files.

	* help-compile.el (lyskom-help-parse-buffer): New function
	extracted from lyskom-help-parse-help-file.
	(lyskom-help-parse-help-file): Use it.
	(lyskom-help-compile-to-el): New function to compile a help XML to
	an elisp file. This is required to fix build issues.

	Fix bug 573:
	* lyskom-rest.el: (lyskom-format-aux-help): Support formatting
	floating-point numbers since that's what we'll get when the ints
	from the server are too large for Emacs.
	(lyskom-format-html): Look at kom-format-html-authors to decide
	whether to format HTML or not.

	* vars.el.in (kom-format-html-authors): New variable.

	* lyskom-rest.el (lyskom-format-html): Only delete first five
	characters if we're looking at html:

	Fix bug 457:
	* aux-items.el (send-comments-to): Changed into to info.
	(mx-reject-forward): Added text-name property.

	* view-text.el (lyskom-view-text): Print unknown aux-items in
	header, if there are any and we are doing noconversion.

	* macros.el (lyskom-traverse-aux): Put progn around body or we can
	only have one form in the body.

	* view-text.el
	(lyskom-view-text-convert-ISO-646-SE-to-ISO-8859-1): Use it.
	(lyskom-view-text): Use it (two places).
	(lyskom-filter-signature-hook): Use it.
	(lyskom-view-text): When reviewing with noconversion, print
	content-type and similar aux items.

	* utilities.el (lyskom-viewing-noconversion): New function.


2002-06-11  David Byers  <byers@lysator.liu.se>

	* flags.el (lyskom-save-options): Set content-type på user-arean
	till x-kom/user-area (dock utan charset).

	Korrigera felaktig formattering av hjälpen:
	* help.el (lyskom-help-format-p): Gjorde om point-marker till
	point-max-marker så att formatteringen fungerar även om point inte
	följer med till slutet av bufferten.
	(lyskom-help-format-text-properties): Dito.

	Fix bug 589:
	* commands1.el (kom-add-bcc): Fixade så att prompten blir rätt:

	* option-edit.el (lyskom-custom-variables): Add no-server-break to
	options for kom-server-priority-breaks. Used to be no-break, which
	is wrong.

2002-06-09  David Byers  <byers@lysator.liu.se>

	Fix bug 583:
	* flags.el (lyskom-read-options-eval): New variable
	lyskom-ignored-user-area-vars.
	(lyskom-maybe-set-var-from-string): Use it. Removed comment from
	one of the validity checks.

	Applied patch from Per Starbäck (bug 582):
	* vars.el.in (kom-presence-messages-in-echo-area): Ny variabel.
	Den gamla, kom-presence-messages, finns kvar men används inte.

	* async.el (lyskom-parse-async): Changed kom-presence-messages to
	kom-presence-messages-in-echo-area.
	(lyskom-show-logged-in-person): Same.
	(lyskom-show-logged-out-person): Same.
	(lyskom-show-changed-person): Same.

2002-06-08  David Byers  <byers@lysator.liu.se>

	* mime.el (lyskom-charset-alist): Added iso-8859-15 to
	lyskom-charset-alist. This will eliminate problems where
	iso-8859-15 was encoded as latin-1 and Emacs brain-dead recoding
	would use escape sequences for characters that existed in both
	charsets.

2002-06-07  David Byers  <byers@lysator.liu.se>

	* help-sv.xml: New file, renamed from help.sv.

	* help-en.xml: New file, renamed from help.en.

	* help-compile.el (lyskom-help-compile): Read from help-XX.xml
	instead of help.XX.

	Improve help data:
	* help.en: Set language to "en", not "sv".

	* help.en, help.sv: Put cross references in reading inside a list
	element.

	Fix some problems with help:
	* help.el (lyskom-help-format-section): New.
	(lyskom-help-format-refer): Make cross-references clickable.

2002-06-06  David Byers  <byers@lysator.liu.se>

	Fix some problems with help:
	* help.el (lyskom-help-format-list): Fixed so it works.
	(lyskom-help-format-item): Ditto.
	(lyskom-help-show-section): This used to be
	lyskom-help-format-section.

	* help-compile.el (lyskom-help-parse-string): Support optional
	attributes.
	(lyskom-help-syntax): Added optional attributes.
	(lyskom-help-syntax-required-attrs): New function.
	(lyskom-help-syntax-optional-attrs): New function.
	(lyskom-help-parse-help-file): Added optional attributes to bogus
	toplevel syntax specification.

2002-06-05  David Byers  <byers@lysator.liu.se>

	* flags.el (lyskom-maybe-set-var-from-string): Refuse to set
	variables from the user area that are not specified as
	server-stored LysKOM variables.

2002-06-03  David Byers  <byers@lysator.liu.se>

	* commands2.el (lyskom-send-message): Use new faces for dashed
	lines and message bodies.

	* vars.el.in (kom-async-highlight-dashed-lines): New variable.
	(kom-async-highlight-text-body): New variable.
	(lyskom-face-schemes): Added kom-async-dashed-lines-face and
	kom-async-text-body-face to all schemes.
	(lyskom-faces): Added kom-async-dashed-lines-face and
	kom-async-text-body-face.

	* utilities.el (lyskom-set-face-scheme): Set up faces for async
	messages.

	* distribution-Makefile.in (lyskom-@@CLIENTVERSION@@.elc): Load
	help-compile.el when compiling.

2002-06-02  David Byers  <byers@lysator.liu.se>

	* Release of 0.47-BETA-2

2002-05-31  David Byers  <byers@lysator.liu.se>

	Fix bug 235:
	* parse.el (lyskom-parse-unparsed): When an error is signalled
	from a handler, delete the parsed message.

2002-06-01  Ulrik Haugen  <qha@lysator.liu.se>

	* Makefile (DOCFILES): include NEWS for 0.47 instead of 0.46.
	(EXTRA-SRCVERBATIM): include help-compile.el, help.en, help.sv.

2002-05-29  David Byers  <byers@lysator.liu.se>

        * NEWS-0.47: Updated to this point in history in preparation for
	next BETA release.

	* user-hooks.el (kom-list-summary-hook-conf-list): Added * to
	front of docstring.
	(kom-read-last-text-hook-conf-list): Same.

	Fix bug 503:
	* commands2.el (kom-apropos): New function.
	(lyskom-apropos-insert): New function.
	(lyskom-apropos-insert-docstring): New function.

	* view-mode.el (lyskom-view-mode-map): Bind = to
	kom-menu-button-press, as in other modes.

2002-05-28  David Byers  <byers@lysator.liu.se>

	* help-compile.el (lyskom-help-parse-string): Fixed search for end
	tag so it doesn't cause a stack overflow in the 20.7 regexp
	matcher.

2002-05-27  David Byers  <byers@lysator.liu.se>

	* commands2.el (kom-change-language): Show which language we just
	set.

	Fix bug 491:
	* swedish-strings.el (lyskom-messages): Use downcase in
	language-set-to.

	* lyskom-rest.el (lyskom-format-aux-help): Added support for
	downcasing from the format string.
	(lyskom-format-aux): Same.
	(lyskom-format-format): Added _ as downcase flag.

	* check-strings.el: Added checking of matching sections for all
	languages in new help.

	* help.en: New file.

	* vars.el.in: Removed lyskom-help-categories.

	* swedish-strings.el: Removed help strings.

	* commands2.el: Removed old help-related-commands.

	New help system:
	* help.el (lyskom-help-format-h1): Updated newline handling
	(lyskom-help-format-h2): Same
	(lyskom-help-format-h3): Same
	(lyskom-help-format-cref): No newline after reference.

2002-05-26  David Byers  <byers@lysator.liu.se>

	New help system:
	* help-compile.el: New file.

	* help.el: New file.

	* help.sv: New file.

	* vars.el.in (lyskom-help-data): New variable.
	(lyskom-maybe-setq-default): Removed eval since eval will be done
	after macro expansion.
	(lyskom-maybe-setq): Same here.

	* swedish-strings.el (sv): Load swedish help strings.

	* Makefile (SOURCES): Added help.el.

	* macros.el (defmacro): New macro (only exists during compile).

2002-05-25  David Byers  <byers@lysator.liu.se>

	Fix bug 528:
	* lyskom-buttons.el (lyskom-button-copy-text-no): New function.

	* vars.el.in (lyskom-button-actions): Added
	lyskom-button-copy-text-no for texts.

	Fix bug 571:
	* utilities.el (lyskom-delete-duplicates): New function.

	* edit-text.el (lyskom-edit-send-check-recipients): Misplaced
	paren caused two loops to be nested when they shouldn't have been.
	Use lyskom-delete-duplicates to eliminate duplicate authors.

2002-05-25  Per Cederqvist  <ceder@ceder.dyndns.org>

	* vars.el.in (lyskom-maybe-setq): Added missing commas: we want to
	use the supplied arguments, not the symbols "var" and "value".
	(lyskom-maybe-setq-default): Ditto.

2002-05-24  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (kom-start-anew): Don't reset the default
	kom-default-language if the user set it in .emacs.

	* vars.el.in (lyskom-maybe-setq, lyskom-maybe-setq-default): New
	macros to facilitate using kom-dont-read-saved-variables.

2002-05-24  Per Cederqvist  <ceder@ingate.com>

	* Makefile: Force re-creation of $(VARS-EL) when lyskom.el is
	created, so that the build date is updated when a new version is
	fetched from CVS.  Previously, the build date was only updated i
	Makefile or vars.el.in had been changed.

2002-05-22  David Byers  <byers@lysator.liu.se>

	More work on 468:
	* commands2.el (kom-compare-texts): Use ediff-diff-program and
	diff-command for the error message since ediff seems to use
	ediff-diff-program, but diff-command is a good backup guess.

	Fix bug 506:	
	* commands2.el (lyskom-display-help-item): Print key binding for
	each command.

	* startup.el (kom-start-anew): Set default global language
	(default bindings for kom-default-language and lyskom-language) on
	first login. This is usually what we want.

	* commands2.el (kom-status-person): Print motd after aux-items.
	Otherwise it looks really bad.

	* faqs.el (lyskom-startup-check-faqs): Rewrote completely.

	* commands1.el (lyskom-go-to-empty-conf): Use
	lyskom-enter-conf-print-unread to print data on entry to conf.

	* lyskom-rest.el (lyskom-enter-conf-print-unread): New function
	prints number of unreads and unread faqs when entering a
	conference.
	(lyskom-enter-conf): Call it.

	* faqs.el (lyskom-get-unread-faqs): New function split from
	lyskom-check-for-read-faqs.
	(lyskom-presend-unread-faqs): Ditto.

	* commands1.el (lyskom-go-to-empty-conf): Use
	lyskom-enter-conf-print-unread.

	Fix bug 567:
	* startup.el (kom-start-anew): It seems that the forms inside an
	unwind-protect were a bit off. There were several unwind-forms,
	where I think there should have only been one (I know for sure
	that some of the code was not intended to be an unwind-form). I
	moved forms so lyskom-end-of-command is the only unwind-form.
	(lyskom-refetch): Moved updating of read FAQs and rejected
	invitations here.
	(kom-start-anew): Moved call to lyskom-refetch to late in the
	body. Thus we will not clear any caches after starting the
	prefetch and we can put other forms into lyskom-refetch that rely
	on lyskom-pers-no being set.

	* commands2.el (kom-help): Don't allow the user to enter an empty
	string for the category since this causes a failure.
	(lyskom-fast-reply): Prevent creation of fast-reply aux-items that
	contain line breaks or are otherwise inappropriate.
	(lyskom-check-fast-reply-message): New function to define what
	inappropriate is.

	* utilities.el (lyskom-get-color-highlight): Handle the case of
	the color parameter being nil.

2002-05-21  David Byers  <byers@lysator.liu.se>

	Fix bug 561:
	* lyskom-rest.el (lyskom-get-error-text): Renamed call to
	lyskom-get-string-internal.

	* check-strings.el (lcs-check-customize-variables): Renamed call
	to lyskom-get-string-internal.

	* option-edit.el (lyskom-widget-command-value-create): Use
	lyskom-try-get-string instead of lyskom-get-string-internal.

	* language.el (lyskom-try-get-string): Renamed from
	lyskom-get-string-internal.
	(lyskom-get-string): Renamed call to lyskom-get-string-internal.
	(lyskom-get-string-sol): Same.
	(lyskom-get-menu-string): Same.

	Fix bug 531:
	* view-text.el (lyskom-print-text): Use lyskom-truncate-to-lines
	so we can take the setting of truncate-lines into account. Check
	truncation settings using numberp.

	* utilities.el (lyskom-truncate-to-lines): New function.

	Fix bug 529:
	* commands2.el (kom-obsolete-who-is-on-in-conference): New
	function.

	* swedish-strings.el (lyskom-sv-mode-map): Added key binding lv.

	Fix bug 566:
	* services.el (initiate-get-map): Updated docstring.

	Fix bug 532:
	* swedish-strings.el,english-strings.el (lyskom-messages): Removed
	information about passive memberships by priority (it doesn't work
	that way now). Changed wording of priority-q.

	Fix bug 530:
	* commands1.el (kom-move-text-tree): Fix bug that caused only
	every other text to be moved.

2002-05-08  David Byers  <byers@lysator.liu.se>

	Bug 516:
	* menus.el (lyskom-define-menu-xemacs): Handle hline items in the
	menu specification according to what works in XEmcas 21.4.

	Automatic color selection for highlight colors:
	* compatibility.el (lyskom-color-values): Smarter definition that
	can handle both strings and specifiers in XEmacs.

	* vars.el.in (lyskom-face-schemes): Added incredibly ugly hack to
	put properties in lyskom-face-schemes.

	* utilities.el (lyskom-get-color-highlight): Modified to take list
	of RGB and distance from 0 to 1.

	Bug 525:
	* swedish-strings.el (lyskom-sv-mode-map): Bind fm till
	kom-filter-recipient.

	* english-strings.el (lyskom-en-mode-map): Bind fr till
	kom-filter-recipient.

2002-05-07  David Byers  <byers@lysator.liu.se>

        Every KOM client needs color model conversion code:
	* utilities.el (lyskom-string-to-rgb): New function.
	(lyskom-rgb-to-hls): New function.
	(lyskom-hls-to-rgb): New function.
	(lyskom-hls-to-rgb-value): New function.
	(lyskom-get-color-highlight): New function.
	(lyskom-string-to-rgb): New function.

2002-05-06  David Byers  <byers@lysator.liu.se>

	* utilities.el (lyskom-unicase): Get the length from the converted
	string and not the string, because for some reason they don't come
	out the same every time (and this is *probably* an Emacs bug).

2002-05-05  David Byers  <byers@lysator.liu.se>

	* commands2.el (kom-compare-texts): Catch the file-error that
	occurs when the external diff command is missing.

	* vars.el.in: Changed all hooks that are for users to play with
	from lyskom-<foo> to kom-<foo>. The lyskom-<foo> versions still
	work but are discouraged. Created dummy variables for some
	configuration variables that I did not dare change right now. It
	should now be possible to get all the user-accessible
	configuration parameters and hooks when doing apropos on ^kom.

	* async.el (lyskom-default-new-text-hook): Run kom-new-text-hook
	when running lyskom-new-text-hook.
	(lyskom-default-deleted-text-hook): Run kom-deleted-text-hook when
	running lyskom-deleted-text-hook.
	(lyskom-default-new-recipient-hook): Run kom-new-recipient-hook
	when running lyskom-new-recipient-hook.
	(lyskom-show-personal-message): Run kom-personal-message-hook when
	running lyskom-personal-message-hook.

	* edit-text.el (lyskom-edit-send): Run kom-create-text-hook when
	running lyskom-create-text-hook.

	* vars.el.in (kom-filter-outgoing-messages): Renamed from
	lyskom-filter-outgoing-messages.

	* commands1.el (lyskom-go-to-empty-conf): Run
	kom-after-change-conf-hook when running
	lyskom-after-change-conf-hook.

	* user-hooks.el: Changed docstring references to
	lyskom-change-conf-hook to kom-change-conf-hook. Changed docstring
	references to lyskom-after-change-conf-hook to
	kom-after-change-conf-hook.

	* startup.el (kom-start-anew): Run kom-change-conf-hook when
	running lyskom-change-conf-hook.

	* commands1.el (lyskom-go-to-empty-conf): Run kom-change-conf-hook
	when running lyskom-change-conf-hook.

	* lyskom-rest.el: Run kom-after-load-hook when running
	lyskom-after-load-hook.

	* commands2.el (lyskom-send-message): Call kom-send-message-hook
	when calling lyskom-send-message-hook.
	(lyskom-send-message-minibuffer-setup-hook): Call
	kom-send-message-setup-hook when calling
	lyskom-send-message-setup-hook.
	(lyskom-send-message-minibuffer-exit-hook): run
	kom-send-message-exit-hook when calling
	lyskom-send-message-exit-hook.
	(lyskom-send-message-turn-off-resize-on-exit): Use
	kom-send-message-exit-hook instead of
	lyskom-send-message-exit-hook.
	(lyskom-send-message-resize-minibuffer): Same here.

	* view-text.el: Changed all docstring references to
	lyskom-view-text-hook to kom-view-text-hook. Call
	kom-view-text-hook when lyskom-view-text-hook is called.

	* lyskom-rest.el (lyskom-do-insert): Allow special-insert to be a
	list, where the car is the function to call and cdr are the
	arguments to the function.
	(lyskom-format-transform-result): New function.
	(lyskom-special-insert-overlay): New function.
	(lyskom-do-insert): We were unable to handle special-insert
	properties that were adjacent to each others.

	* async.el (lyskom-format-as-personal-message): Updated to handle
	new format strings that have overlays for text and dashed lines.

	* commands2.el (lyskom-send-message): Same here.

	* startup.el (lyskom): Optionally highlight motd-of-lyskom

	Added my hook functions:
	* user-hooks.el (kom-read-last-text-hook): New function.
	(kom-list-summary-hook): New function.
	(kom-read-last-text-hook-conf-list): New variable.
	(kom-list-summary-hook-conf-list): New variable.

2002-05-05  Ulrik Haugen  <qha@lysator.liu.se>

	* commands2.el (kom-obsolete-extended-command-binding): Balanced
	parens.

2002-05-03  Per Cederqvist  <ceder@ingate.com>

	* commands2.el (kom-obsolete-extended-command-binding): Be
	annoying both ways.

2002-05-01  David Byers  <byers@lysator.liu.se>

	* commands1.el (kom-move-text-tree): New command, innit?

	Improve parser error reporting and recovery:
	* utilities.el (lyskom-text-comments): New function.

	* parse.el (lyskom-parse-recover): New function.
	(lyskom-parse-unparsed): Signal a parse error if we start parsing
	and see anything but '%', '=' or ':'. Recover from parse errors by
	scanning until we see a '%', a '=' or a ':' at the beginning of a
	line (sure, not perfect, but a lot better than what we've got
	now).

	* vars.el.in (lyskom-parser-recovering): New variable.

	* parse.el (lyskom-parse-unparsed): If the key is invalid, signal
	a protocol error rather than continue. Otherwise we can't see
	where the error really occurs.

	Fix bug setting language on logon:
	* startup.el (kom-start-anew): Set kom-have-on-login if login is
	successful.

	Fix dependency on mapc, which is not available in Emacs 20.7:
	* komtypes.el (text-mapping->global-numbers): Use lyskom-traverse
	instead of mapc.

	Improve performance when debugging communications:
	* lyskom-rest.el (lyskom-debug-insert): Limit buffer size to
	lyskom-debug-communications-limit.
	(lyskom-filter): Limit size of *kom*-replies to
	lyskom-debug-communications-limit.

2002-04-29  David Byers  <byers@lysator.liu.se>

	Fix bug where changing presentation of FAQ lost recipients:
	* commands1.el (lyskom-get-recipients-from-misc-list): Don't
	downcase the recipient type.

	* swedish-strings.el, english-strings.el: Hänvisa till ? och Hjälp
	i first-greeting.

	* vars.el.in (kom-default-language): Fixed bug 495.

	* commands2.el (kom-obsolete-extended-command-binding): Clarified
	message.

2002-04-29  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (kom-default-language): Added a pointer to
	lyskom-languages in the doc-string.

2002-04-28  Johan Sundström  <jhs@lysator.liu.se>

	* commands1.el (kom-status-session): When a prefix argument is
	given, see the status of the author of that text (as given by
	lyskom-read-text-no-prefix-arg), otherwise behave as usual.
	Also added info on last logout when a person is not available.

	* swedish-strings.el, english-strings.el (lyskom-message):
	Changed person-not-logged-in-r to optionally state last logout.

	* commands2.el (kom-force-logout): Updated to reflect change in
	person-not-logged-in-r.

2002-04-28  Johan Sundström  <jhs@lysator.liu.se>

	* commands2.el (kom-status-person): When a prefix argument is
	given, see the status of the author of that text (as given by
	lyskom-read-text-no-prefix-arg), otherwise behave as usual.

	* swedish-strings.el, english-strings.el (lyskom-message): 
	Added text-to-see-author-status-of.

2002-04-28  David Byers  <byers@lysator.liu.se>

	* view-text.el (lyskom-format-mx-author): If mx-author is the
	empty string, pretend that it is nil.
	(lyskom-view-text): Don't put a space character after the time
	zone.

	* swedish-strings.el,english-strings.el (lyskom-messages):
	Uppdaterade presentation-form.

	* compatibility.el (lyskom-color-values): New function (mimics
	x-color-values, color-values etc).

	* lyskom-rest.el (lyskom-format-insert-overlays): Set extent
	priority to 1000 to override text properties in the same area
	under XEmacs.
	(lyskom-is-loaded): Get language from LC_ALL and LC_MESSAGES too.

	* header.el: When detecting a buggy read-kbd-macro, attempt to
	load good definitions from known libraries rather than just bail.

	* vars.el.in (lyskom-face-schemes): Added scheme "bark".

2002-04-28  David Byers  <byers@lysator.liu.se>

	* edit-text.el (lyskom-edit-fcc-text): Delete the add button when
	fcc-ing texts.

	* services.el (initiate-set-pers-flags): New function.

	* commands1.el (kom-who-is-on): Improve documentation.

2002-04-27  Per Cederqvist  <ceder@ceder.dyndns.org>

	* commands2.el (kom-obsolete-extended-command-binding): Use ding
	if the user invokes this command.

2002-04-27  David Byers  <byers@lysator.liu.se>

	* Release of 0.47-BETA-1

	* commands2.el (kom-obsolete-extended-command-binding): Print the
	warning (and if Emacs supports it, the prompt in the minibuffer)
	using kom-warning-face. I find that I miss the warning too easily
	otherwise.

	Fix bug 485:
	* english-strings.el, swedish-strings.el: Number of lines in
	view-text-first-line was formatted as a text number, not a simple
	integer.

	* header.el: Updated check for macedit to look for the library and
	include some information on autoloads.

	* startup.el (kom-start-anew): Set languages globally on the first
	login.

	* vars.el.in (lyskom-have-one-login): Nwe variable.

	Fix bug 484:
	* edit-text.el (kom-edit-next-button-or-self-insert): Don't do
	self-insert-command, but traverse the current keymaps to figure
	out what to do.

	* check-strings.el (lcs-check-face-schemes): New function to check
	consistency of face schemes.

	* vars.el.in (lyskom-face-schemes): Added scheme black-and-tan.

2002-04-27  Ulrik Haugen  <qha@lysator.liu.se>

	Fix bug 458:

	* swedish-strings.el, english-strings.el
	(lyskom-message): New string: who-is-friend.

	* commands1.el (lyskom-who-is-on-9, lyskom-who-is-on-8): print
	who-is-friend if given non-nil show-friends-only.

2002-04-26  David Byers  <byers@lysator.liu.se>

	* option-edit.el (lyskom-custom-variables): Added
	kom-edit-hide-add-button. 
	(lyskom-customize-buffer-format): Added kom-edit-hide-add-button.

	* vars.el.in (kom-edit-hide-add-button): New variable.

	* edit-text.el (lyskom-edit-insert-aux-item): Number of lines to
	back up depends on kom-edit-hide-add-button.
	(lyskom-edit-insert-miscs): Insert add button only if
	kom-edit-hide-add-button is nil.

	Fix bug 475:
	* edit-text.el (kom-ispell-message): Don't search for
	ispell-message-start-skip unless it is a string.
	New command.
	(kom-edit-prev-button): New command.
	(lyskom-edit-find-separator): New function. Extracted code that
	finds the separator line.
	(kom-ispell-message): Use it.
	(lyskom-edit-insert-aux-item): Use it.
	(lyskom-edit-replace-headers): Use it.
	(lyskom-edit-parse-headers): Use it.
	(lyskom-edit-extract-text): Use it.
	(lyskom-edit-on-aux-item): Use it.
	(lyskom-edit-fcc-text): Use it.

	* english-strings.el, swedish-strings.el: Bind * and = in
	lyskom-edit-mode-map to kom-button-click-or-self-insert and
	kom-button-press-or-self-insert respectively. Bind TAB and M-TAB
	to kom-edit-next-button-or-self-insert and kom-edit-prev-button
	respectively.

	* lyskom-buttons.el (kom-button-press-or-self-insert-command): New
	function.
	(kom-menu-button-press-or-self-insert-command): New function.

2002-04-25  David Byers  <byers@lysator.liu.se>

	* view-text.el (lyskom-print-text): Use kom-highlight-text-body to
	control highlighting text body. Use kom-highlight-first-line to
	control highlighting of first line. Print first line using a
	single format string. Use kom-highlight-dashed-lines to control
	highlighting of dashed lines.

	* vars.el.in (lyskom-face-schemes): Updated kom-first-line-face to
	not inherit from default and not be invisible by default.
	(kom-highlight-first-line): New variable.
	(kom-highlight-dashed-lines): New variable.
	(kom-highlight-text-body): Renamed from
	kom-color-text-background.

	Fix bug 479:
	* lyskom-rest.el (lyskom-format-aux): Track depth of subformats.
	(lyskom-format-aux-help): Record format-state depth with delayed
	properties and delayed overlays.
	(lyskom-tweak-format-state): Only add properties for delayed
	property lists that are at the same current format-state depth.
	Only set end positions for overlays that were created at the
	current format-state depth.

2002-04-24  David Byers  <byers@lysator.liu.se>

	* header.el: Added a check for obsolete read-kbd-macro (found in
	macedit.el which is installed with the calc package in XEmacs).

	* compatibility.el (make-temp-file): Maybe compatibility with
	XEmacs. At least the warnings are gone...

	* commands2.el (kom-diff-texts): Survive even if diff-command is
	not bound (assume that the command is called "diff").

	* lyskom-rest.el (lyskom-format-insert-overlays): Made XEmacs
	compatible.
	(lyskom-format-aux-help): Removed unused variables.

	* edit-text.el (lyskom-edit-send-check-recipients): Removed unused
	variables.

	* commands2.el (kom-status-server): Removed unused variables.

	* startup.el (kom-start-anew): Removed unused variable err.

	* aux-items.el (lyskom-print-faq-format-subject): Removed unused
	variable "subject".

	Fix bug 473:
	* vars.el.in (lyskom-max-int): Define as variable, not constant.

2002-04-24  David Kågedal  <david@virtutech.se>

	* commands2.el (kom-change-language): Added prefix parameter to
	make global changes.

2002-04-23  David Byers  <byers@lysator.liu.se>

	Alternate text background color:
	* utilities.el (lyskom-set-face-scheme): Don't always copy default
	face. Only copy a face when we explicitly ask for it.

	* view-text.el (lyskom-print-text): Optionally use
	kom-text-background-face on texts.

2002-04-22  David Byers  <byers@lysator.liu.se>

	Alternate text background color:
	* vars.el.in (kom-color-text-background): New variable.

	* lyskom-rest.el (lyskom-format-aux-help): Added support for $
	(overlay) format specifier.
	(lyskom-format-insert-overlays): New function.
	(lyskom-format-insert): Call lyskom-format-insert-overlays.
	(lyskom-format-insert-at-point): Call
	lyskom-format-insert-overlays.

	* clienttypes.el (make-format-state): Added delayed-overlays to
	format state.

2002-04-22  Per Cederqvist  <ceder@ceder.dyndns.org>

	* lyskom-rest.el: Fix language selection code.  The default case,
	when neither of kom-default-language, KOMLANGUAGE and LANG was
	set, was missing a "car".

2002-04-21  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el (lyskom-make-button-menu): Temporarily bind
	lyskom-language to lyskom-global-language to avoid changing
	language in the popup menu.

	* check-strings.el (lcs-check-language-vars): New function.
	(lyskom-check-strings): Check for missing language-specific
	variables.

	* english-strings.el: Added lyskom-unread-title-format
	and lyskom-unread-mode-line.

	Better default language selection:
	* option-edit.el (lyskom-mark-association): Changed help-echo to
	default-help-echo.
	(lyskom-name): Same here.
	(lyskom-command): Same here.

	* lyskom-rest.el (lyskom-is-loaded): Get default language from
	environment variables KOMLANGUAGE or LANG, if they are set and
	kom-default-language was not. Otherwise 
	(lyskom-language-from-environment): New function.

	* language.el (lyskom-define-language): Don't set language here.
	It will be set in lyskom-rest.el.

	Better language switching:
	* startup.el (kom-start-anew): Pass scope parameter to
	lyskom-set-language. 

	* commands2.el (kom-change-language): Pass scope parameter to
	lyskom-set-language.

	* language.el (lyskom-language-strings): Added SCOPE parameter.
	(lyskom-get-string-internal): Honor scope in
	lyskom-language-strings.
	(lyskom-language-var): Added SCOPE parameter.
	(lyskom-set-language-vars): Added SCOPE parameter. Honor scope
	when setting language-specific variables.

	* vars.el.in (lyskom-language): Made this setting buffer-local
	again.

	Cleanup mapcars and macro definitions:
	* language.el (lyskom-set-language-vars): Removed function before
	lambda.
	(lyskom-set-language-keymaps): Same here.
	(lyskom-get-strings): Same here.
	(lyskom-string-check-category): Same here.
	(lyskom-language-var): Use backquote for macro definition.
	(lyskom-language-keymap): Ditto.
	(lyskom-language-strings): Ditto.

2002-04-20  Per Cederqvist  <ceder@ceder.dyndns.org>

	Implemented "View diff"/"Se diff":
	* commands2.el (lyskom-create-temp-file): New function.
	(kom-diff-texts): New command.

	* vars.el.in (lyskom-commands): Added kom-diff-texts.

	* swedish-strings.el (lyskom-command): Added kom-diff-texts.
	(lyskom-help-strings): Ditto.

	* english-strings.el (lyskom-command): Added kom-diff-texts.

	* compatibility.el (make-temp-file): Provide it if it is missing.

2002-04-20  David Byers  <byers@lysator.liu.se>

	Support context-sensitive error reporting:
	* vars.el.in (lyskom-error-codes): New variable.

	* lyskom-rest.el (lyskom-insert-error): Added error-descriptions
	parameter for context-sensitive error reporting.
	(lyskom-report-command-answer): Added error-descriptions
	parameter.
	(lyskom-get-error-text): Added error-descriptions parameter.

	Fix bug 467:
	* lyskom-rest.el (lyskom-prot-a-format-aux-item-flags): Rename
	reserved1 to dont-garb as per the specification.

	* komtypes.el (aux-item-flags): Renamed reserved1 field to
	dont-garb, as per the specification.

	* english-strings.el, swedish-strings.el: Changed aux-item flag
	"reserved1" to "dont-garb".

	Support send-comments-to:
	* commands2.el (kom-redirect-comments): New command.

	* edit-text.el (lyskom-edit-send-check-recipients): Completely
	rewrite checking of commented author. 

	Clean up the code:
	* lyskom-rest.el (lyskom-prot-a-format-misc-item): Changed case of
	all pseudo misc-info types to UPPERCASE to match real misc-infos.

	* edit-text.el: Changed case of all pseudo misc-info types to
	UPPERCASE to match real misc-infos. Changed explicit lists of
	recipient types to lyskom-recpt-types-list.

	* All files: Changed case of all pseudo misc-info types to
	UPPERCASE to match real misc-infos.

	Move binding of 'a' to 'x' in the swedish keymaps:
	* commands2.el (kom-obsolete-extended-command-binding): New
	command. Note that this command is temporary and will only ever be
	used in the Swedish version and doesn't do any LysKOM-ish stuff,
	so we don't have to use def-kom-command or be able to deal with
	multiple languages.

	* swedish-strings.el (lyskom-sv-mode-map): Change binding of
	kom-extended-command from a to x. Bind a to
	kom-obsolete-extended-command-binding.

	People were annoyed that all read FAQs were shown in status
	person:
	* aux-items.el (lyskom-print-elisp-client-read-faq): Only print
	read FAQs when kom-extended-status-information is set.

	* vars.el.in (kom-extended-status-information): New variable.

2002-04-20  Per Cederqvist  <ceder@ceder.dyndns.org>

	* commands1.el (lyskom-comment-recipients): Removed a stray "x"
	accidentally inserted in the last commit.

2002-04-18  Jonas Frid  <jonas.frid@softlab.ericsson.se>

	* swedish-strings.el (lyskom-custom-strings): Bugfix in
	kom-auto-list-faqs-tag. Missing '.'.

	* option-edit.el (lyskom-custom-variables): Bugfix in
	kom-auto-list-faqs and kom-auto-review-faqs. Missing parantheses.

2002-04-17  Ulrik Haugen  <qha@lysator.liu.se>

	Fix bug 464:
	
	* lyskom-rest.el (lyskom-update-prompt): (This paragraph concerns
	xemacs only.) Use extents to make the prompt read-only. This seems
	necessary to set duplicable to nil for the prompt extents/
	properties though the info-pages on text-properties states: "The
	predefined properties are the same as those for extents". 

2002-04-16  David Kågedal  <david@kagedal.org>

	* lyskom-rest.el (kom-view-next-text): When calling
	lyskom-view-text, dont give t as the flat-review parameter when
	reviewing FAQs.

2002-04-15  Johan Sundström  <jhs@lysator.liu.se>

	* swedish-strings.el, english-strings.el (lyskom-message):
	Bugfix in there-are-faqs format string.

2002-04-14  Per Cederqvist  <ceder@ceder.dyndns.org>

	Improve "Compare two texts".
	* commands2.el (lyskom-create-text-buffer): Add a trailing newline
	in the temporary buffer, so that ediff behaves if new lines were
	added at the end of one of the texts to compare.

	* vars.el.in (kom-server-aliases): Changed "CSD-KOM" to "UppKOM",
	as requested by Thorild Selén.

2002-04-14  David Byers  <byers@lysator.liu.se>

	* faqs.el (lyskom-check-for-read-faqs): Handle missing FAQ texts
	better.

	Handle conference recommendations:
	* lyskom-rest.el (lyskom-reject-recommendation): Renamed from
	lyskom-reject-invitation.
	(lyskom-recommendation-already-rejected): Renamed from
	lyskom-invitation-already-rejected.
	(lyskom-update-rejected-recommendations): Renamed from
	lyskom-update-rejected-invitations.
	(lyskom-check-go-to-conf): Don't record rejected invitations.
	(lyskom-startup-check-recommended-memberships): Renamed from
	lyskom-startup-check-recommended-memberships. Interactively ask
	whether the user wants to become a member of recommended
	conferences instead of creating invitations.

	* commands1.el (lyskom-try-add-member): Removed use-priority and
	use-position again. Added default-priority instead.

	* lyskom-rest.el (lyskom-startup-check-recommended-memberships):
	New function.

2002-04-13  David Byers  <byers@lysator.liu.se>

	Handle conference recommendations:
	* lyskom-rest.el (lyskom-check-go-to-conf): Don't do stuff for
	secret and passive memberships if we just rejected an invitation
	(this was a bug). Record rejected invitations.
	(lyskom-reject-invitation): New function.
	(lyskom-invitation-already-rejected): New function.

	* vars.el.in (lyskom-rejected-invitations): New variable.

	New FAQ support:
	* faqs.el: New file contains all FAQ-related stuff.
	(lyskom-register-read-faq): New function.
	(lyskom-update-read-faqs): New function.
	(lyskom-do-review-faq): New function.

	* lyskom-rest.el (lyskom-format-aux-help): Support ?z format code.

	* commands2.el (lyskom-list-summary): Support REVIEW-FAQ.

	* lyskom-rest.el (kom-view-next-text): Add support for REVIEW-FAQ.
	(lyskom-update-prompt): Ditto.
	(lyskom-what-to-do): Ditto.

	* aux-items.el: Added read-action that records all read FAQs.

	* commands1.el: Moved all FAQ-related commands to faqs.el.

	* commands2.el: Moved all FAQ-related commands to faqs.el.

	* lyskom-rest.el (lyskom-read-num-range): Handle prompt which is a
	symbol and not a string.

	Initial support for conference recommendataions:
	* commands2.el (kom-recommend-conference): New command.

	* utilities.el (lyskom-read-membership-type): New function.

	Fix language consistency:
	* english-strings.el: Changed "article" to "text" in a bunch of
	strings.

	Check for server FAQs when logging on:
	* startup.el (lyskom): Do get-version-info before get-server-info,
	because otherwise we won't get the aux-items.
	(kom-start-anew): Check for new FAQs when logging on.
	(lyskom-startup-check-faqs): New function.

	* utilities.el (lyskom-union): New function.
	(filter-list): New non-recursive implementation.

	More stringent format-string check (each arg needs to appear the
	same number of times in all strings):
	* check-strings.el (lcs-delete-format-arg): New function.
	(lcs-check-format-string): Use it.

	Full server FAQ support:
	* commands1.el (kom-change-server-faq): New command.
	(kom-change-conf-faq): Broke out main logic.
	(lyskom-change-faq): Inlined logic from kom-change-conf-faq.
	Support server FAQs.
	(lyskom-change-faq-2): Broke out callback for modify-x-info to
	lyskom-change-faq-3. Renamed from lyskom-change-conf-faq-2. Handle
	server FAQs.
	(lyskom-change-faq-3): New function.

	* commands2.el (kom-add-faq): Break out logic to a separate
	function.
	(lyskom-add-text-no): New function. Generic for conferences and
	the server.
	(kom-add-server-faq): New command.
	(kom-del-faq): Removed args from this function. Broke out main
	logic to lyskom-del-faq.
	(kom-review-server-faq): New Command.
	(kom-review-faq): Entering an empty conf gives the server FAQ.
	Broke out main logic.
	(lyskom-review-faq): New function.

2002-04-13  Joel Rosdahl  <joel@lysator.liu.se>

	* Makefile (verbose-el): Made target "verbose" work again.

2002-04-13  Johan Sundström  <jhs@lysator.liu.se>

	* commands1.el (kom-review-presentation): When a prefix argument
	is given, review the presentation of the author of that text (as
	given by lyskom-read-text-no-prefix-arg), otherwise behave as usual.

	* swedish-strings.el, english-strings.el (lyskom-message): 
	Added text-to-see-author-of.

2002-04-13  Ulrik Haugen  <qha@lysator.liu.se>

	Fix bug 447:
	
	* vars.el.in (lyskom-unread-mode-line) 
	(lyskom-unread-title-format): Set langage-force.

	* lyskom-rest.el (lyskom-make-lyskom-unread-mode-line)
	(lyskom-make-lyskom-unread-title-format): New functions. They both
	return what used to be in lyskom-unread-mode-line and
	lyskom-unread-title-format respectively.

	* swedish-strings.el, english-strings.el (lyskom-unread-mode-line)
	(lyskom-unread-title-format): Made these variables language
	dependent.

2002-04-11  David Byers  <byers@lysator.liu.se>

	* aux-items.el (lyskom-print-faq-for-conf): Show FAQ for server
	correctly.

	Show extended server status:
	* commands2.el (kom-status-server): New command.

	Support aux-items on the server:
	* aux-items.el (lyskom-aux-item-terminating-button): Support
	server aux-items.

	* lyskom-buttons.el (lyskom-button-delete-aux): Support server
	aux-items. 
	(lyskom-button-info-aux): Support server aux-items.

	Handle more aux-item types:
	* edit-text.el (kom-edit-add-world-readable): New command.

	* aux-items.el (canonical-name): New aux-item definition·
	(mx-list-name): Same here.
	(send-comments-to): Ditto.
	(world-readable): And once more.
	(lyskom-print-mx-list-name): New function.
	(lyskom-print-world-readable): New function.
	(lyskom-edit-insert-world-readable): New function.
	(lyskom-parse-world-readable): New function.

	Beter kom-who-is-on-and-friend:
	* commands1.el (lyskom-select-friends-from-who-list): Show
	lyskom-pers-no when filtering friends. Perhaps this should be a
	configurable option. Someone else can deal with that :-)

	* vars.el.in (lyskom-commands): Added kom-create-aux-item.

	* swedish-strings.el (lyskom-command): Added kom-create-aux-item.

	* english-strings.el (lyskom-command): Added kom-create-aux-item.

	* ChangeLog: Changed Swedish to English.

	* english-strings.el: Changed "extra information" to "auxiliary
	information".

2002-04-10  David Byers  <byers@lysator.liu.se>

	Implemented command to create arbitrary aux-items:
	* commands2.el (kom-status-conf): Show unknown aux-items.
	(kom-create-aux-item): New command.

	* lyskom-buttons.el (lyskom-button-info-aux): Print info even if
	there is no info handler for the aux-item type (required to handle
	unknown types).

	* lyskom-rest.el (lyskom-check-go-to-conf): When we don't want to
	accept an invitation, don't make the membership *passive*. That
	causes all kinds of odd messages.

	Better user interaction when an async-new-membership for an
	invitation is seen:
	* async.el (lyskom-async-new-membership): Print invitations
	special.

	We can usually have FAQs on persons too:
	* commands1.el (kom-change-conf-faq): Can apply to persons too. 

	* commands2.el (kom-add-faq): Can apply to persons too.
	(kom-del-faq): Same here.
	(kom-review-faq): Same here.

	Print subject line of FAQ when showing a list of FAQs in status
	conf and review presentation:
	* commands1.el (lyskom-insert-deferred-comment-like-aux-2): Print
	subject line of FAQ.
	(lyskom-insert-deferred-comment-like-aux): Split into two
	functions (this one and
	lyskom-insert-deferred-comment-like-aux-2).
	(lyskom-insert-comment-like-aux): Print subject line of FAQ.
	(lyskom-print-comment-like-aux): Get text mass when not doing
	deferred printing.

	* aux-items.el (lyskom-status-print-faq-text): Print the subject
	of each FAQ.

	* komtypes.el (text->decoded-text-mass): Do save-match-data so we
	don't clobber match data.

	Fix bug 408:
	* commands2.el (kom-change-conf-type): Removed redunant argument
	from change-type-prompt.
	(kom-status-conf): Removed redundant argument from status-record.
	(kom-status-person): Removed redundant argument from
	pers-status-record.
	(kom-change-conf-type): Place nope or done string after the
	prompt.

	Fix that some strings are not changed when language changes:
	* vars.el.in (lyskom-month-names): Set language-force.
	(lyskom-onoff-table): Same.
	(lyskom-language-codes): Same.
	(lyskom-filter-predicate-list): Same.
	(lyskom-filter-what): Same.
	(lyskom-filter-actions): Same.
	(lyskom-prioritize-header-lines): Same.
	(lyskom-prioritize-header): Same.

	* defvar.el (def-kom-var): Added property language-force.

	Fix problem where personal answer to own texts have no subject:
	* commands1.el (lyskom-private-answer): Don't delete subject when
	doing personal reply to my own texts.

	New filter command:
	* filter.el (kom-filter-recipient): New command.

	Update aliases:
	* vars.el.in (kom-server-aliases): Changed sno.pp.se to
	kom.sno.pp.se.

	Completion on kom-sub-comment and kom-sub-footnote:
	* commands1.el (kom-add-footnote): Read prefix arg here and not in
	lyskom-add-sub-footnote.
	(kom-sub-footnote): Same here.
	(lyskom-add-sub-footnote): Don't read prefix arg here. Removed
	prompt argument.
	(lyskom-add-sub-footnote): Do completion on footnote number.
	(lyskom-add-sub-comment): Do completion on comment number.
	(lyskom-add-sub-footnote): Use current text as default text to
	add/remove only if applicable. If there is only one completion,
	use that. If the current text is in the completions, use it. If we
	are adding, use the current text unless it is the one we are
	adding/removing to/from.
	(lyskom-add-sub-comment): Dito.

2002-04-09  David Byers  <byers@lysator.liu.se>

	Completion on kom-sub-comment and kom-sub-footnote:
	* commands1.el (lyskom-add-sub-footnote): Show text number we are
	removing from or adding to in the prompt (important when using
	prefix args to this command).
	(lyskom-add-sub-comment): Show text number we are removing from or
	adding to in the prompt (important when using prefix args to this
	command).
	(kom-add-comment): Read prefix arg here and not in
	lyskom-add-sub-comment.
	(kom-sub-comment): Same here.
	(lyskom-add-sub-comment): Don't read prefix arg here. Removed
	prompt argument.

	* lyskom-rest.el (lyskom-read-number): Added completions parameter
	to this function.

2002-04-08  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-rest.el: When running GNU Emacs let Emacs look up the
	string for mode-line-unread and frame-title-unread when setting
	the mode-line or frame-title (fixes bug 447 for GNU Emacs).

	* english-strings.el (lyskom-message):
	add-recpt-button-text-regex: updated the regex to reflect the
	change to add-recpt-button-text some time ago.

	* swedish-strings.el (lyskom-message):
	add-recpt-button-text-regex: bug-fix: the backslashes must be
	escaped by backslashes.

2002-04-03  Ulrik Haugen  <qha@lysator.liu.se>

	* Makefile (debian-packages): new target.

2002-03-25  Joel Rosdahl  <joel@lysator.liu.se>

	* distribution-configure.in: Corrected help text for
	--with-default-language.

2002-03-24  Joel Rosdahl  <joel@lysator.liu.se>

	* Release of 0.46.2-BETA-2 (approximately: there was originally no
	ChangeLog entry for this release). This entry was added after the
	fact by David Byers.

2002-03-23  Joel Rosdahl  <joel@lysator.liu.se>

	Fix bug 422:

	* commands1.el (lyskom-private-answer): Print informative text if
	replying to Anonymous user.

	* english-strings.el, swedish-strings.el (lyskom-message): Added
	personal-comment-to-anonymous string.

	* swedish-strings.el (lyskom-message): Spelling tweak.

	* commands1.el (lyskom-private-answer-soon-prev): Removed unused
	function.

2002-03-21  Joel Rosdahl  <joel@lysator.liu.se>

	Fiddled with various release-related things. Fixes bugs 298, 299
	and 300.

	* Makefile: Revamped and somewhat commented. Create three
	different kinds of distribution archives: 1. A "source" dist with
	configure + Makefile + separate .el files; 2. A single lyskom.el
	with all languages included; 3. A single lyskom.el with just one
	included language. Archives are named lyskom-elisp-client-*
	instead of lyskom-*. autoconf files config.{cache,log,status} are
	no longer included.

	* distribution-Makefile.in: Create file lists from the "developer"
	Makefile.

	* distribution-configure.in: Make English the default language.

	* distribution-README: Removed.

	* distribution-README.begin: New file. Common begin text for
	source and non-source dists.

	* distribution-README.end: New file. Common end text for source
	and non-source dists.

	* distribution-README.install-nonsrc: New file. Installation
	instructions for non-source dists.

	* distribution-README.install-src: New file. Installation
	instructions for the source dist.

	Added "View session status" to the person button menu and
	grouped actions in text number buttons:

	* lyskom-buttons.el (lyskom-button-view-session-status): New
	button action.

	* vars.el.in (lyskom-button-actions): Added above action to "pers"
	buttons.

	* english-strings.el, swedish-strings.el (lyskom-message): Added
	action text.

	* vars.el.in (lyskom-button-actions): Reordered "text" buttons so
	that similar actions are near each other.

2002-03-20  Joel Rosdahl  <joel@lysator.liu.se>

	* vars.el.in (kom-server-aliases): Changed IP name of CSD-KOM.

2002-03-19  Joel Rosdahl  <joel@lysator.liu.se>

	* commands2.el (lyskom-construct-summary-format-string): Removed
	unused local variable.

2002-03-16  Joel Rosdahl  <joel@lysator.liu.se>

	Changed language behaviour: Language is now a global setting, and
	changing it thus affects all sessions.  Fixes bugs 238 and 239.

	* vars.el.in (lyskom-language): Make lyskom-language global.

	* swedish-strings.el (lyskom-command): Mention that the language
	is changed in all sessions in kom-change-language.

	* english-strings.el (lyskom-command): Likewise.

2002-03-12  Joel Rosdahl  <joel@lysator.liu.se>

	* language.el (lyskom-languages)
	(lyskom-language-categories)
	(lyskom-language-keymaps): Corrected spelling in doc strings.

2002-03-12  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-rest.el (lyskom-insert-before-prompt): don't let xemacs
	add the text-properties of the prompt to all text inserted before
	the prompt (fixes bug 421).

2002-03-11  Joel Rosdahl  <joel@lysator.liu.se>

	* english-strings.el (lyskom-message): Changed last-log-in to say
	"Last login or logout" instead of "Last login", since that's what
	the server gives us.

	* swedish-strings.el (lyskom-message): Likewise.

2002-03-03  Joel Rosdahl  <joel@lysator.liu.se>

	* vars.el.in (lyskom-month-names): Added property
	'lyskom-language-force.

	Fixes to make "make check" happy again:

	* english-strings.el: Added ending mismatch exception for
	newyeareve.
	(lyskom-message): Added year reference to newyearevelate.
	(lyskom-month-names): Make lyskom-month-names belong to en instead
	of sv.  Corrected month names.

	* option-edit.el (lyskom-custom-variables): Removed bogus nil at
	the end.

	Fixed bug 392 and cleaned up printing of text summaries in
	kom-list-summary and kom-list-marks:

	* commands2.el (lyskom-max-text-no-width): New function.
	(lyskom-construct-summary-format-string): New function.
	(lyskom-do-list-summary): Use lyskom-construct-summary-format-string.
	(lyskom-print-summary-line): Get format string as an argument
	instead of building it at each call.
	(kom-list-marks): Use lyskom-construct-summary-format-string.
	(lyskom-print-mark-summary-line): Get format string as an argument
	instead of building it at each call.
	(lyskom-max-mark-width): Added doc string.

	* swedish-strings.el (lyskom-message): Don't abbreviate Lines.

	* english-strings.el (lyskom-message): Don't abbreviate Lines and
	mark-type.  Trimmed whitespace from Author and Subject.

2002-03-03  Per Cederqvist  <ceder@lysator.liu.se>

	Fix bug 406:
	* lyskom-rest.el (lyskom-report-command-answer): Factor out some
	code to lyskom-insert-error.
	(lyskom-insert-error): New function.
	(lyskom-current-error): Call lyskom-insert-error instead of
	issuing a broken call to lyskom-format-insert

	* commands1.el (lyskom-add-member-answer): Save err-stat as well
	as errno.  Use lyskom-insert-error instead of a broken call to
	lyskom-format-insert.  Use the saved errno in all cases, not just
	some.
	(kom-create-conf): Use lyskom-insert-error instead of a broken
	call to lyskom-format-insert.

	* commands2.el (kom-change-conf-type): Use lyskom-insert-error
	instead of a broken call to lyskom-format-insert.

2002-03-03  Joel Rosdahl  <joel@lysator.liu.se>

	* utilities.el (lyskom-current-time): Removed obsolete function.

2002-03-02  Joel Rosdahl  <joel@lysator.liu.se>

	* commands2.el: Removed some erroneous indentation.

	Fixed bug 387:

	* lyskom-buttons.el (lyskom-view-url-windows): Rewritten (based on
	work by Klaus Zeuge).

	* compatibility.el (w32-shell-execute): New dummy function.

	* vars.el.in (kom-windows-browser-command): New variable.

	* option-edit.el (lyskom-customize-buffer-format): Added
	kom-windows-browser-command.
	(lyskom-custom-variables): Added kom-windows-browser-command.

	* english-strings.el (lyskom-custom-strings): Added
	kom-windows-browser-command-doc.
	(lyskom-custom-strings): Added kom-windows-browser-command-tag.

	* swedish-strings.el (lyskom-custom-strings): Added
	kom-windows-browser-command-doc.
	(lyskom-custom-strings): Added kom-windows-browser-command-tag.

2002-02-28  Joel Rosdahl  <joel@lysator.liu.se>

	Made it possible to run the client uncompiled.

	* feature.el (lyskom-have-feature): Removed comma so that the
	client can run uncompiled.
	(lyskom-feature-value): Ditto.

	* startup.el (lyskom-compilation-in-progress): New, horrid
	function.
	(lyskom-is-running-compiled): New constant.
	(lyskom): Inform the user that it is a good idea to compile the
	client, should it not be compiled.

	* swedish-strings.el (lyskom-message): Added
	warning-about-uncompiled-client string.

	* english-strings.el (lyskom-message): Ditto.

2002-02-26  Joel Rosdahl  <joel@lysator.liu.se>

	* swedish-strings.el (lyskom-message): Likewise.

	* english-strings.el (lyskom-message): Corrected who-to-throw-out
	to ask "who's session", not "which session".

2002-02-25  Joel Rosdahl  <joel@lysator.liu.se>

	* swedish-strings.el (lyskom-message): Ditto.

	* english-strings.el (lyskom-message): Added missing full stop and
	newline in cant-read-textno.

	* swedish-strings.el (lyskom-sv-mode-map): Bind
	kom-change-conf-faq to "ä q".

	* english-strings.el (lyskom-en-mode-map): Bind
	kom-change-conf-faq to "A q".

	* vars.el.in (kom-server-aliases): Call com.lysator.liu.se "LysCOM
	(LysKOM in English)" for now.

	* commands2.el (lyskom-do-list-summary): Print Written/Skrivet
	instead of Date/Datum in review lists.

	* swedish-strings.el (lyskom-message): Datum --> Skrivet.

	* english-strings.el (lyskom-message): Date --> Written.

2002-02-24  Joel Rosdahl  <joel@lysator.liu.se>

	* copyright: Ditto.

	* Makefile: Ditto.

	* *.el: Unified copyright year range to 1991-2002.  Changed "This
	file is part of the LysKOM server" to "This file is part of the
	LysKOM Emacs LISP client".

	* utilities.el (lyskom-find-text-by-date): Removed unused local
	variable.

2002-02-24  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-find-text-by-date): Fixed assignment to
	date variable inside the binary search loop. Use date variable in
	later comparison.

2002-02-24  Joel Rosdahl  <joel@lysator.liu.se>

	* mship-edit.el (lyskom-read-time): Commented out code that
	generated a compilation warning.

	* vars.el.in (kom-server-aliases): Added com.lysator.liu.se.

	* swedish-strings.el: Corrected terminology in
	quit-in-spite-of-unsent.

2002-02-18  Per Cederqvist  <ceder@moria>

	* commands2.el (lyskom-create-text-buffer): New helper function.
	(kom-compare-texts): Use blocking-do-multiple for efficiency and
	lyskom-create-text-buffer to simplify the code.

2002-02-09  Per Cederqvist  <ceder@lysator.liu.se>

	New command: "Compare two texts".

	* vars.el.in (lyskom-commands): Added kom-compare-texts.

	* swedish-strings.el (lyskom-message): Added diff-what-text-new
	and diff-what-text-old.
	(lyskom-command): Added kom-compare-texts.
	(lyskom-help-strings): Added kom-compare-texts.

	* english-strings.el (lyskom-message): Added diff-what-text-new
	and diff-what-text-old.
	(lyskom-command): Added kom-compare-texts.

	* commands2.el (kom-compare-texts): New command.

	* commands1.el (lyskom-text-stat-commented-texts): New function.
	(lyskom-view-commented-text): Extract the computation of the
	commented texts to lyskom-text-stat-commented-texts, so that it
	can be reused by kom-compare-texts.

2002-02-04  Johan Sundström  <jhs@lysator.liu.se>

	* view-text.el
	(lyskom-view-text-convert-ISO-646-SE-to-ISO-8859-1):
	Also, don't convert texts created by a mail importer. (The theory
	here is that all ol'e farts writing swedish in swascii pursue this
	practice only in kom, and that few people writing on mailing lists
	imported to kom do.)

2002-01-30  Johan Sundström  <jhs@lysator.liu.se>

	* view-text.el
	(lyskom-view-text-convert-ISO-646-SE-to-ISO-8859-1): New function
	that, when put in `lyskom-view-text-hook', rewrites }{| as åäö in
	read texts. Mostly written by Klaus Zeuge.

	* swedish-strings.el, english-strings.el (lyskom-message): Added
	the string `reformat-deswascii'.

2002-01-21  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-text-buttons): Changed the regexps for conf-,
	text- and pers-pointers to accept descriptions with numbers.

2002-01-13  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-misc-infos-from-list): Make sure that the
	result is correctly ordered.

2002-01-08  Per Cederqvist  <ceder@lysator.liu.se>

	* vars.el.in (kom-server-aliases): Change HelKOM to HesaKOM, as
	that is what the local community calls it.  Reported by Eva
	Isaksson.

2002-01-07  Ulrik Haugen  <qha@lysator.liu.se>

	* aux-items.el (lyskom-edit-insert-cross-reference)
	(lyskom-edit-insert-no-comments) 
	(lyskom-edit-insert-personal-comments) 
	(lyskom-edit-insert-request-confirmation): Added the flags to the
	string returned.

	* edit-text.el (lyskom-edit-generate-aux-item-flags): New
	function, the parts of lyskom-edit-insert-aux-item-flags that do
	not alter the buffer.
	(lyskom-edit-insert-aux-item-flags): Split out the parts that do
	not alter the buffer.

2002-01-07  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-edit-insert-miscs): Place add button after
	aux-items. Make a button out of the aux-item prefix.
	(lyskom-edit-insert-aux-item): Place new aux-items before add
	button.
	(lyskom-edit-parse-headers): Use aux-item-prefix-regexp
	(lyskom-edit-on-aux-item): Same here.

	* utilities.el (lyskom-parse-date): New function (not complete)
	that can be used to translate a string to a date specification.

	* vars.el.in (lyskom-button-actions): Changed add-recipient to
	add-recipient-or-xref and added choices for aux-items.

2002-01-03  David Byers  <davby@ida.liu.se>

	* commands2.el (kom-set-unread): Reindented.

	* utilities.el (lyskom-find-text-by-date): New function.

	* commands2.el (lyskom-time-greater): Reindented.

2002-01-02  David Byers  <davby@ida.liu.se>

	* parse.el (lyskom-parse-text-mapping): New implementation that
	actually corresponds to the protocol specification.

	Work on bug 280:
	* commands1.el (kom-remove-presentation): New command.

	* vars.el.in (lyskom-commands): Added kom-set-presentation and
	kom-set-motd-text.

	* swedish-strings.el (lyskom-command): Added kom-set-presentation
	and kom-set-motd.

	* commands1.el (kom-set-presentation): New command.
	(kom-set-motd): New command
	(lyskom-set-pres-or-motd-2): New function.

	Various bugs:
	* vars.el.in (lyskom-button-actions): Set pers actions for
	kom-list-news and kom-membership to the values they have for conf
	(bug 293).

	* commands2.el (kom-force-logout): Reindented.
	(kom-force-logout): Handle negative answer from
	lyskom-read-session-no (bug 224).

	* commands1.el (lyskom-misc-infos-from-list): Made this function
	nonrecursive (bug 345)

2001-12-15  Ulrik Haugen  <qha@lysator.liu.se>

	* edit-text.el (lyskom-edit-parse-headers): handle the brackets in
	`[Add recipient]'.

	* swedish-strings.el, english-strings.el (lyskom-message): new
	string: add-recpt-button-text-regex.

2001-12-14  Ulrik Haugen  <qha@lysator.liu.se>

	* commands1.el (kom-list-re): case insensitive search is now the
	default.

	* swedish-strings.el, english-strings.el (lyskom-message): new
	string: add-recpt-button-text.

	* edit-text.el (lyskom-edit-insert-miscs): use
	add-recpt-button-text for the add recipient-button.

2001-11-24  Ulrik Haugen  <qha@lysator.liu.se>

	* ChangeLog: fixed spelling and formatting for a few old entries.

	* swedish-strings.el (lyskom-help-strings): really added help on
	kom-who-is-on-and-friend.

2001-12-09  Per Cederqvist  <ceder@lysator.liu.se>

	* commands2.el (kom-is-person-member-of-conference): When the
	optional arguments pers-no and conf-no were given, the function
	used the conf-no instead of the pers-no argument.  Removed
	spurious &optional keyword in argument list.

2001-11-27  Johan Sundström  <jhs@lysator.liu.se>

	* lyskom-buttons.el (lyskom-button-review-comments,
	lyskom-button-review-tree, lyskom-button-write-footnote,
	lyskom-button-fast-reply): New button actions.

	* vars.el.in (lyskom-button-actions): Added above button actions
	for text buttons.

	* swedish-strings.el, english-strings.el (lyskom-message): Added
	action names.

2001-11-23  Ulrik Haugen  <qha@lysator.liu.se>

	* edit-text.el (lyskom-edit-insert-miscs): print a button with
	type add-recipient after the recipients.
	(lyskom-edit-parse-headers): Ignorera 'add-recipient i headrarna.

	* vars.el.in (lyskom-button-actions): new button type:
	add-recipient.

	* swedish-strings.el, english-strings.el (lyskom-message): new
	string: add-recipient

2001-11-21  Johan Sundström  <jhs@lysator.liu.se>

	* startup.el (lyskom): A `C-u' prefix argument makes the session
	invisible.

	* startup.el (kom-start-anew): New argument `invisiblep'.

2001-11-19  David Byers  <davby@ida.liu.se>

	Make it possible to remove recipients by removing their name and
	number but not the header line itself
	* edit-text.el (lyskom-looking-at-header): Implement 'empty for
	second argument. Limit angled headers to one line of text.
	(lyskom-edit-parse-headers): Skip empty recipient headers without
	warning.

2001-11-19  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-button-actions): added "remove" option to the
	recpt-type menu. Better argument names for the lambda-functions in
	recpt-type.

	* lyskom-buttons.el (lyskom-generate-button): do a car on
	menu-title so we get an error message if it's not a cons when the
	button is generated in stead of when it's used.

	* swedish-strings.el, english-strings.el (lyskom-message): new
	string: lyskom-button-recpt-type-sub.

	* edit-text.el (lyskom-edit-insert-misc-conf): use lyskom-format
	to add text properties for the recipient type.
	(lyskom-edit-do-add-recipient/copy): use save-excursion in stead
	of lyskom-save-excursion.
	(lyskom-edit-sub-recipient/copy): new function.

2001-11-14  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-button-actions): added remove alternative for
	recpt-type buttons.

	* edit-text.el (lyskom-edit-sub-recipient/copy): new function.

	* swedish-strings.el, english-strings.el (lyskom-message): new
	string: lyskom-button-recpt-type-sub.

2001-11-17  Per Cederqvist  <ceder@lysator.liu.se>

	Use content types as specified in the current version of the
	protocol A specification.
	* vars.el.in (lyskom-format-special): Treat "x-kom/text" as an
	alias for "text/x-kom-basic".
	* edit-text.el (lyskom-edit-send): Set the content type
	"text/x-kom-basic", not "x-kom/text", on new texts.

2001-11-13  David Byers  <davby@ida.liu.se>

	List unique subjects when prefix is given to kom-list-summary
	* commands2.el: (kom-list-summary): Prefix argument sets "unique"
	flag to lyskom-list-summary.
	(lyskom-list-summary): Added "unique" argument.
	(lyskom-do-list-summary): Aded "unique" argument.
	(kom-list-summary): List unique subjects when a prefix argument is
	given.

	* utilities.el (lyskom-string-member): New function

2001-11-13  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-button-actions): added button-type:
	recpt-type.

	* edit-text.el (lyskom-edit-add-recipient/copy): new paramter:
	recpt - the conference to add, if set don't prompt. 
	(lyskom-edit-insert-misc-conf): add set recipient selection menu
	properties for the recipient spec.

	* english-strings.el, swedish-strings.el (lyskom-message):
	recpt-type-button strings. Removed trailing colon from recipient,
	carbon-copy and blank-carbon-copy strings

2001-10-16  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-buttons.el (lyskom-default-button): don't bother to set
	the lyskom-button-text property for timestamps.
	
2001-11-04  Johan Sundström  <jhs@lysator.liu.se>

	* vars.el.in (kom-review-marks-texts-as-read): New variable.

	* view-text.el (lyskom-view-text): Honour the above; when
 	reviwing, the texts read are always marked as red when the
 	variable is non-nil.

	* option-edit.el (lyskom-custom-variables,
	lyskom-customize-buffer-format): User configurable default too.

	* commands2.el (kom-make-review-mark-as-read,
	kom-make-review-not-mark-as-read): Change the review behaviour.
	"Återse läsmarkerar" and "Återse läsmarkerar inte" now choose
	review mode, effectively overriding the configured mode for the
	lifetime of the current kom buffer.

	* swedish-strings.el (lyskom-custom-strings, lyskom-command):
 	Variable docs, method names and assorted strings.

	* english-strings.el (lyskom-custom-strings, lyskom-command):
 	Ditto.

2001-10-18  Kent Engström  <kent@ceres.unit.liu.se>

 	* vars.el.in (kom-server-aliases): change dskom.studkar.hj.se to
	kom.ds.hj.se. 

2001-10-16  Kent Engström  <kent@lysator.liu.se>

 	* vars.el.in (kom-server-aliases): add dskom.studkar.hj.se as DSKOM.
	Remove MedioKOM, dead for some time now.

2001-10-14  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-buttons.el (kom-previous-link, kom-next-link): look for
	property lyskom-button instead of lyskom-button-text.
	(lyskom-generate-button): new arg sublte, callers changed.

2001-10-13  Ulrik Haugen  <qha@lysator.liu.se>

	* swedish-strings.el, english-strings.el (lyskom-message,
	lyskom-message): timestamp-button strings.

	* lyskom-buttons.el (lyskom-default-button): add a timestamp-button
	property to the prompt.
	(lyskom-button-copy-timestamp): new function.

	* lyskom-rest.el (lyskom-modify-prompt): add a timestamp-button
	property to the prompt.

	* vars.el.in (lyskom-current-prompt-timestamp): new variable.
	(lyskom-button-actions): added button-type: timestamp.

2001-10-09  Joel Rosdahl  <joel@rosdahl.net>

	* swedish-strings.el (lyskom-sv-edit-mode-map): Make C-c TAB an
	alternative to C-c C-i so that TTY mode users stay happy.

	* english-strings.el (lyskom-en-edit-mode-map): Ditto.

2001-09-21  Joel Rosdahl  <joel@rosdahl.net>

	* vars.el.in (lyskom-text-buttons): Require pseudo-url to start at
 	the beginning of a word.

2001-09-06  Joel Rosdahl  <joel@rosdahl.net>

	* vars.el.in (lyskom-personal-message-hook): Fixed documentation.

	* messages.el (lyskom-handle-personal-message): Ditto.

	* async.el (lyskom-show-personal-message): Ditto.
	(lyskom-insert-personal-message): Ditto.
	(lyskom-format-as-personal-message): Ditto.

2001-08-31  Ulrik Haugen  <qha@lysator.liu.se>

	* review.el (kom-review-more): ignore prefix arg unless it's
	really there.

2001-08-25  Ulrik Haugen  <qha@lysator.liu.se>

	* commands1.el (lyskom-select-friends-from-who-list): change endp
	to null which is built in.

	* english-strings.el (lyskom-en-mode-map): moved "w l" to "w w",
	"w a" to "w p"

	* swedish-strings.el (lyskom-sv-mode-map): moved "v a" to "v n".

	* swedish-strings.el, english-strings.el (lyskom-command):
	Parenthesised kom-who-is-command-names.

2001-08-24  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-help-categories, lyskom-commands): added
	kom-who-is-on-and-friend.

	* swedish-strings.el (lyskom-help-strings): added
	kom-who-is-on-and-friend. 

2001-08-23  Ulrik Haugen  <qha@lysator.liu.se>

	* commands1.el (kom-who-is-on-and-friend,
	lyskom-select-friends-from-who-list): new commands.
	(lyskom-who-is-on-8, lyskom-who-is-on-9): new arg;
	show-friends-only.

	* english-strings.el, swedish-strings.el (lyskom-command): added
	kom-who-is-on-and-friend.

	* english-strings.el (lyskom-en-mode-map): kom-who-is-on is on
	"w l", kom-who-is-on-in-conference is on "w c",
	kom-who-is-present-in-conference is on "w a" and
	kom-who-is-on-and-friend is on "w f".

	* swedish-strings.el (lyskom-sv-mode-map): kom-who-is-on is on
	"v i", kom-who-is-on-in-conference is on "v m",
	kom-who-is-present-in-conference is on "v a" and
	kom-who-is-on-and-friend is on "v v".

2001-08-24  Per Cederqvist  <ceder@lysator.liu.se>

	* commands2.el (kom-is-person-member-of-conference): Differentiate
	between active and passive memberships.
	* english-strings.el, swedish-strings.el (lyskom-message): Added
	pers-is-passive-member-of-conf.

2001-08-22  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-rest.el (lyskom-set-last-viewed): set lyskom-last-viewed
	to a marker in stead of an integer.
	(lyskom-trim-buffer): don't update
	lyskom-last-viewed since it's a marker now.

	* slow.el (lyskom-slow-start-of-line): see above.

2001-08-21  Ulrik Haugen  <qha@lysator.liu.se>

	* vars.el.in (lyskom-text-buttons): understands links broken
	before the number as well as those broken after it.

	* review.el (kom-review-more): doesn't ignore the prefix argument
	if supplied.

	* swedish-strings.el, english-strings.el
	(lyskom-sv-edit-mode-map, lyskom-en-edit-mode-map): moved
	kom-edit-insert-link to C-c C-i C-l.

2001-08-16  Björn Brenander  <bjorn@brenander.pp.se>

	* commands1.el (kom-who-is-on-in-conference): now suggests the
	current conference.
	(kom-who-is-present-in-conference): now suggests the current
	conference.

2001-08-16  Ulrik Haugen  <qha@lysator.liu.se>

	* edit-text.el (kom-edit-insert-link): new. Inserts a link
	in the text you are writing.
	(lyskom-edit-mode): add documentation for
	kom-edit-add-cross-reference and kom-edit-insert-link.

	* commands1.el (lyskom-read-link): new. Returns a link to a text,
	person or conference.

	* swedish-strings.el (lyskom-message): added messages for
	link-insertion.
	(lyskom-sv-edit-mode-map): C-c C-a C-l runs kom-edit-add-link.

	* english-strings.el (lyskom-en-edit-mode-map): 
	(lyskom-message): see swedish-strings.el

2001-08-09  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-buttons.el (lyskom-button-find-root-review): this
	function is now the action for the "Review tree" menu item. For
	obvious reasons review-tree was used before.

	* vars.el.in (lyskom-button-actions): related changes.

	* english-strings.el, swedish-strings.el (lyskom-message): related
	changes.

2001-07-31  Ulrik Haugen  <qha@lysator.liu.se>

	* lyskom-buttons.el (lyskom-view-url-galeon): ... and the other
	files in this entry: Applied patch in 6818352 from
	<person 70:Calle Dybedahl (on a mission from Goddess)>:
	New function for viewing a URL in Galeon.

	* vars.el.in (kom-url-managers, kom-galeon-command): See above.

	* swedish-strings.el, english-strings.el (lyskom-custom-strings):
	See above.

	* option-edit.el (lyskom-customize-buffer-format,
	lyskom-custom-variables, lyskom-url-viewer-widget): See above.

2001-07-11  Christer Ekholm  <che@init.se>

	* swedish-strings.el, swedish-strings.el (lyskom-message): New
	string names for kom-who-is-present-in-conference

	* commands1.el (kom-who-is-present-in-conference): Bugfix and new
	string names.

	
2001-07-11  David Byers  <davby@ida.liu.se>

	* swedish-strings.el (lyskom-help-strings): Added strings for
	kom-who-present-in-conference.

	* vars.el.in (lyskom-commands): Added kom-who-is-present-in-conference
	(lyskom-help-categories): Added kom-who-is-present-in-conference

2001-07-11  Christer Ekholm  <che@init.se>

	* english-strings.el, swedish-strings.el (lyskom-command): Added
	kom-who-is-present-in-conference.
	(lyskom-message): Added strings for
	kom-who-is-present-in-conference.

